define("financial/scripts/administrator/newCustomer.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var orderBy = "0";  //0:新开客户数，1：潜客数
    var byType = "1";   //0：升序，1：降序
    var $page = $("#administrator_newCustomer");
    var _pageId = "#administrator_newCustomer "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    	initPage();
//    	//上拉加载、下拉刷新调用方法
//    	upDownSlide();
    }
    
    function load() {
    
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
        
        //升序降序
		$.preBindEvent(jQueryMap.content.custTop,"th",function(){
			var $this=$(this);
			if(!$this.find("span").attr("data_order")){
				return false; 
			}
			if($this.hasClass("act")){
				orderBy=$this.find("span").attr("data_order");
				$this.find("em").each(function(index,domEle){
					if($(this).hasClass("act")){
						$(this).removeClass("act");
					}else{
						$(this).addClass("act");
						byType=index;
					}
				});
			}else{
				orderBy=$this.find("span").attr("data_order");	
				$this.addClass("act").siblings().removeClass("act");
				$this.find("em").each(function(index,domEle){
					jQueryMap.content.custTop.find("em").siblings().removeClass("act");
                    if(index==1){
                    	$(this).addClass("act");
                    	byType=index;
                    }
				});	
			}
			getTodayCust(false, true);
		});
    }

    function destroy() {
    	cleanPageElement();
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn("adminList");
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
    		"header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
                "customerList" : $page.find("#customerList"),
                "custTop"      : $page.find("#custTop")
            }
        };
    }

    function initPage() {
    	$page.find(".page_boxLoad").css("z-index","99");
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn();
        $page.find("#dayCustomerCount").html($.getSStorageInfo("signedCustomerCount"));
        $page.find("#dayCustomerCount1").html($.getSStorageInfo("signedCustomerCount1"));
        $page.find("#potentialAmount").html($.getSStorageInfo("potentialAmount"));
        getTodayCust()
    }
    
    //看板数据 --新开客&潜客
    function getTodayCust() {  
    	 // 默认使用系统加载
//        isSysLoad = isSysLoad ? isSysLoad : false;
//        var isCusLoad = isSysLoad ? true : false;   // 自定义系统加载效果（左上角转圈）
        var param = {
            "userId"     : model.dataStore.userId, //推广员id
            "url"        : $.config.global.signNumUrl+'?employeeNoStr=',
            "type"       : "get",
            "postType"	 : $.getSStorageInfo("postNo")
        };
        service.getTodaySign(param,function (results) {
            if(results.length > 0){
            	$(_pageId + "#customerList").parent().find("div").hide();
            	showCustList(results);
            }else{
            	 $(_pageId + "#customerList").parent().find("div").show();
            	 $page.find(".page_boxLoad").css("z-index","-1");
            }
            //$.each(["dayCustomerCount","potentialAmount"],function(index,iDom){
        		//$page.find("#"+iDom).html(results.newCustData[0][iDom] ? results.newCustData[0][iDom] : "0");
            //});
        	// 如果不是追加数据时，清空容器中的数据
            //if (!isAppend) {
             //  $(_pageId+"#customerList").empty();
            //}
        	//if(results[0].data.length > 0){
        	//	// 给滑动插件设置总页数
             //   pageSlide.setMaxPage(results[0].totalPages);
             //   // 隐藏无数据提示
             //   $(_pageId + "#slide_wrapper").css("display","block");
             //   pageSlide.dealEmptyData(false);
            //
       		//    showCustList(results[0].data);
            //
             //   // 初始化滚动事件
       		//    var recordLen = results[0].data.length;
             //   var cTop = $(_pageId + "#slide_container").offset().top;
             //   $(_pageId + "#slide_container").css("background","#FFFFFF");
             //   var visibleHeight = $(window).height() - cTop -1;
             //   pageSlide.pageScrollInit(recordLen, visibleHeight);
        	//}else{
        	//	// 初始化滚动事件
             //   var cTop = $(_pageId + "#slide_container").offset().top;
             //   $(_pageId + "#slide_container").css("background","#FFFFFF");
             //   var visibleHeight = $(window).height() - cTop -1;
             //   pageSlide.pageScrollInit(recordLen, visibleHeight);
             //   // 显示无数据提示
             //   $(_pageId + "#slide_wrapper").css("display","none");
             //   pageSlide.dealEmptyData(true);
        	//}
            //遮罩层去掉
            //myUtils.cancelLayer($page);
        }); //{isShowWait: isSysLoad, isCusLoad: isCusLoad}
    }

    //填充数据
    function showCustList(list){
        var html = "";
        for(var i=0; i<list.length;i++){
            html +='<tr><td class="w80">'+list[i].name+'</td><td>'+list[i].signedCustomerCount+'</td><td>'+list[i].signedCustomerCount1+'</td><td>'+list[i].potentialAmount+'</td></tr>';
        }   
        $(_pageId+"#customerList").html(html);
        $page.find(".page_boxLoad").css("z-index","-1");
    }
    
  /*  //上拉加载、下拉刷新调用插件
    function upDownSlide(){
    	*//************使用上拉加载、下拉刷新组件初始化页面元素begin**********//*
        var slideOptions = {
            pContainer: 'article', // 父容器选择器必传
            dataContainerHtml: '<div class="page_box bg_white" style="overflow-y: auto;">\
				                   <div class="table_box strike">\
			                          <dl class="combine_table">\
				                        <dd>\
					                       <table cellspacing="0" cellpadding="0" id="customerList">\
								           </table>\
            							   <div style="text-align:center;line-height: 150px;display:none">暂无数据</div>\
										</dd>\
									   </dl>\
									</div>\
								</div>',// 数据容器必传
            dataFunc: getTodayCust, // 查询方法必传
            pageNum: 20 // 每页显示记录数 与 分页方法参数中的参数保持一致
        };
        pageSlide.init(slideOptions);
        *//************使用上拉加载、下拉刷新组件初始化页面元素end**********//*
        // 重置分页参数，防止第二次入页面时还保留上一次的分页参数
        pageSlide.resetPageParam(true);
        // 初始化页面时查询一次数据
        getTodayCust(false, true);
    }*/
    
    // 重置页面元素
    function cleanPageElement() {
    	pageSlide.dealEmptyData(false);
    	$(_pageId+"#customerList").html("");
    	orderBy = "0";  //0:新开客户数，1：潜客数
        byType = "1";   //0：升序，1：降序
        jQueryMap.content.custTop.find("em").removeClass("act");
        jQueryMap.content.custTop.find("th").removeClass("act");
        //jQueryMap.content.custTop.find("span").each(function(index,domEle){
	    	//var $this=$(this);
	    	//if($this.attr("data_order")==orderBy){
	    	//	$this.parent().addClass("act").siblings().removeClass("act");
	    	//	$this.parent().find("em").each(function(index,domEle){
		//			if(index == byType){
		//				$(this).addClass("act").siblings().removeClass("act");
		//			}
		//		});
	    	//}
		//});
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
