define("financial/scripts/administrator/signProduct.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    require("highcharts");
    require("echarts");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var jQueryMap;
    var $page = $("#administrator_signProduct");
    var _pageId = "#administrator_signProduct "; // 页面ID
    // 模块内的其它全局变量
    //走势图全局变量
    var dateStrArray = [];
    var signedCustomerCount = [];
    var followCustomerCount = [];
    var addedIncome= [];
	var newIncome = [];
	var orderData = [];
	//走势图单位、
	var stateAdded ; 
	var stateNew ; 
	//类型年月切换全局变量
    var actionType = 0;            //操作类型：日0、周(1)、月(2)、年(3),默认为日
    var queryCriteria = "signNum"; //签约数：signNum,增值收入：addedIncome
    var typeStyle = "signedCustomerCount";
    var orderState = "0"; 	//排序标识0降1升
    var month = "";                //月份
    var deptId = "";               //员工/部门id
    var paintState = "0";          //走势图显示 0显示是当前类型下的第一个图，1表示第二个
    //高度定位全局变量
    var dHeight =0;
	var aHeight =0;
	var oTop =0;
	var trHeight =0;
	var sTop =0;
	var width;
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
//        	cleanPageElement();
            $.pageBack();
        });
        
        //签约数与跟随数统计图形切换
        $.bindEvent(jQueryMap.content.changeBtn, function () {
            var $this = $(this);
            if($this.html() == "切换到跟随数"){
            	paintState = "1";
                $this.html("切换到签约数");
                jQueryMap.content.zoushi.html("跟随客户数"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                followCustomerCount.length == "0" ? "" : myUtils.echartPaint($("#customerChart"),dateStrArray,followCustomerCount,"line","跟随客户","人");
            }else if($this.html() == "切换到签约数"){
                $this.html("切换到跟随数");
                paintState = "0";
                jQueryMap.content.zoushi.html("签约客户数"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                signedCustomerCount.length == "0" ? "" : myUtils.echartPaint($("#customerChart"),dateStrArray,signedCustomerCount,"line","签约客户数","人");
            }

            if($this.html() == "切换到新增增值"){
                paintState = "1";
                $this.html("切换到总增值");
                jQueryMap.content.zoushi.html("新增增值收入"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                if(actionType=="1"){
                    newIncome.length == "0" ? "" : myUtils.echartPaint($("#customerChart"),dateStrArray, newIncome,"bar","新增增值收入",stateNew ? "万元" : "元");
                }else{
                    newIncome.length == "0" ? "" : myUtils.echartPaint($("#customerChart"),dateStrArray, newIncome,"line","新增增值收入",stateNew ? "万元" : "元");
                }
                //myUtils.echartPaint($("#customerChart"),dateStrArray, addedIncome, "bar");

            }else if($this.html() == "切换到总增值"){
                $this.html("切换到新增增值");
                paintState = "0";
                jQueryMap.content.zoushi.html("总增值收入"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                if(actionType=="1"){
                    addedIncome.length == "0" ? "" : myUtils.echartPaint($("#customerChart"),dateStrArray, addedIncome,"bar","总增值收入",stateAdded ? "万元" : "元");
                }else{
                    addedIncome.length == "0" ? "" : myUtils.echartPaint($("#customerChart"),dateStrArray, addedIncome,"line","总增值收入",stateAdded ? "万元" : "元");
                }

            }
        });
        
        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = 2; 
            	getNewSignProdPage();
            	var bmonth = $page.find("#curMonth").attr("data-month");
                if(bmonth.substr(5).length<2){
                	bmonth = bmonth.substr(0,4)+"-0"+bmonth.substr(5);
                }
                if(month==bmonth|| month == ""){
            		jQueryMap.content.changeText.html("本月");
            	}else{
            		jQueryMap.content.changeText.html(month.substr(5)+"/"+month.substr(0,4));
            	} 
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.header.timeChange, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            if( $(this).attr("id") == "month"){
                jQueryMap.content.changeText.html("本月");
                actionType = 2;
                //if(jQueryMap.layerArea.dataArea.css("display")=="block"){
                //    actionType = 2;
                //    getNewSignProdPage();
                //    var bmonth = $page.find("#curMonth").attr("data-month");
                //    if(bmonth.substr(5).length<2){
                //    	bmonth = bmonth.substr(0,4)+"-0"+bmonth.substr(5);
                //    }
                //    if(month==bmonth|| month == ""){
                //		jQueryMap.content.changeText.html("本月");
                //	}else{
                //		jQueryMap.content.changeText.html(month.substr(5)+"/"+month.substr(0,4));
                //	}
                //}
                //$page.find("#monthWrap").removeClass("sel_downtext").addClass("sel_down");
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "year"){    
            	jQueryMap.content.changeText.html("本年");
            	actionType = 3;
            }else if($(this).attr("id") == "day"){
            	jQueryMap.content.changeText.html("昨日");
            	actionType = 0;
            }else if($(this).attr("id") == "week"){
            	jQueryMap.content.changeText.html("本周");
            	actionType = 1;
            }
            $.setSStorageInfo("actionType",actionType);
            //$page.find("#monthWrap").removeClass("sel_down").addClass("sel_downtext");
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            getNewSignProdPage();
        });
        
        //选择弹框里面的月份
        $.preBindEvent(jQueryMap.content.selectMonth, "li", function(){
            $(this).addClass("act").siblings().removeClass("act");
            month = $(this).attr("data-month");
            if($(this).attr("id")=="curMonth"){
            	$page.find("#month").removeClass("fc_small");
                $page.find("#monthWrap").html("本月");
                jQueryMap.content.changeText.html("本月");
            }else{
            	$page.find("#month").addClass("fc_small");
                $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
                jQueryMap.content.changeText.html(month.substr(5)+"/"+month.substr(0,4));
            }
            if(month.substr(5).length<2){
                month = month.substr(0,4)+"-0"+month.substr(5);
            }
            actionType = 2; 
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
            getNewSignProdPage();
        });
        
        //类型选择
        $.preBindEvent(jQueryMap.header.typeChange, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            queryCriteria = $(this).attr("id");
            paintState = "0";
            getNewSignProdPage();
            if(queryCriteria == "signNum"){
            	orderProductList(orderData,"0","signedCustomerCount");
            }else{
            	orderProductList(orderData,"0","addedIncome");
            }
        });
        
        //点击跳转详情页面
        $.preBindEvent(jQueryMap.content.productList, "tr", function(){
        	var $this=$(this);
        	if($this.attr("data-type") == 0){
        		deptId = $this.attr("data-id");
        		$.pageInit("administrator/signProduct", "administrator/signProduct",{"deptId":deptId});	
        	}else if($this.attr("data-type") == 1){
        		var param = {};
        		staffId = $this.attr("data-id");
        		param.staffId = staffId;
        		param.actionType = actionType;
        		param.month = month;       		
        		if(queryCriteria == "signNum"){
        			$.pageInit("administrator/signProduct", "administrator/signProductInfo",param);		 
	           	}else if(queryCriteria == "addedIncome"){
	           		$.pageInit("administrator/signProduct", "administrator/commissionPro",param);
	           	}
        	}
        });

        //头部tab显隐问题事件
        $.bindEvent($page.find(".page_box"),function(){
        	sTop = $(this).scrollTop();
			if(sTop>(oTop-(dHeight-aHeight)+trHeight+50)){
				jQueryMap.header.hiddenList.show();
			}else{
				jQueryMap.header.hiddenList.hide();
			}
        },"scroll");
        
        //列表数据默认排序
        $.preBindEvent($page," [name='orderBy']",function(){
            orderState = $(this).find("span").attr("data_order");
            orderState = orderState == "0" ? "1" : "0";
        	typeStyle = $(this).find("span").attr("data_type");
        	orderProductList(orderData,orderState,typeStyle);
        });
    }

    function destroy() {
    	cleanElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
    		"header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "timeChange": $page.find("#timeChange"),
                "typeChange": $page.find("#typeChange"),
                "hiddenList": $page.find("#hiddenList")
            },
            "content": {
            	"CustomerCount1" : $page.find("#CustomerCount1"),
            	"CustomerCount2" : $page.find("#CustomerCount2"),
            	//图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "customerChart" : $page.find("#customerChart"),
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
            	"productList" : $page.find("#productList"),
            	"selectMonth" : $page.find("#selectMonth"),
            	"changeText"  : $page.find("#changeText"),
            	"totalNum"    : $page.find("#totalNum"),
            	"zoushi"      : $page.find("#zoushi")
            },
            "footer": {
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
    	//隐藏/显示系统底部TabBar
    	myUtils.hideBtn("adminList");
    	/*//动态生成弹层框里面最近三个月的li
        insertMonth();*/
    	// 获取数据
    	if($.getSStorageInfo("_prePageCode") == "administrator/adminList" ) {
    		cleanPageElement();
        }
        
        actionType = $.getSStorageInfo("actionType");
        if( actionType == 2){
            actionTypeName = "month";
            jQueryMap.content.changeText.html("本月");
        }else if(actionType == 3){
            actionTypeName = "year"; 
            jQueryMap.content.changeText.html("本年");
        }else if(actionType == 0){
            actionTypeName = "day"; 
            jQueryMap.content.changeText.html("昨日");
        }else if(actionType == 1){
            actionTypeName = "week"; 
            jQueryMap.content.changeText.html("本周");
        }
        $page.find("#timeChange").find("#"+actionTypeName).addClass("act").siblings().removeClass("act");
    	if($.getPageParam ("deptId")){
    		deptId = $.getPageParam ("deptId");
    	}
        getNewSignProdPage();
        width = parseFloat($(_pageId+".page_box").width());
        $(_pageId+"#customerChart").css("width",width);
    }
    // 获取数据
    function getNewSignProdPage() {  
    	dateStrArray = [];
        signedCustomerCount = [];
        followCustomerCount = [];
        addedIncome = [];//总增值
        newIncome = [];//新增增值
    	actionType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param = {
            "userId"     : model.dataStore.userId,  //model.dataStore.userId,推广员id"085dec2747d24661b78cbe4f5108c6fe"
            "deptId"     : deptId,                      //部门id  model.dataStore.userId
            "actionType" : actionType,              //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : month,               
            "queryCriteria": queryCriteria,          //签约数：signNum,增值收入：addedIncome
            "postType"	 : $.getSStorageInfo("postNo")
        };
        service.getNewSignProdPage(param,function (results) {
        	 if(queryCriteria == "signNum"){
        		 var num = myUtils.changeMoney(parseFloat(results.dataRow[0].signedCustomerCount)).num;
             	 var state = myUtils.changeMoney(parseFloat(results.dataRow[0].signedCustomerCount)).state;
             	 jQueryMap.content.CustomerCount1.html(num); 
             	 state ? jQueryMap.content.CustomerCount1.parent().find("p").html("签约客户数(万)") : jQueryMap.content.CustomerCount1.parent().find("p").html("签约客户数(人)");
             	 var num2 = myUtils.changeMoney(parseFloat(results.dataRow[0].followCustomerCount)).num;
            	 var state2 = myUtils.changeMoney(parseFloat(results.dataRow[0].followCustomerCount)).state;
            	 jQueryMap.content.CustomerCount2.html(num2); 
            	 state2 ? jQueryMap.content.CustomerCount2.parent().find("p").html("跟随数(万)") : jQueryMap.content.CustomerCount2.parent().find("p").html("跟随数(人)");    		 
        	 }else if(queryCriteria == "addedIncome"){
                //总增值收入addedIncome
        		 var num = myUtils.changeMoney(parseFloat(results.dataRow[0].addedIncome)).num;
             	 var state = myUtils.changeMoney(parseFloat(results.dataRow[0].addedIncome)).state;
             	 jQueryMap.content.CustomerCount1.html(num); 
             	 state ? jQueryMap.content.CustomerCount1.parent().find("p").html("总增值收入(万)") : jQueryMap.content.CustomerCount1.parent().find("p").html("总增值收入(元)");
//                 //新增增值收入newIncome
//             	 var num2 = myUtils.changeMoney(parseFloat(results.dataRow[0].newIncome)).num;
//            	 var state2 = myUtils.changeMoney(parseFloat(results.dataRow[0].newIncome)).state;
            	 jQueryMap.content.CustomerCount2.html(""); 
            	 jQueryMap.content.CustomerCount2.parent().find("p").html("")
//            	 state2 ? jQueryMap.content.CustomerCount2.parent().find("p").html("新增增值收入(万元)") : jQueryMap.content.CustomerCount2.parent().find("p").html("新增增值收入(元)");
        	 }
        	 //分页数据展示
        	 if(results.dbPage.length > 0){
        		 jQueryMap.content.productList.parent().find("div").hide();
//        		 showCustList(results.dbPage);
        		 orderData = results.dbPage;
        		//  typeStyle = "signedCustomerCount";
        		 orderProductList(orderData,orderState,typeStyle);
        	 }else{
        		 jQueryMap.content.productList.parent().find("div").show();
        		 var html="";
        		 if(queryCriteria == "signNum"){
        			 html='<tr><th name="colName" class="w80">员工/部门</th><th class="w100">签约客户数</th><th>跟随数</th><th>签约率</th></tr>';  //<th>跟随率</th>
            	 }else if(queryCriteria == "addedIncome"){
            		 html= '<tr><th name="colName">员工/部门</th><th>总增值收入</th></tr>';//<th>新增增值收入</th>
            	 }
        		 jQueryMap.content.productList.html(html);
        		 jQueryMap.header.hiddenList.html(html);
        	 }	
        	 //走势图
        	 if(queryCriteria == "signNum"){
        		 if(paintState == "0"){
        			 jQueryMap.content.zoushi.html("签约客户数"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
              		 jQueryMap.content.changeBtn.html("切换到跟随数");
        		 }else{
                     jQueryMap.content.zoushi.html("跟随客户数"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                     jQueryMap.content.changeBtn.html("切换到签约数");
        		 }
        		 jQueryMap.content.changeBtn.show();
      		 }else if(queryCriteria == "addedIncome"){
      			 jQueryMap.content.zoushi.html("总增值收入"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
      			 jQueryMap.content.changeBtn.hide();
      			 /*if(paintState == "0"){
                     jQueryMap.content.zoushi.html("总增值收入"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                     jQueryMap.content.changeBtn.html("切换到新增增值");
      			 }else{
                     jQueryMap.content.zoushi.html("新增增值收入"+(actionType == 1 ? '本周' : actionType == 2 ? '本月'  : actionType == 3 ? '本年' : "")+"走势");
                     jQueryMap.content.changeBtn.html("切换到总增值");
      			 } */
      		 }
        	 if(actionType != "0" && results.list.length>0){
                 jQueryMap.content.customerChart.html("");
        		 drawData(results.list);
             }else if(actionType != "0"){
            	 jQueryMap.content.customerChart.html("");
                 jQueryMap.content.customerChart.html("暂无数据");
                 jQueryMap.content.customerChart.css({"text-align":"center","line-height":"160px"});
             }
            //遮罩层去掉
            //myUtils.cancelLayer($page);
        });
    }
    
    //填充数据
    function showCustList(list,order){
    	var count = 0;
    	if(queryCriteria == "signNum"){
	   		var html="";
	   		html += '<tr><th name="colName" class="w80">员工/部门</th><th class="w100" name="orderBy"><span data_order="'+order+'" data_type="signedCustomerCount"><span name="signedCustomerCount">签约客户数</span><div class="sort_box"><em></em><em></em></div></span></th><th name="orderBy"><span data_order="'+order+'" data_type="followCustomerCount"><span name="followCustomerCount">跟随数</span><div class="sort_box"><em></em><em></em></div></span></th><th>签约率</th></tr>';   //<th>跟随率</th>
	   		jQueryMap.header.hiddenList.html(html);
	   		for(var i=0; i<list.length;i++){
	   			if(list[i].type == 0){
	   				count ++;
	   			}
	            html +='<tr data-id="'+list[i].id+'" data-type="'+list[i].type+'"><td class="w60">'+(list[i].type ==0 ? '<em class="depart_tag" style="left:-0.12rem;">部</em> ':'')+list[i].name+'</td><td class="w100"><span name="signedCustomerCount">'+(list[i].signedCustomerCount ? list[i].signedCustomerCount : "0")+'</span></td><td><span name="followCustomerCount">'+(list[i].followCustomerCount ? list[i].followCustomerCount : "0")+'</span></td><td>'+(list[i].signgRate ? list[i].signgRate :"0")+'</td></tr>';//<td>'+(list[i].followingRate ? list[i].followingRate :"0")+'</td>
	        }     
	   	 }else if(queryCriteria == "addedIncome"){
	   		var html="";
	   		html += '<tr><th name="colName">员工/部门</th><th name="orderBy"><span data_order="'+order+'" data_type="addedIncome"><span>总增值收入</span><div class="sort_box"><em></em><em></em></div></span></th></tr>';//<th>新增增值收入</th>
	   		jQueryMap.header.hiddenList.html(html);
	   		for(var i=0; i<list.length;i++){
	   			if(list[i].type == 0){
	   				count ++;
	   			}
	            html +='<tr data-id="'+list[i].id+'" data-type="'+list[i].type+'"><td >'+(list[i].type ==0 ? '<em class="depart_tag" style="left:-0.12rem;">部</em> ':'')+list[i].name+'</td><td class="fc_red">'+(list[i].addedIncome ? list[i].addedIncome : "0")+'</td></tr>';   //<td><span class="fc_red">'+(list[i].newIncome ? list[i].newIncome : "0")+'</span></td>
	        }     
	   	 }
    	jQueryMap.content.productList.html(html);
    	if(count == 0){
    		$page.find("th[name='colName']").html("员工");
    	}else{
    		$page.find("th[name='colName']").html("员工/部门");
    	}
    	$page.find("#productList").find("th").find("span").removeClass("fc_red");
    	$page.find("#productList").find("th").find("span [name='"+typeStyle+"']").addClass("fc_red");
    	$page.find("#productList").find("tr").find("td").find("span").removeClass("fc_red");
    	$page.find("#productList").find("tr").find("td").find("span[name='"+typeStyle+"']").addClass("fc_red");
    	dHeight = parseInt(document.body.clientHeight);
		aHeight = parseInt($("#administrator_signProduct article").height());
		oTop = parseInt($("#administrator_signProduct #offsetHeight").offset().top);
		trHeight=jQueryMap.content.productList.find("th").parent().height(); 
    }
    
    //升序降序
    function orderProductList(orderData,orderType,orderBy){
    	var $this = $("#productList");
        $this.siblings().find("em").removeClass("act");
        var order = orderType;
        if(!order){
            return false;
        }else{
        	var length = orderData.length;
        	for (var i = length - 1; i > 0; i--) { 
        	    for (var j = 0; j < i; j++) {
        	    	if(order == "1"){
        	    		if (Number(orderData[j][orderBy]) > Number(orderData[j+1][orderBy])) { 
                	        var temp = orderData[j];
                	        orderData[j] = orderData[j+1];
                	        orderData[j+1] = temp;
                	    }
        	    	}
        	    	if(order == "0"){
        	    		if (Number(orderData[j][orderBy]) < Number(orderData[j+1][orderBy])) { 
                	        var temp = orderData[j];
                	        orderData[j] = orderData[j+1];
                	        orderData[j+1] = temp;
                	    }
        	    	}
        	    }
        	}
        }
        // order = order=="0"?"1":"0";
        $this.find("span").attr("data_order",order);
        showCustList(orderData,order);
    }
        
    
    //画图数据
    function  drawData(chartResult){
    	$(_pageId+"#customerChart").css("width",width);
    	if(queryCriteria == "signNum"){
    		for (var i = 0, len = chartResult.length; i < len; i++) {
            	//.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
            	actionType == 3 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);          	
                signedCustomerCount[i] = parseInt(chartResult[i].signedCustomerCount); //签约客户数
                followCustomerCount[i] = parseInt(chartResult[i].followCustomerCount); //跟随客户数
            }
    		myUtils.echartPaint($("#customerChart"),dateStrArray,(paintState == "0" ? signedCustomerCount : followCustomerCount),"line",(paintState == "0" ? "签约客户数" : "跟随客户数"),"人");
		}else if(queryCriteria == "addedIncome"){
			var maxAdded = 0;
			var maxNew = 0;
			for (var i = 0, len = chartResult.length; i < len; i++) {
				maxAdded = parseFloat(chartResult[i].addedIncome) > maxAdded ? parseFloat(chartResult[i].addedIncome) : maxAdded ;	
				maxNew = parseFloat(chartResult[i].newIncome) > maxNew ? parseFloat(chartResult[i].newIncome) : maxNew ;	
			}
			stateAdded = myUtils.changeMoney(parseFloat(maxAdded)).state; 
			stateNew = myUtils.changeMoney(parseFloat(maxNew)).state; 
			for (var i = 0, len = chartResult.length; i < len; i++) {
	        	//.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分
	        	actionType == 3 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);
	        	//totalIncome[i] = parseInt(chartResult[i].totalIncome); //总增值收入
	        	if(stateAdded){
	        		addedIncome[i] = parseFloat(chartResult[i].addedIncome)/10000;
	        	}else{
	        		addedIncome[i] = parseInt(chartResult[i].addedIncome); //总资产
	        	} 
	        	if(stateNew){
	        		newIncome[i] = parseFloat(chartResult[i].newIncome)/10000; 
	        	}else{
	        		newIncome[i] = parseInt(chartResult[i].newIncome);    //新增客户总资产
	        	} 
	        }
            if(actionType=="1"){
                myUtils.echartPaint($("#customerChart"),dateStrArray,(paintState == "0" ? addedIncome : newIncome),"bar",
                		(paintState == "0" ? "总增值收入" : "新增增值收入"),(paintState == "0" ? (stateAdded ? "万元" : "元") : (stateNew ? "万元" : "元")));
            }else{
                myUtils.echartPaint($("#customerChart"),dateStrArray,(paintState == "0" ? addedIncome : newIncome),"line",
                		(paintState == "0" ? "总增值收入" : "新增增值收入"),(paintState == "0" ? (stateAdded ? "万元" : "元") : (stateNew ? "万元" : "元")));
            }
		}
    }
    
    
  
    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }
	
    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.productList.html(""); 
    	jQueryMap.header.hiddenList.html("");
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.changeText.html("昨日");
        $page.find("#monthWrap").html("本月");
        jQueryMap.header.timeChange.find("#day").addClass("act").siblings().removeClass("act");
        jQueryMap.header.typeChange.find("#signNum").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectMonth.find("#curMonth").addClass("act").siblings().removeClass("act");
        actionType = 0;            //操作类型：日0、周(1)、月(2)、年(3),默认为日
        queryCriteria = "signNum"; //签约数：signNum,增值收入：addedIncome
        month = "";
        paintState = "0";     
        typeStyle = "signedCustomerCount";
        orderState = "0";
    }
    
    //重置下级页面返回元素
    function cleanElement() {
    	dHeight = 0;
    	aHeight = 0;
    	oTop = 0 ;
    	trHeight = 0;
    	sTop = 0;
    	deptId = "";
    	jQueryMap.header.hiddenList.hide();
    	$(_pageId+".page_box")[0].scrollTop = 0; 
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
