define("financial/scripts/cockpit/cockpitSearch.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#cockpit_cockpitSearch");
    var _pageId = "#cockpit_cockpitSearch ";
    var motType;
    var curPage = "1";
    var pageSize = 20;
    var month = []; // 接收月份
    var scrollJudge = true;// 判断是否到底可以滑动?
    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        /**********  搜索公共的部分  begin ********/
        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //搜索框输入
        $.bindEvent(jQueryMap.header.searchInput, function () {
            var len = jQueryMap.header.searchInput.val().length;
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (len === 0) {
                jQueryMap.header.clearBtn.hide();
            } else {
                jQueryMap.header.clearBtn.show();
            }
             //搜索时一输入文字就立即进行搜索
            if (e && e.keyCode != 13) {
                search(jQueryMap.header.searchInput.val().trim());
            }
        }, "input");

        //点击搜索图标进行搜索
        $.bindEvent(jQueryMap.header.btnIcon, function () {
            search(jQueryMap.header.searchInput.val().trim());
        });

        // 清空搜索框
        $.bindEvent(jQueryMap.header.clearBtn, function () {
        	jQueryMap.content.emptyTip.hide();
            jQueryMap.header.searchInput.val("");
            jQueryMap.header.clearBtn.hide();
        });

      //点击上架的主题可以挑战到主题详情页面
		$.preBindEvent(jQueryMap.content.motList, ".desp_item", function(){
			var motTypeNo = (motType == "" ? $(this).attr("data-type") : motType);
			if (motTypeNo == "khbreaknotice") {
				var guideSeq = $(this).attr("data-guideSeq");
				var custId = $(this).attr("data-custId");
				$.pageInit("cockpit/mainNotice", "cockpit/effectDetail", {
					"guideSeq" : guideSeq,
					"custId" : custId
				},"right",true);
			}else if(motTypeNo == "subjectnotice"){
//				if($(this).find(".desp_txt").find("span").html()=="上架"){
				 var subjectId = $(this).attr("data-subjectid");
				 var subjecttypeno = $(this).attr("data-subjecttypeno");
				 service.queryProductStatus({
			           "subjectId": subjectId
			      },function(result){
						if(result[0].status=="4"){
							 $.setSStorageInfo("subjectId", subjectId);
							 $.setSStorageInfo("subjectTypeNo",subjecttypeno);
							 if(subjecttypeno == "newCustomersExclusive"){
			                     $.pageInit("cockpit/cockpitInvest", "subject/subNewDetail","","right",true);
			                 }else if(subjecttypeno == "appreciationSigned"){
			                     $.pageInit("cockpit/cockpitInvest", "subject/subSignDetail","","right",true);
			                 }else if(subjecttypeno == "marketActivity"){
		                         $.pageInit("cockpit/cockpitInvest", "subject/subActivityDetail");
		                     }
						}else{
							$.toast("该主题目前已下架！");
//							alert("该主题目前已下架！");
//							$("#callBox").show();
//							$("#Zzz").show();
						}
			      })
//			}else{
//				$.toast("该主题目前已下架！");
//			}
			}else if(motTypeNo == "followupnotice"){
				var custId = $(this).attr("data-custId");
				if(custId == "#custId#"){
					$.toast("该消息提醒已失效！");
					return false;
				}
				$.setSStorageInfo("custId",custId);
				$.pageInit("cockpit/mainNotice","customer/detail/customerFollow","","right",true);
			}else{
				var custId = $(this).attr("data-custId");
				if(custId == "#custId#"){
					$.toast("该消息提醒已失效！");
					return false;
				}
				if(motTypeNo == "qysuccessnotice" && $(this).find(".desp_txt p").html().indexOf("独立客户")>-1 ){
					$.toast("主人：客户为独立客户，暂无查看该客户信息权限！");
					return false;
				}
				$.setSStorageInfo("custId",custId);
				$.setSStorageInfo("customerType","2");
				$.pageInit("cockpit/mainNotice","customer/detail/customerDetail","","right",true);
			}/*else{
			//跳转客户详情功能，待正确传参验证
			var custId = $(this).attr("data-custId");
			$.pageInit("cockpit/cockpitInvest","customer/detail/customerDetail",{
				"custId" : custId,
				"customerType" : "2"
			});
		}*/
		});	
		
        /*$.preBindEvent(jQueryMap.content.customerCon, "li", function () {
            $.setSStorageInfo("custId",$(this).attr("data-custId"));
            $.setSStorageInfo("customerType",$(this).attr("data-customerType"));
            $.pageInit("customer/cusSearch", "customer/detail/customerDetail","","right",true);
        });*/

        // 滚动加载更多
        $.bindEvent($page.find(".page_box"), function() {
            jQueryMap.content.emptyTip.hide();
            if (scrollJudge) {
                var viewH = $(this).height();// 可见高度
                var contentH = $(this).get(0).scrollHeight;// 内容高度
                var scrollTop = $(this).scrollTop();// 滚动高度
                if (scrollTop / (contentH - viewH) >= 0.99) { // 到达底部时,加载新内容
                    if (curPage >= totalPages) {
                        return false;
                    } else {
                        jQueryMap.content.loadIcon.show();
                        scrollJudge = false;
                        setTimeout(function() {
                            curPage++;
                            queryAllMotListByType();
                        }, 600);
                    }
                }
            }
        }, "scroll");
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "searchInput": $page.find("#search_input"),
                "mktGoBack"  : $page.find("#mktGoBack"),
                "clearBtn"   : $page.find("#clear_btn"),
                "btnIcon"    : $page.find("#btn_Icon")
            },
            "content": {
                "motList" : $page.find("#motList"),
                "emptyTip"       : $page.find("#emptyTip"),
                // 上拉加载更多
                "loadIcon" : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData")
            }
        };
    }

    function initPage() {
        motType = $.getPageParam("noticeType");
        if (!motType) {
            motType = $.getPageParam("motType");
            if (!motType) {
                motType = "";
            }
        }
        cleanPageElement();
        setTimeout(function () {
            jQueryMap.header.searchInput.trigger("focus");
        }, 100);
    }
    /**********  搜索公共的部分   ********/
    function search(searchText) {
        // 若input为空不予查询
        if (searchText === "") {
        	jQueryMap.content.motList.html("");
            jQueryMap.content.emptyTip.show();
        	/*if (window.screen.height > $("body").height() + 100) {
                setTimeout(function () {
                    $.toast("请输入搜索关键字！");
                }, 300);
            } else {          	
            	$.toast("请输入搜索关键字！");
            }*/
            return false;
        }
        month = [];
        curPage = "1";
        jQueryMap.content.emptyData.hide();
        jQueryMap.content.emptyTip.hide();
        queryAllMotListByType(searchText);
    }

    // 获取产品列表
    // 查询页面数据
    function queryAllMotListByType(searchTxt) {

        var param = {
            "userId" : $.getSStorageInfo("userId"),
            "motType" : motType,
            "curPage" : curPage,
            "pageSize" : pageSize,
            "searchTxt" : searchTxt
        };
        service.queryAllMotListByType(param, function(result) {
        	jQueryMap.content.emptyTip.hide();
            var mydate=new Date();
            var  num = mydate.getMonth()+1;
            num = num >= 10 ? num : "0"+num ;
            var today =num+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());

            // 获取总页数
            totalPages = result.motList[0].totalPages;
            if (curPage == totalPages && curPage !=1) {
                jQueryMap.content.emptyData.show();
            }else{
            	jQueryMap.content.emptyData.hide();
            }
            if (curPage == "1" ) {
                $(_pageId + "#motList").html("");
            }
            var resultData = result.motList[0].data;
            if(resultData.length>0){
                // 填充标题(消息类型)
                var tempParam = (motType == "" ? result.motList[0].data[0] : result.typeParam[0]);
                //jQueryMap.header.motName.html(motType == "" ? "最新消息提醒" :tempParam.motName);
                var tempHeader = tempParam.domHeader; // 模板父元素头
                var tempFooter = tempParam.domFooter; // 模板父元素尾

                var motList = result.motList;
                // var month = new Array();
                if (motList[0].data.length == 0 && curPage == "1") {
                    jQueryMap.content.emptyTip.show();
                    return;
                }else{
                    jQueryMap.content.emptyTip.hide();
                }
                // 遍历数据
                for (var i = 0; i < motList[0].data.length; i++) {
                    var htmlStr = "";
                    var json = motList[0].data[i].jsonParam;
                    var obj = eval('(' + json + ')');
                    var template = (motType == "" ? motList[0].data[i].template : tempParam.template);
                    var mtype = (motType == "" ? motList[0].data[i].motType  : motType);
                    if(mtype =="follownotice" && obj["tradeType"] == "1"){
    					template = template.replace("已买入","已卖出");
    					template = template.replace("+","-");
    				}
                    if(mtype =="productbuynotice" && obj["tradeType"] == "1"){
						template = template.replace("购买","卖出");	
					}
                    for ( var key in obj) {
                        //if (obj[key].indexOf(searchTxt) != -1) {
                        /*if (searchTxt || searchTxt != "") {
                            if (String(obj[key]).indexOf(searchTxt) != -1) {
                                if (key == "custTel" || key == "custId" || key == "guideSeq") {

                                } else {
                                    var reg = new RegExp("(" + searchTxt + ")","g");
                                    obj[key] = obj[key].replace(reg,"<font color='#d80c1e'>$1</font>");
                                    obj[key] = obj[key].replace(reg, "$1");
                                }
                            }
                        }*/
                        if(key == "matureDay" && obj[key] == "0"){
                            template = template.replace("#" + key + "#天后","今天");
                            continue;
                        }
                        //}
                        template = template.replace("#" + key + "#", obj[key]);
                        template = template.replace("#mottype#", motList[0].data[i].motType);
                    }
                    if(obj["stockName"] == undefined){
						template = template.replace("#stockName#","");
					}
                    if(today == obj["date"] && template!=null){
                        template =template.replace(obj["date"],"今天");
                    }
                    htmlStr += template;
                    if (motType == "khbreaknotice") {
                        $(_pageId + "#motList").append(htmlStr);
                    } else {
                        $(_pageId + "#motList").append(htmlStr);
                    }
                    // $page.find(".desp_sec:last").children().children().append(htmlStr);

                }
            }else{
            	jQueryMap.content.emptyTip.show();
            	jQueryMap.content.motList.html("");
            }
            jQueryMap.content.loadIcon.hide();
            scrollJudge = true;
        });
    }

    // 重置页面元素
    function cleanPageElement() {
    	jQueryMap.content.emptyData.hide();
    	jQueryMap.content.emptyTip.hide();
        jQueryMap.header.clearBtn.hide();
        jQueryMap.header.searchInput.val("");
        jQueryMap.content.motList.html("");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
