define(
		"financial/scripts/cockpit/myInComeInfo2.js",
		function(require, exports, module) {
			// 私有业务模块的全局变量
			var service = require("investService");		
			var myUtils = window.privateSpaceMKT.myUtils;
			var jQueryMap;
			var $page = $("#cockpit_myInComeInfo2");
			var currMonth;
			// 初始化jQueryMap对象
			// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
			initJQueryMap();
			
			function init(){
				//myUtils.addLayer($page);
			}
			function load() {
				initPage();			
			}

			function bindPageEvent() {
				$.bindEvent(jQueryMap.header.mktGoBack, function() {
					$.pageBack();
				});	
				
				//点击上个月
				$.bindEvent(jQueryMap.content.lastMonth,function(){
					var year = parseInt(currMonth.substr(0,4),10);
					var month = parseInt(currMonth.substr(4,6),10);
					
					if(month==1){
						year -= 1;        
					    month = 12;  
					}else{
						month -= 1;
						if(month<10){
							month = "0"+month;
						}
					}
					var yearMont =year+""+month;
					initYearMonth(yearMont);
				});
				
				//点击下个月
				$.bindEvent(jQueryMap.content.nextMonth,function(){
					var year = parseInt(currMonth.substr(0,4),10);
					var month = parseInt(currMonth.substr(4,6),10);
					
					if(month==12){
						year += 1;
						month = 1;
					}else{
						month += 1;
					}
					if(month<10){
						month = "0"+month;
					}
					var yearMonth =year+""+month;
					initYearMonth(yearMonth);
					
				});
			}

			function destroy() {
				service.destroy();
			}
			
			//初始化数据
			function initData(){
				
			}
			
			//初始化年月
			function initYearMonth(month){
				if(!month){
					var date = new Date();	
					var year,month;
					if(date.getMonth() == 0){
						year = date.getFullYear()-1;
						month = 12
					}else{
						year = date.getFullYear();
						month = ((date.getMonth())<10?("0"+(date.getMonth())):date.getMonth());
					}
//					var year = date.getFullYear();
//					var month = ((date.getMonth()+1)<10?("0"+(date.getMonth()+1)):date.getMonth()+1);
					currMonth = year+""+month;
					jQueryMap.content.currMonth.html(year+"年"+month+"月");			
				}else{
					currMonth = month;
					var nowYear = currMonth.substr(0,4);
					var nowMonth = currMonth.substring(4,6);
					jQueryMap.content.currMonth.html(nowYear+"年"+nowMonth+"月");
				}			
				
				
				var lastMonth = getYearMonth(currMonth,"last");
				var strYear =  lastMonth.substr(0,4);                
				var strMonth = lastMonth.substr(4,6);
				jQueryMap.content.lastMonth.html(strYear+"年"+strMonth+"月");
				var nextMonth = getYearMonth(currMonth,"next");
				var strYear1 = nextMonth.substr(0,4);                
				var strMonth1 = nextMonth.substr(4,6);
				
				var nowDate = new Date();
				if(nowDate.getFullYear()==parseInt(currMonth.substr(0,4))){									
					if((nowDate.getMonth())<=parseInt(currMonth.substr(4,6))){
						jQueryMap.content.nextMonth.hide();
					}else{
						jQueryMap.content.nextMonth.show();
						jQueryMap.content.nextMonth.html(strYear1+"年"+strMonth1+"月");	
					}
					
					if(nowDate.getMonth()-currMonth.substr(4,6)==5){
						jQueryMap.content.lastMonth.hide();
					}else{
						jQueryMap.content.lastMonth.show();
					}
				}else{
					if(nowDate.getMonth()==0 && parseInt(currMonth.substr(4,6))==12){
						jQueryMap.content.nextMonth.hide();
					}else{
						jQueryMap.content.nextMonth.show();
						jQueryMap.content.nextMonth.html(strYear1+"年"+strMonth1+"月");	
					}

					if(12-parseInt(currMonth.substr(4,6))+nowDate.getMonth()==5){
						jQueryMap.content.lastMonth.hide();
					}else{
						jQueryMap.content.lastMonth.show();
					}
				}
				initData();
				//遮罩层去掉
				//myUtils.cancelLayer($page);
			}
			
			//获取上一年 OR 下一年
			function getYearMonth(datetime,type){//日期格式YYYYMM  type:1、last  2、next
				var strYear = parseInt(datetime.substr(0,4));                
				var strMonth = parseInt(datetime.substr(4,6));
				var yearMonth;
				if(type=="last"){
					if(strMonth==1){
						 strYear -= 1;        
					     strMonth = 12;  
					}else{
						strMonth -= 1;
						if(strMonth<10){
							strMonth = "0"+strMonth;
						}
					}
					yearMonth = strYear+""+strMonth;
				}else if(type=="next"){
					if(strMonth==12){
						strYear += 1;
						strMonth = "01";
					}else{
						strMonth += 1;
						if(strMonth<10){
							strMonth = "0"+strMonth;
						}
					}
					yearMonth = strYear+""+strMonth;
				}
				return yearMonth;
			}
			
			function initData(){
				service.getIncomeInfo({
					"employeeNo" : $.getSStorageInfo("employeeNo"),
					"monthId"    : currMonth,
					"type"       : "2"
				},function(result){
					$.each(["allIncome","khyjtc","khyjtcRate"
					        ,"sryjtc","sryjtcRate"],
					        function(index,iDom){
		                jQueryMap.content[iDom].html(result[0][iDom]);
		            });
				});
			}
			
			// 初始化jQueryMap对象
			function initJQueryMap() {
				// 缓存常用jQuery对象
				jQueryMap = {
					"header" : {
						"mktGoBack" : $page.find("#mktGoBack"),
					},
					"content" : {
						"lastMonth" : $page.find("#lastMonth"),
						"currMonth" : $page.find("#currMonth"),
						"nextMonth" : $page.find("#nextMonth"),
						"allIncome"    : $page.find("#allIncome"),
						"khyjtc": $page.find("#khyjtc"),
						"khyjtcRate": $page.find("#khyjtcRate"),
						"sryjtc": $page.find("#sryjtc"),
						"sryjtcRate": $page.find("#sryjtcRate")
					},
				};
			}

			function initPage() {
				cleanPageElement();
				myUtils.hideBtn();
				initYearMonth();
			}

			// 重置页面元素
			function cleanPageElement() {				
			}
			
			module.exports = {
				"init" : init,
				"bindPageEvent" : bindPageEvent,
				"destroy" : destroy,
				"load"    : load
			};
		});
