define("financial/scripts/cockpit/productNotice.js", function(require, exports,
		module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	require("validatorUtils");
	var jQueryMap;
	var $page = $("#cockpit_productNotice");
	var types = "productbuynotice,productmaturenotice";

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){
		//myUtils.addLayer($page);
	}
	function load() {
		initPage();
	}

	

	function bindPageEvent() {
		$.bindEvent(jQueryMap.header.mktGoBack,function(){
			$.pageBack();
		});
		
		$.preBindEvent(jQueryMap.content.typeList,"a.msg",function(e){
			var type = $(this).attr("data-type");
			$.pageInit("cockpit/newKhNotice","cockpit/mainNotice",{"noticeType":type});
			/*if(e.target.className=="tit msg"){
				
			}else if(e.target.className=="tel"){
				var tel  = $(this).attr("data-tel");
				$.callMessage({
					"funcNo" : "50220",
					"telNo" : tel,
					"callType" : "0"
				});
			}*/
		});
		
		// 打电话
		$.preBindEvent(jQueryMap.content.typeList, "a.tel", function(e) {
			var tel = $(this).attr("data-tel");
			if (!tel) {
				e.stopPropagation();
				return;
			}
			$.callMessage({
				"funcNo" : "50220",
				"telNo" : tel,
				"callType" : "0"
			});
			e.stopPropagation();
		});
		
		$.preBindEvent(jQueryMap.content.typeList,".desp_item",function(e){
			var custId = $(this).attr("data-custId");
			if(custId == "#custId#"){
				$.toast("该消息提醒已失效！");
				return false;
			}
			$.setSStorageInfo("custId",custId);
			$.setSStorageInfo("customerType","2");
			$.pageInit("cockpit/cockpitInvest","customer/detail/customerDetail");
		});
		
	}

	function destroy() {
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
				"header":{
					"mktGoBack" : $page.find("#mktGoBack"),				
				},
				"content":{
					"productMature" : $page.find("#productMature"),
					"productBuy" : $page.find("#productBuy"),
					"typeList"	 : $page.find("#typeList"),
				},
		};
	}

	function initPage() {
		cleanPageElement();
		myUtils.hideBtn();
		initNoticeData();
	}
	//查询开户相关类型提醒前三条
	function initNoticeData(){
		var param = {
			"types" : types,
			"userId": $.getSStorageInfo("userId")
		};
		service.queryTop3MotByTypes(param,function(result){
			var htmlStr = "";
			for(var i = 0;i<result.length;i++){
				var obj= eval('('+result[i].tempParam+')');
				htmlStr +="<div class='naccount_sec'>";
				htmlStr += "<a href='javascript:void(0);' data-type='"+obj.mot_type+"' class='tit msg'>"+obj.mot_name+(!obj.no_read_num?"":("<em>"+obj.no_read_num+"</em>"))+"</a>"; 
				htmlStr += "<div class='bkpoint_list'  style='background-color: white'>";
				var motArr = new Array();

				if(!result[i].motList){
					htmlStr += '<p style="line-height:1.32rem;text-align: center">暂无提醒</p>';
				}else{
				motArr= eval('(' + result[i].motList + ')');
				for(var j = 0 ;j<motArr.length;j++){
					var template = obj.dom_temp_desc;
					var json = motArr[j].json_param;
					//将JSON串转换成json对象
					var objs = eval('(' + json + ')');
					var mydate=new Date();
					var  num = mydate.getMonth()+1;
					num = num >= 10 ? num : "0"+num ;
					var today =num+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());
					if(objs["tradeType"] == "1"){
						template = template.replace("购买","卖出");	
					}
					for(var key in objs){
						if(template!=null) {
							if(key == "matureDay" && objs[key] == "0"){
								template = template.replace("#" + key + "#天后","今天");
								continue;
							}
							template = template.replace("#" + key + "#", objs[key]);
						}
					}
					if(today == objs["date"] && template!=null){
						template =template.replace(objs["date"],"今天");
					}
					htmlStr += template;
				}}
				htmlStr+="</div></div>";
			}
			jQueryMap.content.typeList.html(htmlStr);
			//遮罩层去掉
			//myUtils.cancelLayer($page);
		});
	}

	
	// 重置页面元素
	function cleanPageElement() {
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	};
});
