define("financial/scripts/customer/views/assets.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("highcharts");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_views_assets");
    var _pageId = "#customer_views_assets "; // 页面ID
    var dateStrArray = [];
    var dateStrArray2 = [];
    var totalAssetArray = [];
    var addAssetsArray = [];
    //走势图单位状态
	var stateTotal;
	var stateAdd;
    var scrollJudge = true;//判断是否到底可以滑动?
    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "0";
    var dateType = "0";
    var page = "1";
    //month=yyyy-mm
    var month = "";
    var orderBy = "3";  
	var byType = "1";
	var paintState = "0";          //走势图显示 0显示是当前类型下的第一个图，1表示第二个
	var width;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        $.bindEvent(jQueryMap.header.mktGoBack,function(){
        	cleanPageElement();
            $.pageBack();
        });
      
        //切换到有效户数  jQueryMap.content.changeBtn.html("切换到新开");
        $.bindEvent(jQueryMap.content.changeBtn, function () {
            var $this = $(this);
            if($this.html() == "切换到新开"){
            	paintState = "1";
                $this.html("切换到净资产");
                jQueryMap.content.totalAssets.parent().addClass("hide").siblings().removeClass("hide");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"新开客户净资产走势");
               /* if(addAssetsArray.length == "0"){
                	jQueryMap.content.assetsChart.html("暂无数据");
    			    jQueryMap.content.assetsChart.css({"text-align":"center","line-height":"1.5rem"});
                }else{
                	jQueryMap.content.assetsChart.html("");
                	myUtils.echartPaint($(_pageId+"#assetsChart"),dateStrArray2,addAssetsArray,"line","新开客户净资产",(stateAdd ? "万元" :"元"));
                }*/
                addAssetsArray.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#assetsChart"),dateStrArray2,addAssetsArray,"line","新开客户净资产",(stateAdd ? "万元" :"元"));
            }else{
            	paintState = "0";
                $this.html("切换到新开");
                jQueryMap.content.addAssets.parent().addClass("hide").siblings().removeClass("hide");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"净资产走势");
                /*if(totalAssetArray.length == "0" ){
                	jQueryMap.content.assetsChart.html("暂无数据");
    			    jQueryMap.content.assetsChart.css({"text-align":"center","line-height":"1.5rem"});
                }else{
                	jQueryMap.content.assetsChart.html("");
                	myUtils.echartPaint($(_pageId+"#assetsChart"),dateStrArray,totalAssetArray,"line","净资产",(stateTotal ? "万元" :"元"));
                }*/
                totalAssetArray.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#assetsChart"),dateStrArray,totalAssetArray,"line","净资产",(stateTotal ? "万元" :"元"));
            }
        });

        //点击客户列表查看资产明细
        $.preBindEvent($(_pageId + "#custList"), "tr", function(){
            if(!$(this).attr("data-custNo")){
            	return false; 
            }
            var name = $(this).find("td:first").html();
            $.pageInit("customer/views/commission", "customer/views/assetsCustDetail", {"custNo":$(this).attr("data-custNo"),"name":name} );
        });

        $.bindEvent(jQueryMap.header.histroy,function(){
            $.setSStorageInfo("prePage","assets");
            $.pageInit("customer/views/commission", "customer/views/histroy");
        });


        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	dateType = "1";
                queryCustomer();
                cleanChangeElement();
                dbPageCustList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            //加载转圈
            myUtils.loadService($page);
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
                jQueryMap.content.shouyilv.html("月收益率");
                dateType = "1";
                //myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($(this).attr("id") == "yearBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
            	jQueryMap.content.shouyilv.html("年收益率");
            	dateType = "2";       
            }else if($(this).attr("id") == "dayBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
            	jQueryMap.content.shouyilv.html("日收益率");
            	dateType = "0";
            }
            queryCustomer();
            cleanChangeElement();
            dbPageCustList();
        });

        // //弹框的日月年选择
        // $.preBindEvent(jQueryMap.content.selectDateIn, "li", function(){
        //     if($(this).attr("id") == "month"){
        //         $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
        //     	dateType = "1";
        //         queryCustomer();
        //         cleanChangeElement();
        //         dbPageCustList();
        //     	jQueryMap.content.shouyilv.html("月收益率");
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
        //     }else if($(this).attr("id") == "year"){
        //         $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
        //     	jQueryMap.content.shouyilv.html("年收益率");
        //         jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
        //         dateType = "2";
        //         queryCustomer();
        //         cleanChangeElement();
        //         dbPageCustList();
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        //     }else if($(this).attr("id") == "day"){
        //         $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
        //     	jQueryMap.content.shouyilv.html("日收益率");
        //         jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
        //         dateType = "0";
        //         queryCustomer();
        //         cleanChangeElement();
        //         dbPageCustList();
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        //     }
        // });

        // //选择弹框里面的月份
        // $.preBindEvent(jQueryMap.content.selectBox, "li", function(){
        //     $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
        //     $(this).addClass("act").siblings().removeClass("act");
        //     month = $(this).attr("data-month");
        //     if($(this).attr("id")=="curMonth"){
        //         $page.find("#monthWrap").html("本月");
        //         $page.find("#month span").html("本月");
        //     }else{
        //         $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
        //         $page.find("#month span").html(month.substr(5)+"/"+month.substr(0,4));
        //     }
        //     if(month.substr(5).length<2){
        //         month = month.substr(0,4)+"-0"+month.substr(5);
        //     }
        //     jQueryMap.content.shouyilv.html("月收益率");
        //     dateType = "1";
        //     queryCustomer();
        //     cleanChangeElement();
        //     dbPageCustList();
        //     myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        // });
        
        //升序降序
		$.preBindEvent($page,"th",function(){
			var $this=$(this);
            $this.siblings().find("em").removeClass("act");
			if(!$this.attr("data_order")){
				return false; 
			}
			if($this.hasClass("act")){
				orderBy=$this.attr("data_order");

				$this.find("em").each(function(index,domEle){
					if($(this).hasClass("act")){
						$(this).removeClass("act");
					}else{
						$(this).addClass("act");
						byType=index;
					}
				});
			}else{
				orderBy=$this.attr("data_order");	
				$this.addClass("act");
				$this.siblings().removeClass("act");
				jQueryMap.content.custTop.find("em").siblings().removeClass("act");
				$this.find("em").each(function(index,domEle){
                    if(index==1){
                    	$(this).addClass("act");
                    	byType=index;
                    }
				});	
			}
			cleanChangeElement();
            dbPageCustList();
		});
		
		 //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                    	dbPageCustList();
                    },600);
                }
        	} 
        },"scroll");

    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "histroy"   : $page.find("#histroy"),
                "hiddenList": $page.find("#hiddenList"),
                "scrollHead"  : $page.find("#scrollHead")
            },
            "content": {
                //图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "assetsChart" : $page.find("#assetsChart"),
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
                "changeText": $page.find("#changeText"),
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),

                //文字滑动搜索
                "allAssets"    : $page.find("#allAssets"),
                "addAssets"    : $page.find("#addAssets"),
                "tradeAmount"  : $page.find("#tradeAmount"),
                "commission"   : $page.find("#commission"),
                "addCust"	   : $page.find("#addCust"),
                "allCust"      : $page.find("#allCust"),

                "totalAssetChart"  : $page.find("#totalAssetChart"),

                "totalAssets": $page.find("#totalAssets"),
            	"addAssets"		   : $page.find("#addAssets"),
            	"custList"     : $page.find("#custList"),
            	//"totalAsset"   : $page.find(".fc_red")
            	"custTop"      : $page.find(".custTop"),
            	"shouyilv"     : $page.find(".shouyilv"),
                "assetRate"   : $page.find("#assetRate"),
                "assetPeak"   : $page.find("#assetPeak"),
                "showList"    : $page.find("#showList"),
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData")
            },
            "footer":{
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }

        };
    }

    function initPage() {
    	 width = parseFloat($(_pageId+".page_box").width());
         $(_pageId+"#assetsChart").css("width",width);
        if($.getSStorageInfo("_prePageCode")!="customer/views/histroy" && $.getSStorageInfo("_prePageCode")!="customer/views/assetsCustDetail"){
            myUtils.showLayer($page);
            //显示遮罩层
            //myUtils.showLayer1($page);
            myUtils.hideBtn();
            dateType = $.getPageParam("dateType") || "0";
            if(dateType == "0") {
                jQueryMap.content.selectDate.find("#dayBox").addClass("current");
            } else if(dateType == "1") {
                jQueryMap.content.selectDate.find("#monthBox").addClass("current");
            } else if(dateType == "2") {
                jQueryMap.content.selectDate.find("#yearBox").addClass("current");
            }
            queryCustomer();
            dbPageCustList();
           /* //动态生成弹层框里面最近三个月的li
            insertMonth();*/
        }

    }
    //走势图与总数据
    function queryCustomer(){
        dateType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param={
            "staffId"    : model.dataStore.staffId,
            "dateType"   : dateType, //0：按天，1：按月，2：按年
            "actionType" : actionType,  //0：资产统计查询
            "month"	     : month,        //按月份查询（yyyy-MM）
            "orderBy"    : orderBy,
			"byType"     : byType,
			"dataKind"   : "0"    //查询数据类型  0、走势图  1、人员信息列表
        };
        service.queryAssetInfo(param,function(result){
        	//总数居填充
        	var contact = [{"id":"totalAssets","text":"净资产",  "wtext":"净资产(万)"},
        	               {"id":"addAssets",  "text":"新开客户净资产","wtext":"新开客户净资产(万)"}];
            $.each(contact,function(index,iDom){           	
            	var num = myUtils.changeMoney(parseFloat(result.assets[0][iDom.id])).num;
            	var state = myUtils.changeMoney(parseFloat(result.assets[0][iDom.id])).state;
            	jQueryMap.content[iDom.id].html(num);
            	state ? jQueryMap.content[iDom.id].parent().find("p").html(iDom.wtext) : jQueryMap.content[iDom.id].parent().find("p").html(iDom.text);
            });
            //数据展示头部tab栏
            if(dateType==0){
	     		var html='<tr class="custTop"><th style="width: 20%;">客户</th><th data_order="3" style="width: 30%;"><span><span>可用余额(万)</span><div class="sort_box" style="width: 0.1rem;"><em></em><em></em>'
						+'</div></span></th><span><th data_order="4"><span><span >扎差(万)</span><div class="sort_box" style="width: 0.1rem;"><em></em><em></em></div></span></th><th  data_order="5">'
						+'<span><span class="shouyilv">日收益率</span><div class="sort_box" style="width: 0.1rem;"><em></em><em></em></div></span></th>';
	     		$(_pageId + "#hiddenList").css("width","100%");
            }else{
				var html='<tr class="custTop"><th style="width: 15%;">客户</th><th style="width: 20%;" data_order="3"><span><span >可用余额(万)</span><div class="sort_box" style="width: 0.1rem;"><em></em><em></em>'
					+'</div></span></th><th style="width: 16%;" data_order="4"><span><span >扎差(万)</span><div class="sort_box" style="width: 0.1rem;"><em></em><em></em></div></span></th><th style="width: 16%;"  data_order="5">'
					+'<span><span class="shouyilv" >'+(dateType==1 ?'月' :'年')+'收益率</span><div class="sort_box" style="width: 0.1rem;"><em></em><em></em></div></span></th>'
					+'<th style="width: 18%;" id="assetPeak">资产峰值(万)</th><th id="assetRate">周转率</th></tr>';
				$(_pageId + "#hiddenList").css("width","150%"); 
            }	 
	   		 $(_pageId + "#hiddenList").html(html);
	   		 /*$(_pageId + "#hiddenList").find("th").each(function(index,domEle){
	   	    		var $this=$(this);
	   	        	if($this.attr("data_order")==orderBy){
	   	        		$this.addClass("act").siblings().removeClass("act");
	   	        		$this.find("em").each(function(index,domEle){
	   						if(index == byType){
	   							$(this).addClass("act").siblings().removeClass("act");
	   						}
	   					});
	   	        	}
	   		  });*/
   		 
			//走势图画图
            dateStrArray = [];
            dateStrArray2 = [];
            totalAssetArray = [];
            addAssetsArray = [];
            if(paintState == "0"){
            	jQueryMap.content.changeBtn.html("切换到新开");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"净资产走势");
            }else{
            	jQueryMap.content.changeBtn.html("切换到净资产");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"新开客户净资产走势");
            }      
			if(dateType != "0"){
                jQueryMap.content.assetsChart.html("");
                //显示走势图
                if(result.assetslist.length>0){
                	var maxTotal = 0;
                	for (var i = 0, len = result.assetslist.length; i < len; i++) {
                		maxTotal = parseFloat(result.assetslist[i].totalAssets) > maxTotal ? parseFloat(result.assetslist[i].totalAssets) : maxTotal ;	
        			}
                	stateTotal = myUtils.changeMoney(parseFloat(maxTotal)).state; 
                	for (var i = 0, len = result.assetslist.length; i < len; i++) {
    		            //.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分 dateStrArray[i] = assetsList[i].dateTime;
    		            dateType == 2 ? dateStrArray[i] = result.assetslist[i].dateTime : dateStrArray[i] = result.assetslist[i].dateTime.substring(5);              
    		            if(stateTotal){
    		            	totalAssetArray[i] = parseFloat(result.assetslist[i].totalAssets)/10000;
    		        	}else{
    		        		totalAssetArray[i] = parseInt(result.assetslist[i].totalAssets); //净资产
    		        	} 
    		        }
                }
				if(result.addAssetslist.length>0){
					var maxAdd = 0;
					for (var i = 0, len = result.addAssetslist.length; i < len; i++) {
                		maxAdd = parseFloat(result.addAssetslist[i].addAssets) > maxAdd ? parseFloat(result.addAssetslist[i].addAssets) : maxAdd ;	
        			}
					stateAdd = myUtils.changeMoney(parseFloat(maxAdd)).state; 
					for (var i = 0, len = result.addAssetslist.length; i < len; i++) {
			            dateType == 2 ? dateStrArray2[i] = result.addAssetslist[i].dateTime : dateStrArray2[i] = result.addAssetslist[i].dateTime.substring(5);
			            if(stateAdd){
			            	addAssetsArray[i] = parseFloat(result.addAssetslist[i].addAssets)/10000; 
			        	}else{
			        		addAssetsArray[i] = parseInt(result.addAssetslist[i].addAssets);    //新开客户净资产
			        	} 
			        }
				}
				if(paintState == "0"){
	            	jQueryMap.content.changeBtn.html("切换到新开");
	                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"净资产走势");
	                if(totalAssetArray.length == "0" ){
	                	jQueryMap.content.assetsChart.html("暂无数据");
	    			    jQueryMap.content.assetsChart.css({"text-align":"center","line-height":"1.5rem"});
	                }else{
	                	jQueryMap.content.assetsChart.html("");
	                	$(_pageId+"#assetsChart").css("width",width);
	                	myUtils.echartPaint($(_pageId+"#assetsChart"),dateStrArray,totalAssetArray,"line","净资产",(stateTotal ? "万元" :"元"));
	                }
	            }else{
	            	jQueryMap.content.changeBtn.html("切换到净资产");
	                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"新开客户净资产走势");
	                if(addAssetsArray.length == "0"){
	                	jQueryMap.content.assetsChart.html("暂无数据");
	    			    jQueryMap.content.assetsChart.css({"text-align":"center","line-height":"1.5rem"});
	                }else{
	                	jQueryMap.content.assetsChart.html("");
	                	$(_pageId+"#assetsChart").css("width",width);
	                	myUtils.echartPaint($(_pageId+"#assetsChart"),dateStrArray2,addAssetsArray,"line","新开客户净资产",(stateAdd ? "万元" :"元"));
	                }
	            }
                //去掉加载转圈
                myUtils.hideLoadService($page);
			}
        });        
    }
    
    function dbPageCustList(){

       var param={
               "staffId"    : model.dataStore.staffId,
               "dateType"   : dateType, //0：按天，1：按月，2：按年
               "actionType" : actionType,  //0：资产统计查询
               "month"	     : month,        //按月份查询（yyyy-MM）
               "page"       : page,//pageSlide.getCurPage(), // 必须使用pageSlide组件获取当前是第几页
               "pageSize"	 : "20"  ,    //每页大小
               "orderBy"    : orderBy,
   		    	"byType"     : byType,
   			    "dataKind"   : "1"              //查询数据类型  0、走势图  1、人员信息列表
           };
       service.queryAssetInfo(param,function (results) {   
    	     totalPages = results[0].totalPages;
		  	 if(page == totalPages && page !=1){
		  		 jQueryMap.content.emptyData.show();
		  	 }else{
		  		jQueryMap.content.emptyData.hide();
		  	 }
	         if (page == "1") {
	            $(_pageId+"#custList").html("");
	         }    
	       	 if(results[0].data.length > 0){
	       		    jQueryMap.content.custList.parent().find("div").hide();
	                showCustList(results[0].data);           
	       	 }else{      	
	       		    jQueryMap.content.custList.html("");
	       		    jQueryMap.content.custList.parent().find("div").show();
	       	 }
           //去掉加载转圈
           myUtils.hideLoadService($page);
           ////遮罩层去掉
           myUtils.hideLayer($page);
       });
   }  
    
    function showCustList(list){
        var html = "";
        if(dateType==0){
        	for(var i=0; i<list.length;i++){
                html +=" <tr data-custNo='" + list[i].custNo + "'><td style='width: 20%;'>" + list[i].name + "</td><td style='width: 30%;'>"
                +myUtils.changeUtil(list[i].totalAssets)+"</td><td>"
                +myUtils.changeUtil(list[i].zhacha)+ "</td><td><span>"
                + list[i].dailyRateReturn + "</span></td></tr>";
            }
        	$(_pageId + "#custList").css("width","100%"); 
        }else if(dateType==1){
        	for(var i=0; i<list.length;i++){       		
                html +=" <tr data-custNo='" + list[i].custNo + "'><td style='width: 15%;'>" + list[i].name + "</td><td style='width: 20%;'>"
                + myUtils.changeUtil(list[i].totalAssets) +"</td><td style='width: 16%;'>"
                + myUtils.changeUtil(list[i].zhacha) + "</td><td style='width: 16%;'><span>"
                + list[i].monthRateReturn + "</span></td><td style='width: 18%;'>"+ myUtils.changeUtil(list[i].highestAssets)  +"</td><td>" + list[i].turnoverRate + "</td></tr>";
            }
        	$(_pageId + "#custList").css("width","150%"); 
        }else if(dateType==2){
        	for(var i=0; i<list.length;i++){       
        		html +=" <tr data-custNo='" + list[i].custNo + "'><td style='width: 15%;'>" + list[i].name + "</td><td style='width: 20%;'>"
		        		+ myUtils.changeUtil(list[i].totalAssets) +"</td><td style='width: 16%;'>"
		        		+ myUtils.changeUtil(list[i].zhacha) + "</td><td style='width: 16%;'><span>"
		        		+ list[i].yearRateReturn + "</span></td><td style='width: 18%;'>"+ myUtils.changeUtil(list[i].highestAssets)  +"</td><td>" + list[i].turnoverRate + "</td></tr>";
            }
        	$(_pageId + "#custList").css("width","150%"); 
        }
        $(_pageId + "#custList").append(html);
        jQueryMap.content.loadIcon.hide();
        scrollJudge =true;
    }

   
    function destroy() {
        //去掉加载转圈
        myUtils.hideLoadService($page);
    	cleanChangeElement();    	
        service.destroy();
    }

    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }
    
    // 重置页面元素
    function cleanPageElement() {
        //显示在遮罩层
        myUtils.showLayer($page);
        dateType = "0";
        actionType = "0";
        month = "";
        orderBy = "3";  
    	byType = "1";    	
    	paintState = "0";   	
   	    jQueryMap.content.custList.html("");
    	jQueryMap.content.loadIcon.hide();
        jQueryMap.content.showMonYear.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        // jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("li").removeClass("current");
        // jQueryMap.content.selectDateIn.find("#month").addClass("current").siblings().removeClass("current");
        // jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
        jQueryMap.content.assetsChart.html("");
        $(_pageId + "#hiddenList").find("th").removeClass("act");
    }

    //切换重置元素
    function cleanChangeElement(){
        //显示遮罩层
    	page = "1";
    	jQueryMap.content.emptyData.hide();
    	$("#customer_views_assets dl")[0].scrollLeft = 0;
    	$("#customer_views_assets .page_box")[0].scrollTop = 0;
        jQueryMap.content.addAssets.parent().addClass("hide").siblings().removeClass("hide");
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
