define("financial/scripts/me/myData/aboutUs.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require('pickerCity');
    var global = $.config.global;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_aboutUs");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load(){
        var result = $.callMessage({
            "funcNo"    : "50010"
        });
        if (result.error_no == "0") {
            var version = (result.results && result.results[0]) ? result.results[0].version : "";
           jQueryMap.content.version.html(" v" + version);
        } else {
            jQueryMap.content.version.html("");
        }

    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });  

        //检查更新
        $.bindEvent(jQueryMap.content.versionRefresh, function(){
            $.callMessage({
                "funcNo"    : "50203",
                "url"       : global.checkUpdate
            });
        });
        //功能介绍跳转
        $.bindEvent(jQueryMap.content.functionIntroduction, function () {
        	$.pageInit("me/myData/aboutUs", "me/myData/functionIntroduction");
        });     
    }
    function destroy() {
        service.destroy();
    }
    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
                "functionIntroduction"    : $page.find("#function_Introduction"),
                "versionRefresh"    : $page.find("#version_refresh"),
                "version"   : $page.find("#version")
            }
        };
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
