define("financial/scripts/me/myData/feedbackSuccess.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require('pickerCity');
    var i=3;
    var timer;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_feedbackSuccess");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
    	 
    }
    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });  
        feedbackLoad();
    }
    
    function destroy() {
    	window.clearInterval(timer);
    	jQueryMap.content.timeout.html(i);
    	service.destroy();
    }
    //3秒倒计时
    function feedbackLoad(){  	
    	clearInterval(timer);
    	timer = setInterval(function(){
    		i--; 
    		if(i==0){
    			 i=3;
    			 $.pageBack(null,"left",-2);
    			 window.clearInterval(timer);
    	  	   }else{
    	  		   jQueryMap.content.timeout.html(i);
    	  	   }
    	},1000);
    }
   
    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content"  : {
                "timeout"    : $page.find("#timeout"),
            },
        };
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
