define("financial/scripts/mot/eventBreakpoint.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService"); 
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    require('pickerCity');
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#mot_eventBreakpoint");
    // 模块内的其它全局变量
    var scrollJudge = true;//判断是否到底可以滑动?
    var page = "1", totalPages = 0;
    var onCall = false;
    var deal_state,task_type,task_name,task_deal_type,task_deal_id,callId,cust_name,cust_id,create_date,beginTime,task_id;//消息定义处理类别
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	//取消返回
    	$.bindEvent($page.find("#mktGoBack"), function () {
    		$.setSStorageInfo("task_status",deal_state);
            $.setSStorageInfo("task_deal_type",task_deal_type);
            page = "1", totalPages = 0;
    		$.pageBack();
        });
    	
    	//事件说明
    	$.bindEvent($page.find(".ques_more"), function () {
    		if($page.find(".task_intro")[0].style.display =='none')
    		{
    			$page.find(".task_intro").show();
    		}else
    		{
    			$page.find(".task_intro").hide();
    		}
        });
    	
    	//事件说明
    	$.bindEvent($page.find(".task_intro"), function () {
    		$page.find(".task_intro").hide();
        });
    	
    	//搜素触发事件
    	$.bindEvent($page.find(".icon_search"),function () {
    		$.setSStorageInfo("task_status",deal_state);
    		$.pageInit("mot/eventBreakpoint", "mot/eventServiceSearch", {
                "curTaskType": task_type,
                "taskName": task_name
            });
    	});
        
		//点击电话图标的时候打电话
        $.preBindEvent($page.find(".task_dtails_lbox"), ".servicePhone", function() {
            if(onCall) {
                return;
            }
            onCall = true;
            cust_id = $(this).attr("data-cust_id");
            cust_name = $(this).attr("data-cust_name");
            beginTime =  $(this).attr("data-begintime");
            task_id  =  $(this).attr("data-task_id");
            business_id  =  $(this).attr("data-business_id");
            business_type  =  $(this).attr("data-business_type");
            callMobile(business_id, business_type);
            $.setSStorageInfo("task_status",deal_state);
        });
    	 
        //点击电话图标的时候打电话--关闭
        $.preBindEvent($page.find(".callshow"), ".iknow", function() {
            $page.find(".callshow").hide();
            var dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
            $.setSStorageInfo("task_status",deal_state);
             $.pageInit("mot/eventBreakpointInfo", "mot/serviceInput", {
                 "taskDealId": task_deal_id,
                 "curCustName": cust_name,
                 "curCustId": cust_id,
                 "curTaskId": task_id,
                 "beginTime": beginTime,
                 "dealType": '0',
                 "curTaskType": task_type,
                 "dealDate": dealDate,
                 "taskName": task_name,
                 "serviceCon": ""
             });
//            deal_state,task_type,task_name,task_deal_type,task_deal_id,callId,cust_name,cust_id;//消息定义处理类别
        });
       
    	// 服务录入
        $.preBindEvent($page.find(".task_dtails_lbox"),".serviceInput",function () {
        	cust_name = $(this).attr("data-cust_name");
        	task_id = $(this).attr("data-task_id");
        	cust_id = $(this).attr("data-cust_id");
        	beginTime =  $(this).attr("data-begintime");
        	$.setSStorageInfo("task_status",deal_state);
    		$.pageInit("mot/eventBreakpoint", "mot/serviceInput", {
                "curCustName": cust_name,
                "curCustId": cust_id,
                "curTaskId": task_id,
                "beginTime": beginTime,
                "curTaskType": task_type,
                "taskName": task_name
            });
    	});
    	
    	//服务详情
        $.preBindEvent($page.find(".task_dtails_lbox"),".dt_service",function () {
        	task_id = $(this).attr("data-task_id");
        	class_id = $(this).attr("data-class_id");
        	$.setSStorageInfo("task_status",deal_state);
        	$.setSStorageInfo("class_id",class_id);
    		$.pageInit("mot/eventBreakpoint", "mot/eventBreakpointInfo", {
    			"curTaskId": task_id,
                "taskName": task_name,
                "curTaskType": task_type
            });
    	});
    	
    	//推荐
    	$.preBindEvent($page.find(".task_dtails_lbox"),".tj",function (e) {
            var subjectList = [];
            var ycfTypeList = [];
            //获取产品列表
            //员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
            var groupIdIn = $.getSStorageInfo("groupIdIn");
            var param = {
                "userId": model.dataStore.userId,
                "groupIdIn": $.getSStorageInfo("branchNo")
            };
            service.getSubjectList(param, function(results) {
            	$.setSStorageInfo("task_status",deal_state);
                if (results.result1.length > 0) {
                    subjectList = results.result1;
                    ycfTypeList = results.result3;
                    $.pageInit("mot/eventBreakpointInfo", "subject/subjectList", { "flag": 1, "subjectList": subjectList, "ycfTypeList": ycfTypeList });
                }
            });
    		e.stopPropagation();
    	});
    	
    	//分享
    	$.preBindEvent($page.find(".task_dtails_lbox"),".fx",function (e) {
    		$.setSStorageInfo("task_status",deal_state);
    		$.pageInit("mot/eventBreakpoint", "me/store/storeIndex");
    		e.stopPropagation()
    	});
    	
    	//滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                	$page.find(".infinite-scroll-preloader").show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                        eventUserTaskShow(task_type,deal_state);
                    },600);
                }
        	}      
        },"scroll");
    	
        //事件类型点击事件搜索查询
    	$.preBindEvent($page.find(".task_info"),"li",function(){
            page = "1", totalPages = 0;
    		$(this).addClass("act").siblings().removeClass("act").parent().parent().removeClass("show");
    		return_deal_state($(this));
    		eventUserTaskShow(task_type,deal_state);
    	});
    	
    	//客户详情
    	$.preBindEvent($page.find(".task_dtails_lbox"),"img",function(e) {
            cust_id = $(this).attr("data-cust_id");
            if(!(cust_id && cust_id.trim())) {
                e.stopPropagation();
                return;
            }
            $.setSStorageInfo("task_status",deal_state);
            var params={
            		"custNo" : cust_id,
        			"type"	    : "0"
                };
    		service.getMktCustId(params, function(result){
    			if(result && result.length>0){
    				$.setSStorageInfo("customerType", "2");
    	            $.setSStorageInfo("custId", result[0].cust_id);
    	            $.pageInit("mot/eventBreakpoint", "customer/detail/customerDetail");
    			}
            });
    		e.stopPropagation();
        });
        
    }
    
    function destroy() {
        myUtils.showLayer($page);
        
        $page.find(".callshow").hide();
        onCall = false;
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
                "callStatement" : $page.find("#call_statement")
            },
            "layerArea": {}
        };
    }

    function initPage() {
        myUtils.hideBtn();
    	// 重置页面元素
        cleanPageElement();
        var pageParam = $.getPageParam();
		task_type = pageParam.task_type;
		task_name = pageParam.task_name;

        task_deal_type =$.getSStorageInfo("task_deal_type");
		deal_state = $.getSStorageInfo("task_status")
        
		$page.find('.task_name').html(task_name);
		// 数字个数
		var numCnt = task_name.replace(/\D/g, '').length;
		// 大写字母个数
		var alphaNum = task_name.replace(/[^A-Z]/g, '').length;
		// 小写字母个数
		var AlphaNum = task_name.replace(/[^a-z]/g, '').length;
		var length = (numCnt * 10.48 + alphaNum * 9.94 + AlphaNum * 12.66)/18;
		var setleft = 50 + (task_name.length - length - 4)*2.9;
		document.styleSheets[3].addRule('.task_intro:before','left:'+setleft+'%');
		
		if(deal_state=="1")
        {
        	$page.find(".one").parent().addClass("act").siblings().removeClass("act");
        }else if(deal_state=="7")
        {
        	$page.find(".two").parent().addClass("act").siblings().removeClass("act");
        }else if(deal_state=="3")
        {
        	$page.find(".thr").parent().addClass("act").siblings().removeClass("act");
        }else if(deal_state=="6")
        {
        	$page.find(".for").parent().addClass("act").siblings().removeClass("act");
        }
		
		//判断状态入参
		$page.find(".task_info").find("li").each(function () {
            var $this = $(this);
            if ($this.hasClass("act")) {
            	return_deal_state($this);
            }
        });
		
        eventUserTaskShow(task_type,deal_state);
        
        eventClassTypeCount();
    }

    function return_deal_state(obj)
    {
    	if(obj.attr("data-type") == 'one')
		{
    		deal_state = 1;
		}else if(obj.attr("data-type") == 'two')
		{
			deal_state = 7;
		}else if(obj.attr("data-type") == 'thr')
		{
			deal_state = 3;
		}else if(obj.attr("data-type") == 'for')
		{
			deal_state = 6;
		}
    }
    //事件任务列表展示
    //分页排序
    function eventUserTaskShow(task_type,deal_state){
        var param={
        		"task_type"         :  task_type, //任务编号
                "employeeNo"        : $.getSStorageInfo("employeeNo"),  //员工编号
                "keyWord"           : '',    //关键字查询
                "deal_state"        : deal_state, //完成状态
                "pageIndex"         : page,      //页数
                "pageSize"          : "20" ,     //条数
                "task_deal_type"    : task_deal_type
            };
        service.eventUserTaskShow(param,function (results) {         	
        	 //获取总页数
        	 totalPages = results[0].totalPages;
        	 var html = '';
        	 if (page == "1") {
        		 $page.find('.task_dtails_lbox').html("");
 	         }
	         if(results[0].data.length>0){
	        	 //填充事件任务
                 showTaskListRank(results[0].data);
                 $page.find('.task_dtails_lbox').show();
            	 $page.find('.no_channel').hide();
             }else{
            	 if(page == "1")
            	 {
            		 $page.find('.task_dtails_lbox').html("");
            		 $page.find('.task_dtails_lbox').hide();
                	 $page.find('.no_channel').show();
            	 }
             }
	        $page.find(".infinite-scroll-preloader").hide();
            //去掉加载转圈
            myUtils.hideLoadService($page);
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }
    
    function eventClassTypeCount() {
        service.eventClassTypeCount({
            "class_id"         : '',
            "task_type"        : task_type,
            "employeeNo"       : $.getSStorageInfo("employeeNo"),
            "task_deal_type"   : task_deal_type
        },function(result){
        	if(result[0].untreated=='' || result[0].untreated ==null)
        		result[0].untreated=0;
        	$page.find(".one").html(result[0].untreated);
        	if(result[0].ontimecompleted=='' || result[0].ontimecompleted ==null)
        		result[0].ontimecompleted=0;
        	$page.find(".two").html(result[0].ontimecompleted);
        	if(result[0].expired=='' || result[0].expired ==null)
        		result[0].expired=0;
        	$page.find(".thr").html(result[0].expired);
        	if(result[0].expiredcompleted=='' || result[0].expiredcompleted ==null)
        		result[0].expiredcompleted=0;
        	$page.find(".for").html(result[0].expiredcompleted);
        	
        	$page.find(".task_desc").html(result[0].task_desc);
        	$page.find(".valid_deal_type_name").html(result[0].valid_deal_type_name);
        	
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    	myUtils.hideLayer($page);
    }
    
    function callMobile(business_id, business_type) {
    	var userCode = $.getSStorageInfo("employeeNo");
        service.callMobile({
            "userCode"         : userCode,
            "businessType"     : business_type,
            "businessId"       : business_id
        },function(result){
        	callId = result[0].callId;
        	if(callId=="" || callId==undefined)
        	{
        		$.toast("调用电话服务失败！");
        	}else
        	{
        		dealDate = new Date().format("yyyy-MM-dd HH:mm:ss");
                var param = {
                    "task_id": task_id,
                    "deal_desc": '打电话',
                    "deal_type": '0',
                    "task_type": task_type,
                    "callId"   : callId,
                    "deal_date": dealDate,
                    "task_account_id": userCode,
                    "deal_type_name": '打电话'
                };
            	service.addServiceInput(param, function(result) {
            		task_deal_id = result[0].task_deal_id;
                    var tel = $.getSStorageInfo("mobileNo");
                    jQueryMap.content.callStatement.html("稍后您的手机号"+tel+"将会收到9501395584呼入的电话，请注意接听");
            		$page.find(".call_name").html(cust_name);
                    $page.find(".callshow").show();
                });
            }
            onCall = false;
        }, function(errorNo, errorInfo) {
            onCall = false;
            $.alert(errorInfo);
        });
    	myUtils.hideLayer($page);
    }
    
    //填充事件任务
    function showTaskListRank(result){
        var htmlStr = "";
        for(var i=0; i<result.length; i++ ){
            htmlStr += toHtml(result[i]);
        }
        $page.find('.task_dtails_lbox').append(htmlStr);
        scrollJudge =true;
    }
    
    function toHtml(item)
    {
    	var html = '';
    	if(item.create_date!=undefined && item.create_date.length==19)
            var btime = item.create_date.substring(5,16);
        var showDate = item.isHundYear == 0 ? item.expire_date : "", 
            remainTime = item.isHundYear == 0 ? item.remainTime : "",
            showDateName = item.isHundYear == 0 ? "任务结束时间：" : "",
            resTimeClass = item.isHundYear == 0 ? "count_down" : "";
    	if(deal_state == 7) //已完成
    	{
            var statusClass = item.deal_state == 8 ? "finished_fzc" : "finished";
            html +='<dl class="part ' + statusClass + '" data-cust_id="'+item.cust_id+'"> ';
            showDate = item.finish_date;
            showDateName = "任务完成时间：";
            resTimeClass = "count_down bg";
            remainTime = item.remainTime;
    	}else if(deal_state == 6) //过期完成
    	{
            html +='<dl class="part finished_past" data-cust_id="'+item.cust_id+'"> ';
            showDate = item.finish_date;
            showDateName = "任务完成时间：";
            resTimeClass = "count_down bg";
            remainTime = item.remainTime;
    	}else if(deal_state == 3) //已过期
    	{
    		html +='<dl class="part expired" data-cust_id="'+item.cust_id+'"> ' ;
    	}else
    	{
    		html +='<dl class="part" data-cust_id="'+item.cust_id+'"> ' ;
    	}
    	if(showDate!=undefined && showDate.length==19)
            showDate = showDate.substring(5,16);
    	
    	html +='<dt class="dt_service" data-task_id="'+item.task_id+'" data-class_id="'+item.class_id+'"><div class="task_user"><div class="oper_box"> '
    		 + '<a href="javascript:void(0);" class="tj">推荐产品</a>'	
    		 + '<a href="javascript:void(0);" class="fx">分享微店</a></div><div class="pic"><img data-cust_id="'+item.cust_id+'" src="../../images/add_lhd03.png"/></div><div class="text"> '
    		 + '<h4>'+item.cust_name+'</h4> '
    		 + '<small>'+btime+'</small></div></div><div class="task_dtails"> ';
    	if(deal_state != 3) //已过期
    	{
    		html +='<span class="' + resTimeClass + '">'+remainTime+'</span> ' ;
    	}
    	// html +='<p>'+item.info_contents+'</p> '
    	// 	 + '<small>'+showDateName+showDate+'</small></div></dt><dd><div class="task_oper_box"><ul> '
    	// 	 + '<li class="servicePhone" data-task_id="'+item.task_id+'" data-begintime="'+item.create_date+'" data-cust_id="'+item.cust_id+'" data-cust_name="'+item.cust_name+'" data-business_type="'+item.business_type+'" data-business_id="'+item.business_id+'" ><a href="javascript:void(0);">打电话</a></li> '
    	// 	 + '<li class="serviceInput" data-begintime="'+item.create_date+'" data-cust_name="'+item.cust_name+'" data-task_id="'+item.task_id+'" data-cust_id="'+item.cust_id+'" ><a href="javascript:void(0);">服务录入</a></li></ul></div></dd></dl> ';
        html +='<p>'+item.info_contents+'</p> '
    		 + '<small>'+showDateName+showDate+'</small></div></dt></dl> ';
    	return html;	
    }

    
    // 重置页面元素
    function cleanPageElement() {
    	$page.find('.task_intro').hide();
    	$page.find(".callshow").hide();
    }


    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
