define("financial/scripts/subject/appreciationSubjectList.js", function (require, exports, module) {
        // 模块内的其它全局变量
	    var service = require("investService");
        var jQueryMap;
        var $page = $("#subject_appreciationSubjectList");
        var myUtils = window.privateSpaceMKT.myUtils;
        //接收前一个页面的产品列表
        var subjectListAll = [];
        var typeId = '';
        var typeName = '';
        //产品的内容
        var htmlStr = "";
        var flag;
        // 初始化jQueryMap对象
        // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
        initJQueryMap();

        function init(){
        }
        function load() {
            initPage();
        }

        function bindPageEvent() {
            // 返回键
            $.bindEvent(jQueryMap.header.mktGoBack, function () {

                cleanPageElement();
                $.pageBack("","left");
            });

			$.preBindEvent(jQueryMap.content.themeBox, "div.rcd_cblk", function () {
				var $this = $(this);
				$.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
				$.setSStorageInfo("subjectId",$this.attr("data-subjectId"));
                
                $.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
                $.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
                $.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
                $.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
				$.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));
				
				var subjectTypeNo = $this.attr("data-subjectTypeNo");
				$.setSStorageInfo("subjectTypeNo",subjectTypeNo);
				if(subjectTypeNo == "newCustomersExclusive"){
					$.pageInit("subject/subject", "subject/subNewDetail");
				}else if(subjectTypeNo == "appreciationSigned"){
					$.pageInit("subject/subject", "subject/subSignDetail");
				}else if(subjectTypeNo == "marketActivity"){
                    $.pageInit("subject/subject", "subject/subActivityDetail");
                }
			});
        }

        function destroy() {
        	service.destroy();
        }

        // 初始化jQueryMap对象
        function initJQueryMap() {
            // 缓存常用jQuery对象
            jQueryMap = {
                "header"   : {
                    "mktGoBack" : $page.find("#mktGoBack"),
                    "themeName": $page.find("#themeName")
                },
                "content"  : {
                    "themeBox"   : $page.find("#themeBox"),
                    "noAllSub": $page.find("#noAllSub")
                },
                "footer"   : {
                }
            };
        }

        function initPage() {
			//显示遮罩层
			myUtils.showLayer($page);
            //隐藏系统底部TabBar
            myUtils.hideBtn();
            //先首页的主题列表的信息带过来
            subjectListAll = $.getPageParam("subjectList");
            typeId = $.getPageParam("typeId");
            typeName = $.getPageParam("typeName");
            flag = $.getPageParam("flag");
            jQueryMap.header.themeName.text(typeName);
            //对主题进行展示
            selectOnMenu();
        }
	
	    function selectOnMenu() {
	         htmlStr = "";
	        for (var i = 0, len = subjectListAll.length; i < len; i++) {
                if(subjectListAll[i].subject_sub_no == typeId && subjectListAll[i].flag == flag) {
                    var createTime = subjectListAll[i].create_time.length == 19 ? 
                        subjectListAll[i].create_time.substring(0, 10) : 
                        subjectListAll[i].create_time;
                    htmlStr += " <div class='rcd_cblk' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+
                    "' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+
                    "' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+
                    subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+
                    "' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+
                    subjectListAll[i].ispagelocal+"'><h3><span>增值签约</span><div class='create_time'>"+createTime+"</div></h3><div class='rcd_item'><ul class='subjectItem2'><li><strong>" + 
                    subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></li></ul></div></div>";
                }
            }
			if(htmlStr == "") {
                jQueryMap.content.themeBox.parent().parent().hide();
                jQueryMap.content.noAllSub.show();
            } else {
                jQueryMap.content.noAllSub.hide();
                jQueryMap.content.themeBox.parent().parent().show();
                jQueryMap.content.themeBox.html(htmlStr);
            }
			//遮罩层去掉
			myUtils.hideLayer($page);
	    }
	    // 重置页面元素
	    function cleanPageElement() {
			//遮罩层去掉
			myUtils.showLayer($page);
	    	$("#subject_appreciationSubjectList article")[0].scrollTop = 0;
            jQueryMap.content.themeBox.parent().parent().hide();
			jQueryMap.content.themeBox.html("");
			jQueryMap.content.noAllSub.hide();
            subjectListAll = [];
            typeId = "";
            typeName = "";
//	        jQueryMap.content.sigleSub.hide();
	    }
	
	    module.exports = {
	    "init"         : init,
	    "bindPageEvent": bindPageEvent,
	    "destroy"      : destroy,
	    "load"         : load
	};
});
