define("financial/scripts/subject/subject.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var global = $.config.global;
    var typeList = $.config.typeList;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    var swiper = require("swiper");
    //页面可见宽度
    var width ;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_subject");
    var subjectList = [];//首页查询所有的产品带到产品列表里面去
    var ycfTypeList = [];
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        width = parseInt(document.body.clientWidth);
        initPage();
    }

    function bindPageEvent() {
        //签约信息
        $.bindEvent(jQueryMap.content.topCount,function(){
            //$.pageInit("subject/subject", "subject/account/newCustomer");
        });

        //点击排名跳转到排名页面
        $.bindEvent(jQueryMap.content.newSignnerRank,function(){
            $.pageInit("subject/subject", "subject/count/newSignnerRank");
        });
        $.bindEvent(jQueryMap.content.newCustomerRank,function(){
            $.pageInit("subject/subject", "subject/count/newCustomerRank");
        });

        //资产信息
        $.bindEvent(jQueryMap.content.newCustomer,function(){

            $.pageInit("subject/subject", "subject/count/newCustomer");
        });

        //增值签约
        $.bindEvent(jQueryMap.content.newSigner,function(){
            $.pageInit("subject/subject", "subject/count/newSignner");
        });

        //搜索框
        $.bindEvent(jQueryMap.header.subSearch,function(){
            $.pageInit("subject/subject", "subject/subjectSearch");
        });

        $.preBindEvent(jQueryMap.content.advertCardScroller, "li", function () {
            var $this = $(this);
            //是活动广告
            if( $this.attr("data-subjectTypeNo")=="1" ){
                var link = $this.attr("data-url") +"?employeeNo="+ $.getSStorageInfo("employeeNo");
                var title = $this.attr("data-name");
                $.callMessage({
                    "funcNo"        : "50115",
                    "moduleName"    : "mall",
                    "url"           : link,
                    "title"         : title,
                    "isUseCache"    :"0",
                    "statusColor"   : "#D80C1E",
                    "btnMode"       : "1",
                    "isShowBackBtn" : "1"
                });
            }else{
                $.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
                $.setSStorageInfo("subjectId",$this.attr("data-subjectId"));
                $.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
                $.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
                $.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
                $.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
                $.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));

                var subjectTypeNo = $this.attr("data-subjectTypeNo");
                $.setSStorageInfo("subjectTypeNo",subjectTypeNo);
                if(subjectTypeNo == "newCustomersExclusive"){
                    $.pageInit("subject/subject", "subject/subNewDetail");
                }else if(subjectTypeNo == "appreciationSigned"){
                    $.pageInit("subject/subject", "subject/subSignDetail");
                }else if(subjectTypeNo == "marketActivity"){
                    $.pageInit("subject/subject", "subject/subActivityDetail");
                }
            }
        });
        //查看产品详情subClick
        $.preBindEvent(jQueryMap.content.subjectClick, "div.sd_items", function(){
            var $this = $(this);
            $.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
            $.setSStorageInfo("subjectId",$this.attr("data-subjectId"));

            $.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
            $.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
            $.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
            $.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
            $.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));

            var subjectTypeNo = $this.attr("data-subjectTypeNo");
            $.setSStorageInfo("subjectTypeNo",subjectTypeNo);
            if(subjectTypeNo == "newCustomersExclusive"){
                $.pageInit("subject/subject", "subject/subNewDetail");
            }else if(subjectTypeNo == "appreciationSigned"){
                $.pageInit("subject/subject", "subject/subSignDetail");
            }else if(subjectTypeNo == "marketActivity"){
                $.pageInit("subject/subject", "subject/subActivityDetail");
            }
        });

        //查看公司推荐的主题
        $.bindEvent(jQueryMap.content.companyGroom, function () {
            //“flag” 1 公司  2营业部
            $.pageInit("subject/subject", "subject/subjectList",{"flag":1,"subjectList":subjectList, "ycfTypeList": ycfTypeList});
        });

        //查看营业部推荐的主题
        $.bindEvent(jQueryMap.content.businessGroom, function () {
            $.pageInit("subject/subject", "subject/subjectList",{"flag":2,"subjectList":subjectList, "ycfTypeList": ycfTypeList});
        });

        // 首次登录暂不修改密码
        $.bindEvent(jQueryMap.content.notModifyBtn, function () {
            jQueryMap.layerArea.firstLoginTipArea.fadeOut();
        });

        // 首次登录修改密码
        $.bindEvent(jQueryMap.content.modifyBtn, function () {
            jQueryMap.layerArea.firstLoginTipArea.fadeOut();
            $.pageInit("product/product", "account/checkMobileNo", {"opType": "resetLoginPwd"});
        });


        //33333点击底部标签客户的时候跳转到客户模块
        $.bindEvent($page.find("#customer"),function(){
            $.pageInit("subject/subject", "customer/view","","");
        });

        //33333点击底部标签客户的时候跳转到我的信息模块
        $.bindEvent($page.find("#customer1"),function(){
            $.pageInit("subject/subject", "me/myIndex","","");
        });

        //33333点击底部标签客户的时候跳转到员工驾驶舱模块
        $.bindEvent($page.find("#cockpit"),function(){
            var pageCode;
            if( $.getSStorageInfo("postNo") == "ivtManager" ||  $.getSStorageInfo("postNo") == "investAdviser" || $.getSStorageInfo("postNo") == "wealthManager" ){
                pageCode = "cockpit/cockpitInvest";
            }else{
                pageCode = "cockpit/cockpit";
            }
            $.pageInit("subject/subject",pageCode,"","");
        });

    }

    function destroy() {
        $page.find("article").scrollTop(0);
        if($.getSStorageInfo("_prePageCode")=="account/middlePage" || $.getSStorageInfo("_prePageCode")=="account/login" ){
            myUtils.hideLayer1($page);
        }

        //隐藏/显示系统底部TabBar
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "icon_menu" : $page.find(".icon_menu"),
                "subSearch" : $page.find("#subSearch")
            },
            "content"  : {
                // 广告卡片的包裹区域
                "topCount" : $page.find("#top_count"),
                // 广告卡片的滑动区域
                "slideLine": $page.find("#slide_line"),
                "subjectClick": $page.find("#subjectClick"),
                "advertCardWrapper": $page.find("#advertCardWrapper"),
                "advertCardScroller": $page.find("#advertCardScroller"),
                "advertCardWrapper1": $page.find("#advertCardWrapper1"),
                "advertCardScroller1": $page.find("#advertCardScroller1"),
                "advertCardWrapper2": $page.find("#advertCardWrapper2"),
                "advertCardScroller2": $page.find("#advertCardScroller2"),
                "advertCardWrapper3": $page.find("#advertCardWrapper3"),
                "advertCardScroller3": $page.find("#advertCardScroller3"),
                "advertCardWrapper4": $page.find("#advertCardWrapper4"),
                "advertCardScroller4": $page.find("#advertCardScroller4"),
                "advertCardWrapper5": $page.find("#advertCardWrapper5"),
                "advertCardScroller5": $page.find("#advertCardScroller5"),
                "advertCardWrapper6": $page.find("#advertCardWrapper6"),
                "advertCardScroller6": $page.find("#advertCardScroller6"),
                "advertCardWrapper7": $page.find("#advertCardWrapper7"),
                "advertCardScroller7": $page.find("#advertCardScroller7"),

                //公司和营业部的跳转
                "companyGroom"            : $page.find("#companyGroom"),
                "businessGroom"            : $page.find("#businessGroom"),
                "newSignnerRank"  : $page.find("#newSignnerRank"),
                "newCustomerRank" : $page.find("#newCustomerRank"),

                // 暂不修改按钮
                "notModifyBtn"      : $page.find("#not_modify_btn"),
                // 修改密码按钮
                "modifyBtn"         : $page.find("#modify_btn"),
                "selectMenu"        : $page.find("#select_menu"),
                //新增客户和新增签约统计跳转id
                "newCustomer"  : $page.find("#newCustomer"),
                "newSigner"    : $page.find("#newSigner"),
                //新增客户和新增签约统计的数据填充
                "sortNum"  : $page.find("#sortNum"),
                "signedCustomerCount"    : $page.find("#signedCustomerCount"),
                "BYSignCust"  : $page.find("#BYSignCust"),
                "rowNum"    : $page.find("#rowNum"),
                "newCustNum"  : $page.find("#newCustNum"),
                "validCustNum"    : $page.find("#validCustNum")

            },
            "footer"   : {
                "otherFuncBtn"      : $page.find(".footer ul li")
            },
            "layerArea" : {
                "firstLoginTipArea" : $page.find("#first_login_tip_area"),
                "layerMenu"         : $page.find("#layer_menu"),
                "shade"             : $page.find("#shade"),
                "menuBack"          : $page.find("#menu_back")
            }
        };
    }

    function initPage() {
        myUtils.showBtn("subject","1");
        // platform    "0": pc或手机浏览器; "1": android;  "2" :ios
        $.config.platform === "0" ? $page.find(".ft_inner").show() :$page.find(".ft_inner").hide();

        myUtils.switchProcess({
            "before"    : function () {
                // pwdflag: 4 表示当前用户的密码为默认密码，应提示修改（提示框只显示一次）
                if ($.getSStorageInfo("pwdflag") === "4" && $.getLStorageInfo("pwdflag_" + model.dataStore.staffId) !== "true"){
                    // 显示首次登录提示框
                    jQueryMap.layerArea.firstLoginTipArea.show();
                    // 已经显示了提示框,设置相关标记
                    $.setLStorageInfo("pwdflag_" + model.dataStore.staffId, "true");
                }
            },
            // 根据prePageCode来执行不同的逻辑
            "processMap": {
                // 只有是从middlePage或login页面跳转过来时，才进行版本更新查询
                "account/middlePage|account/login": function () {
                    //查询是否有新版本
                    //myUtils.showLayer1($page);
                    // 只是Android系统的需要这个
                    // platform  "0": pc或手机浏览器; "1": android;  "2" :ios
                    /*if ($.config.platform === "1" || $.config.platform === "2") {
                        //myProject.checkUpdate();
                        $.callMessage({
                            "funcNo"    : "50203",
                            "url"       : global.checkUpdate
                        });
                    }*/
                }
            }
        });
        //主题列表
        getSubjectList();
        //轮播首页的营销主题分类的模块数据
        getTopCount();
    }


    // 获取产品列表
    function getSubjectList() {
        //员工类型 1.客户经理（经纪人） 2.个人普通用户 3.个人认证 4.企业认证 5.机构
        var groupIdIn = $.getSStorageInfo("groupIdIn");
        var param = {
            "userId"    : model.dataStore.userId,
            "groupIdIn" : $.getSStorageInfo("branchNo")
        };
        service.getSubjectList(param,function (results) {
            if(results.result2.length>0){
                var picList = results.result2;
                getAdPicture(picList);
            }
            if(results.result1.length>0){
                subjectList = results.result1;
                ycfTypeList = results.result3;
                selectOnMenu(subjectList);
            }else{
                jQueryMap.content.advertCardWrapper1.parent().parent().parent().parent().hide();
                jQueryMap.content.advertCardWrapper4.parent().parent().parent().parent().hide();
            }
            //遮罩层去掉
            //myUtils.hideLayer1($page);
        });
    }

    //轮播首页的营销主题分类的模块数据
    function getTopCount(){
        service.queryBannerData({
            "userId"  : model.dataStore.userId
        },function(result){
            $.each(["sortNum","signedCustomerCount","BYSignCust"],function(index,iDom){
                jQueryMap.content[iDom].html(result.contData[0][iDom]);
            });
            $.each(["rowNum","newCustNum","validCustNum"],function(index,iDom){
                jQueryMap.content[iDom].html(result.custData[0][iDom]);
            });
        });
    }

    function selectOnMenu(results){
        var subjectDomArr1 = [], subjectDomArr2 = [], subjectDomArr3 = [], subjectDomArr4 = [], subjectDomArr5 = [], subjectDomArr6 = [];
        var dotHtmlStr1 = "", dotHtmlStr2 = "", dotHtmlStr3 = "", dotHtmlStr4 = "", dotHtmlStr5 = "", dotHtmlStr6 = "";
        var htmlStr1 = "", htmlStr2 = "", htmlStr3 = "", htmlStr4 = "", htmlStr5 = "", htmlStr6 = "";
        var a=1, b=1, c=1, d=1,e=1,f=1;
        //imgResult = [];
        // hotFlag 1热门  0不热门

        //hotSellGetCustomer (爆款获客)
        //appreciationSigned（增值签约）
        //newCustomersExclusive(新客专享)
        //openAccount(开户)

        for (var i = 0; i < results.length; i++) {
            //flag 1 公司  2营业部
            if(results[i].flag==1){
                if(results[i].subjectTypeNo =="newCustomersExclusive" && a <= 5){
                    a++;
                    htmlStr1 = "<div class='sd_items subClick swiper-slide' data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"'  style='height:60px;display:block'><div class='rcd_item'><ul class='subjectItem1'><li><div class='inline-block'><strong class='fc_red'><span>"+(results[i].rate=="" ? "0" : results[i].rate)+"</span></strong><p>预期年化收益率</p></div></li><li><div class='inline-block'><strong>"+results[i].subjectName+"</strong><p>"+results[i].subjectDesc+"</p></div></li></ul></div></div>";
                    subjectDomArr1.push(htmlStr1);
                    dotHtmlStr1 += "<span></span>";

                }else if(results[i].subjectTypeNo =="appreciationSigned" && b <= 5){
                    b++;
                    htmlStr2 = "<div class='sd_items subClick swiper-slide' data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"' style='display:block'><div class='rcd_item'><ul class='subjectItem2'><li style='padding: 0.05rem 0.1rem 0.18rem 0.05rem'><strong>"+results[i].subjectName+"</strong><p>"+results[i].subjectDesc+"</p></li></ul></div></div>";
                    subjectDomArr2.push(htmlStr2);
                    dotHtmlStr2 += "<span></span>";
                }else if(results[i].subjectTypeNo =="marketActivity" && e <= 5){
                    e++;
                    htmlStr5 = "<div class='sd_items subClick swiper-slide' data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"' style='display:block'><div class='rcd_item'><ul class='subjectItem2'><li style='padding: 0.05rem 0.1rem 0.18rem 0.05rem'><strong>"+results[i].subjectName+"</strong><p>"+results[i].subjectDesc+"</p></li></ul></div></div>";
                    subjectDomArr5.push(htmlStr5);
                    dotHtmlStr5 += "<span></span>";
                }

            }else{
                if(results[i].subjectTypeNo =="newCustomersExclusive" && c <= 5){
                    c++;
                    htmlStr3 = "<div class='sd_items subClick swiper-slide' data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"' style='display:block'><div class='rcd_item'><ul class='subjectItem1'><li><div class='inline-block'><strong class='fc_red'><span>"+(results[i].rate=="" ? "0" : results[i].rate)+"</span></strong><p>预期年化收益率</p></div></li><li><div class='inline-block'><strong>"+results[i].subjectName+"</strong><p>"+results[i].subjectDesc+"</p></div></li></ul></div></div>";
                    subjectDomArr3.push(htmlStr3);
                    dotHtmlStr3 += "<span></span>";

                }else if(results[i].subjectTypeNo =="appreciationSigned" && d <= 5){
                    d++;
                    htmlStr4 = "<div class='sd_items subClick swiper-slide' data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"' style='display:block'><div class='rcd_item'><ul class='subjectItem2'><li style='padding: 0.05rem 0.1rem 0.18rem 0.05rem'><strong>"+results[i].subjectName+"</strong><p>"+results[i].subjectDesc+"</p></li></ul></div></div>";
                    subjectDomArr4.push(htmlStr4);
                    dotHtmlStr4 += "<span></span>";
                }
                else if(results[i].subjectTypeNo =="marketActivity" && f <= 5){
                    f++;
                    htmlStr6 = "<div class='sd_items subClick swiper-slide' data-subjectTypeNo='"+results[i].subjectTypeNo+"' data-subjectId='"+results[i].subjectId+"' data-spreadAddr='"+results[i].spreadAddr+"' data-pageexternal_img='"+results[i].pageexternal_img+"' data-pageexternal_content='"+results[i].pageexternal_content+"' data-pageexternal_title='"+results[i].pageexternal_title+"' data-pageexternal_url='"+results[i].pageexternal_url+"' data-ispagelocal='"+results[i].ispagelocal+"' style='display:block'><div class='rcd_item'><ul class='subjectItem2'><li style='padding: 0.05rem 0.1rem 0.18rem 0.05rem'><strong>"+results[i].subjectName+"</strong><p>"+results[i].subjectDesc+"</p></li></ul></div></div>";
                    subjectDomArr6.push(htmlStr6);
                    dotHtmlStr6 += "<span></span>";
                }
            }
        }

        if( a == 1 && b == 1 && e == 1){
            jQueryMap.content.advertCardWrapper1.parent().parent().parent().parent().hide();
        }else{
            jQueryMap.content.advertCardWrapper1.parent().parent().parent().parent().show();
        }
        if( c == 1 && d == 1 && f == 1){
            jQueryMap.content.advertCardWrapper4.parent().parent().parent().parent().hide();
        }else{
            jQueryMap.content.advertCardWrapper4.parent().parent().parent().parent().show();
        }

        initScrollDom(subjectDomArr1,jQueryMap.content.advertCardScroller1);
        initScrollDom(subjectDomArr2,jQueryMap.content.advertCardScroller2);
        initScrollDom(subjectDomArr3,jQueryMap.content.advertCardScroller3);
        initScrollDom(subjectDomArr4,jQueryMap.content.advertCardScroller4);
        initScrollDom(subjectDomArr5,jQueryMap.content.advertCardScroller7);
        initScrollDom(subjectDomArr6,jQueryMap.content.advertCardScroller6);


    }

    function initScrollDom(subDomArr,adCScroller){
        if(subDomArr.length>0){
            adCScroller.parent().parent().parent().show();
            adCScroller.html(subDomArr);
        }else{
            adCScroller.parent().parent().parent().hide();
        }
    }
    // 获取广告图片
    function getAdPicture(picList) {
        // osType 1.PC 2.手机
        var imgDomArr = [];
        var dotHtmlStr = "";
        //imgResult=[{productImg:"../../images/banner01.png"},{productImg:"../../images/banner01.png"},{productImg:"../../images/banner01.png"}];
        $.each(picList, function (index, item) {
            if(item.type=="0"){
                var imgDom = "<li data-pageexternal_img='"+item.pageexternal_img+"' data-pageexternal_content='"+item.pageexternal_content+"' data-pageexternal_title='"+item.pageexternal_title+"' data-pageexternal_url='"+item.pageexternal_url+"' data-ispagelocal='"+item.ispagelocal+"' data-subjectTypeNo='"+ item.subjectTypeNo +"' data-subjectId='"+ item.subjectId +"' class='act picClic swiper-slide' style='height: 0.8rem;width:"+width+"'><a href='javascript:void(0);'><span>热门主题</span><img style='height: 0.8rem;' src='"+global.appUrl+item.path+"'></a></li>";

            }else if(item.type=="1"){
                var imgDom = "<li data-pageexternal_img='"+item.pageexternal_img+"' data-pageexternal_content='"+item.pageexternal_content+"' data-pageexternal_title='"+item.pageexternal_title+"' data-pageexternal_url='"+item.pageexternal_url+"' data-ispagelocal='"+item.ispagelocal+"' data-name = '"+item.name+"' data-url ='"+ item.url +"' data-subjectTypeNo='"+ item.type +"' class='act picClic swiper-slide' style='height: 0.8rem;width:"+width+"'><a href='javascript:void(0);'><img style='height: 0.8rem;' src='"+global.appUrl+item.path+"'></a></li>";
            }
            imgDomArr.push(imgDom);

            dotHtmlStr += "<span></span>";
        });
        jQueryMap.content.advertCardScroller.html(imgDomArr);
    }

    function cleanPageElement() {
        jQueryMap.content.advertCardWrapper1.parent().parent().parent().parent().show();
        jQueryMap.content.advertCardWrapper4.parent().parent().parent().parent().show();
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
