define("financial/scripts/subject/subjectSpread.js", function (require, exports, module) {
        // 私有业务模块的全局变量
	    var service = require("investService");
        // 模块内的其它全局变量
        var jQueryMap;
        var $page = $("#subject_subjectSpread");
        var global = $.config.global;
        var myUtils = window.privateSpaceMKT.myUtils;
        var page = "1";
        var scrollJudge = true;//判断是否到底可以滑动
        var totalPages = "0";
        // 初始化jQueryMap对象
        // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
        initJQueryMap();

        function init(){
        }
        function load() {
            initPage();
        }

        function bindPageEvent() {
            // 返回键
            $.bindEvent(jQueryMap.header.mktGoBack, function () {
                //显示在遮罩层
                myUtils.showLayer($page);
                $.pageBack("","left");
            });
            
            //滚动加载更多
            $.bindEvent($page.find(".page_box"),function(){
            	if(scrollJudge){
            		var viewH = $(this).height();//可见高度
                    var contentH = $(this).get(0).scrollHeight;//内容高度
                    var scrollTop = $(this).scrollTop();//滚动高度
                    if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                    	if(page >= totalPages) return;
                        jQueryMap.content.loadIcon.show();
                        scrollJudge =false;
                        setTimeout(function(){
                        	page++;
                            //加载转圈
                            myUtils.loadService($page);
                            showUserList();
                        },600);
                    }
            	}      
            },"scroll");
        }

        function destroy() {
            jQueryMap.content.userList.html("");
        }

        // 初始化jQueryMap对象
        function initJQueryMap() {
            // 缓存常用jQuery对象
            jQueryMap = {
                "header"   : {
                    "mktGoBack" : $page.find("#mktGoBack")
                },
                "content"  : {
                    "userList":$page.find("#userList"),
                    "noData":$page.find("#noData"),
                    //上拉加载更多
                    "loadIcon"  : $page.find(".infinite-scroll-preloader")
                },
                "footer"   : {
                }
            };
        }

        function initPage() {
            //显示遮罩层
            myUtils.showLayer($page);
            page = "1";
            showUserList();
        }

        function showUserList(){
            service.queryStaffInfo({
            	"subjectId" : $.getSStorageInfo("subjectId"),
            	"pageIndex" : page,
            	"pageSize"  : "40"
            },function(results){
            	//获取总页数
           	    totalPages = results[0].totalPages;
            	if(page == "1"){
            		jQueryMap.content.userList.html("");
            	}
            	if(results && results[0].data && results[0].data.length > 0){
            		jQueryMap.content.userList.parent().show();
            		jQueryMap.content.noData.hide();
            		var userHtml = "";
                    for(var i = 0; i < results[0].data.length ;i++){
                        userHtml += "<li style='height:10px;' data-id='"+results[0].data[i].idCode+"'><img src='"+(! results[0].data[i].photo_path?"../../images/sc-hd01.png":(global.serverAddr+results[0].data[i].photo_path))+"' /><strong>" + results[0].data[i].name + "</strong><p>" + results[0].data[i].branchname + "</p></li>";
                    }
                    jQueryMap.content.userList.append(userHtml);
            	}else{
            		jQueryMap.content.userList.parent().hide();
                    jQueryMap.content.noData.show();
            	}
            	jQueryMap.content.loadIcon.hide();
            	scrollJudge =true;
            });
           /* if(result.userList.length>0){
                jQueryMap.content.userList.parent().show();
                jQueryMap.content.noData.hide();
                var userHtml = "";
                for(var i = 0; i < result.userList.length; i++){
                    userHtml += "<li style='height:10px;'><img src='"+(! result.userList[i].headPhoto?"../../images/sc-hd01.png":(global.serverAddr+result.userList[i].headPhoto))+"' /><strong>" + result.userList[i].userName + "</strong><p>" + result.userList[i].branchName + "</p></li>";
                }
                jQueryMap.content.userList.html(userHtml);
            }else{
                jQueryMap.content.userList.parent().hide();
                jQueryMap.content.noData.show();
            }*/

            //遮罩层去掉
            myUtils.hideLayer($page);
            //setTimeout(function( ){myUtils.cancelLayer($page);},200);
        }
        
        //跳转员工详情页面
        $.preBindEvent(jQueryMap.content.userList, "li", function () {
            var $this = $(this);
            var imUserId= $this.attr("data-id");
            if(imUserId == ""){
            	return false;
            }
            $.callMessage({
				"funcNo"    : "80104",
				"username"  : imUserId
			}); 
        });
        
        module.exports = {
            "init"         : init,
            "bindPageEvent": bindPageEvent,
            "destroy"      : destroy,
            "load"         : load
        };
});
