/*
 * 抽奖页面
 */
define('huaxiWheel/scripts/draw.js', function(require, exports, module){
	var pageY =0;
	var _pageId = "#page-draw ";
	var click = false;
	var index = 0;
	var draw_count = 0;
	var goods_key;
	var status = "lost";
	//var date = new Date();
	employee = "";
	employeeNo = "";
	startDate = "";
	endDate = "";
	lastFriDate = "";
	var service = require("investService");
	var global = $.config.global;
	
	var lottery = {
		index : 0, // 当前转动到哪个位置，起点位置
		count : 0, // 总共有多少个位置
		timer : 0, // setTimeout的ID，用clearTimeout清除
		speed : 60, // 初始转动速度
		times : 0, // 转动次数
		cycle : 50, // 转动基本次数：即至少需要转动多少次再进入抽奖环节
		prize : -1, // 中奖位置
		init : function(id) {
			if ($("#" + id).find(".lottery-unit").length > 0) {
				$lottery = $("#" + id);
				$units = $lottery.find(".lottery-unit");
				this.obj = $lottery;
				this.count = $units.length;
				$lottery.find(".lottery-unit-" + this.index).addClass("on");
			};
		},
		roll : function() {
			var index = this.index;
			var count = this.count;
			var lottery = this.obj;
			$(lottery).find(".lottery-unit-" + index).removeClass("on");
			index += 1;
			if (index > count - 1) {
				index = 0;
			}
			;
			$(lottery).find(".lottery-unit-" + index).addClass("on");
			this.index = index;

			return false;
		},
		stop : function(index) {
			this.prize = index;
			return false;
		}
	};

	function roll() {
		lottery.times += 1;
		lottery.roll(); // 转动过程调用的是lottery的roll方法，这里是第一次调用初始化
		if(lottery.times>lottery.cycle +10 && lottery.prize ==lottery.index){
			if(lottery.prize == index){
				$(_pageId + "#close").css('display','block');
				if(status=="win"){
					$(_pageId + "#zj").css('display','block');
				}else{
					$(_pageId + "#tip").css('display','block');
				}
				status="lost";
			}
			clearTimeout(lottery.timer);
			lottery.prize = -1;
			lottery.times = 0;
			click = false;
		}else{
			if (lottery.times < lottery.cycle) {
				lottery.speed -= 10;
			} else if (lottery.times == lottery.cycle) {
				//速度慢下来获取中奖结果
				//attend();
				lottery.prize=Math.floor(Math.random()*7);
				index = lottery.prize;
			}else{
				if (lottery.times > lottery.cycle + 10 && ((lottery.prize == 0 && lottery.index == 7) || lottery.prize == lottery.index + 1)) {
					lottery.speed += 20;
				} else {
					lottery.speed += 20;
				}
			}
			if (lottery.speed < 40) {
				lottery.speed = 40;
			}
			lottery.timer = setTimeout(roll, lottery.speed);
		}
		return false;
	}
	
	function getUserInfo(){
		
		empStr = $.locationHref();
		var index = empStr.indexOf('o2ouser');
		if(index>0){
			employee = empStr.substr(index + 8);
		}else{
			employeeNo = $.getPageParam ("employeeNo");
		}
		if(employeeNo ==''||employeeNo == null){
			employeeNo = $.getSStorageInfo("employeeNo");
		}
		
		if(employeeNo!=null && employeeNo!=""){
			$.setSStorageInfo("employeeNo", employeeNo);
			doInit();
		}else if(employee !=null && employee !=""){
			service.getUserInfo({
				"employeeNo" : employee
	    	}, function (res) {
           		employeeNo = res[0].employeeNo;
           		$.setSStorageInfo("employeeNo", employeeNo);
           		doInit();
           		
        	}, function (error_no, error_info) {
            	$.alert(error_info);
          	});
		}else{
			$.alert("请先登录！");
		}
		console.log(employeeNo);
	}
	//初始化操作
	function doInit(){
		//初始化时间
		getWeekDate();
		//查询奖池金额
		queryAmount();
		//查询用户剩余抽奖次数
		selectLeftAttendCount();
		queryAllPrizeUser();
		lottery.init('lottery');
	}
	
	function queryAmount() {
		service.queryAmount({
	    }, function (res) {
            var amount = res[0].award_pool_show;
			$(_pageId+"#amount").html(amount);
        }, function (error_no, error_info) {
            $.alert(error_info);
        });
    }
	
	function selectLeftAttendCount() {
		service.selectLeftAttendCount({
	        "employeeNo": employeeNo
	    }, function (res) {
	    	if(res.length>0){
	    		var count = res[0].num
	    		draw_count = count;
				$(_pageId+" #count").html(count);
	    	}else{
	    		$(_pageId+" #count").html(0);
	    	}
        }, function (error_no, error_info) {
            $.alert(error_info);
        });
    }
	
	function queryAllPrizeUser() {
		var param = {};
		var winList="";
		var integer='';
		var vHTML = '';
		var integra =new Array();
		
		
		service.queryAllPrizeUser({
	        "employeeNo": employeeNo,
	        "startDate": startDate,
	        "endDate": endDate
	    }, function (res) {
            var array = res;
			if(array.length > 0){
				for(var i = 0; i < array.length; i++){
					var name = array[i].name;
					var goods_name = array[i].goods_name;
					if(name != null && name != undefined && name != "") {
						winList+= "<div><span>" + name + "</span><span>获得" + goods_name + "</span></div>";
					} else {
						winList+= "<div><span>***</span><span>获得" + goods_name + "</span></div>";
					}				
				}
				var hHTML = "<marquee direction='up' scrolldelay='100' scrollamount='1' hspace=20 height=200 loop='infinite'>"+winList+"</marquee>"
				$(_pageId + "#recordList").empty();
				$(_pageId + "#recordList").html(hHTML);
			}
        }, function (error_no, error_info) {
        	if(error_no == -2){
        		vHTML += "<div class='page_record'><p>暂无中奖记录</p></div>";
				$(_pageId + "#records").empty(); 	
				$(_pageId + "#records").html(vHTML);
        	}else{
        		$.alert(error_info);
        	}
            
        });
    }

	function attend() {
		service.attend({
	        "employeeNo": employeeNo
	    }, function (res) {
	    	draw_count = draw_count-1;
			$(_pageId+" #count").html(draw_count);
            goods_key = res[0].goods_key;
				
			if(goods_key=="500"){
				$(_pageId + "#win_show").html("恭喜您获得奖金！今天的幸运儿就是你！");
				$(_pageId + "#left_count").html("您还有" + draw_count + "次抽奖机会，再去碰碰运气");
				status = "win";
			}
			else if(goods_key=="1000"){
				$(_pageId + "#win_show").html("恭喜您,中了1000元奖励");
				status = "win";
			}else{
				$(_pageId + "#show_err").html("就差一点点，与大奖擦肩而过。");
				$(_pageId + "#left_count1").html("您还有" + draw_count + "次抽奖机会，再去碰碰运气");
			}
			
			roll();//抽完奖开始转
        }, function (error_no, error_info) {
            if(error_no == -2){
				$(_pageId + "#close").css('display','block');
				$(_pageId + "#show_err").html("本次抽奖次数已用完，感谢您的参与！");
				$(_pageId + "#tip").css('display','block');
            }else{
            	$.alert(error_info);
            }
        });
    }
	
	function getWeekDate(){  
	    var now = new Date(); //当前日期
	    var nowDayOfWeek = now.getDay(); //今天本周的第几天
	    var nowYear = now.getFullYear(); //当前年
	    var nowMonth = now.getMonth(); //月
	    var nowDay = now.getDate(); //日 
	    var beginHour="09:00:00";
	    var endHour="23:59:59";
	    var month1 = "";
	    var month2 = "";
	    var month3 = "";
	    var day1 = "";
	    var day2 = "";
	    var day3 = "";
	    var nowDayOfWeek = this.nowDayOfWeek==0?7:nowDayOfWeek; // 如果是周日，就变成周七
	    
	    var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek+1);//获取本周首日日期
	    var weekEndDate = new Date(nowYear, nowMonth, nowDay + (6 - nowDayOfWeek+1));//获取本周最后日期
	    var lastFri = new Date(nowYear, nowMonth, nowDay - (nowDayOfWeek+3)+1);//获取上周周五日期
	    if((weekStartDate.getMonth()+1).toString().length==1){
	    	month1 = "0" + (weekStartDate.getMonth()+1);
	    }else{
	    	month1 = weekStartDate.getMonth()+1;
	    }
	    if((weekEndDate.getMonth()+1).toString().length==1){
	    	month2 = "0" + (weekEndDate.getMonth()+1);
	    }else{
	    	month2 = weekEndDate.getMonth()+1;
	    }
	    if((lastFri.getMonth()+1).toString().length==1){
	    	month3 = "0" + (lastFri.getMonth()+1);
	    }else{
	    	month3 = lastFri.getMonth()+1;
	    }
	    if(weekStartDate.getDate().toString().length==1){
	    	day1 = "0" + weekStartDate.getDate();
	    }else{
	    	day1 = weekStartDate.getDate();
	    }
	    if(weekEndDate.getDate().toString().length==1){
	    	day2 = "0" +weekEndDate.getDate();
	    }else{
	    	day2 = weekEndDate.getDate();
	    }
	    if(lastFri.getDate().toString().length==1){
	    	day3 = "0" +lastFri.getDate();
	    }else{
	    	day3 = lastFri.getDate();
	    }
	    startDate = weekStartDate.getFullYear()+"-"+month1+"-"+day1;
	    endDate = weekEndDate.getFullYear()+"-"+month2+"-"+day2;
	    lastFriDate = lastFri.getFullYear()+"-"+month3+"-"+day3;
	}
	
	// 初始化
	function init() {
		
		getUserInfo();
	}
	
	// 绑定事件
	function bindPageEvent() {
		//我的纪录
		$.bindEvent($(_pageId + '#myprize'), function() {
			if(!click){
				var param = {
					"employeeNo" : employeeNo
				};
				$.pageInit("draw", "record", param);
			}
		});
		/*$(_pageId + "#myprize").click(function(){
			if(!click){
				var param = {
					"employeeNo" : employeeNo
				};
				$.pageInit("draw", "record", param);
			}
		});*/
		//点击遮罩关掉弹窗
		$.bindEvent($(_pageId + '#close'), function() {
			$(_pageId + "#close").hide();
			$(_pageId + "#tip").hide();
			$(_pageId + "#zj").hide();
		});
		$.bindEvent($(_pageId + '#close_win'), function() {
			$(_pageId + "#close").hide();
			$(_pageId + "#tip").hide();
		});
		$(_pageId + " .btn_start").click(function(){
			//判断时间是否在允许范围内
			var date = new Date();
			var dateStr = date.getFullYear()+"-"+(date.getMonth()+1)+"-"+date.getDate() +" "+date.getHours()+":"+date.getMinutes()+":"+date.getSeconds()
			if(dateStr >= "2017-7-26 15:00:00" && dateStr <= "2017-7-27 21:00:00"){
				if (click) { // click控制一次抽奖过程中不能重复点击抽奖按钮，后面的点击不响应
					return false;
				}else{
					if(employeeNo == null || employeeNo ==''){
						$.alert("请先登录再抽奖！");
						return;
					}else if(draw_count==0){
						$(_pageId + "#show_err").html("本次抽奖次数已用完，感谢您的参与！");
						$(_pageId + "#close").css('display','block');
						$(_pageId + "#tip").css('display','block');
						return;
					}else{
						//draw_count = draw_count-1;
						//$(_pageId+" #count").html(draw_count);
						lottery.speed = 300;
						attend();
						//roll();
						click=true;
					}
				}
			}else{
				$.alert("活动暂未开始，开放时间周三15:00-周四21:00。");
			}
		});
	}
	// 销毁页面，单页面时候要用
	function destroy() {
		service.destroy();
	}

	var draw = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = draw;
});