/*
 * 抽奖页面
 */
define('huaxiWheel/scripts/draw_cj.js', function(require, exports, module){
	var pageY =0;
	var _pageId = "#page-draw-cj ";
	var click = false;
	var index = 0;
	var draw_count = 0;
	var goods_key;
	var status = "lost";
	//var date = new Date();
	employee = "";
	employeeNo = "";
	var countTime = "";
	startDate = "";
	endDate = "";
	lastFriDate = "";
	var win = [0,2,4,6];
	var lost = [1,3,5,7];
	var service = require("investService");
	var global = $.config.global;
	var act_no = global.act_no;
	
	var lottery = {
		index : 0, // 当前转动到哪个位置，起点位置
		count : 0, // 总共有多少个位置
		timer : 0, // setTimeout的ID，用clearTimeout清除
		speed : 60, // 初始转动速度
		times : 0, // 转动次数
		cycle : 50, // 转动基本次数：即至少需要转动多少次再进入抽奖环节
		prize : -1, // 中奖位置
		init : function(id) {
			if ($("#" + id).find(".lottery-unit").length > 0) {
				$lottery = $("#" + id);
				$units = $lottery.find(".lottery-unit");
				this.obj = $lottery;
				this.count = $units.length;
				$lottery.find(".lottery-unit-" + this.index).addClass("on");
			};
		},
		roll : function() {
			var index = this.index;
			var count = this.count;
			var lottery = this.obj;
			$(lottery).find(".lottery-unit-" + index).removeClass("on");
			index += 1;
			if (index > count - 1) {
				index = 0;
			}
			;
			$(lottery).find(".lottery-unit-" + index).addClass("on");
			this.index = index;

			return false;
		},
		stop : function(index) {
			this.prize = index;
			return false;
		}
	};

	function roll() {
		lottery.times += 1;
		lottery.roll(); // 转动过程调用的是lottery的roll方法，这里是第一次调用初始化
		if(lottery.times>lottery.cycle +10 && lottery.prize ==lottery.index){
			if(lottery.prize == index){
				$(_pageId + "#close").css('display','block');
				if(status=="win"){
					$(_pageId + "#zj").css('display','block');
				}else{
					$(_pageId + "#tip").css('display','block');
				}
				status="lost";
			}
			clearTimeout(lottery.timer);
			lottery.prize = -1;
			lottery.times = 0;
			click = false;
		}else{
			if (lottery.times < lottery.cycle) {
				lottery.speed -= 10;
			} else if (lottery.times == lottery.cycle) {
				//速度慢下来获取中奖结果
				//attend();
				if(status=="win"){
					lottery.prize=win[Math.floor(Math.random()*3)];
					index = lottery.prize;
				}else{
					lottery.prize=lost[Math.floor(Math.random()*3)];
					index = lottery.prize;
				}
				
				//
			}else{
				if (lottery.times > lottery.cycle + 10 && ((lottery.prize == 0 && lottery.index == 7) || lottery.prize == lottery.index + 1)) {
					lottery.speed += 20;
				} else {
					lottery.speed += 20;
				}
			}
			if (lottery.speed < 40) {
				lottery.speed = 40;
			}
			lottery.timer = setTimeout(roll, lottery.speed);
		}
		return false;
	}
	
	function getUserInfo(){
		
		empStr = $.locationHref();
		var index = empStr.indexOf('o2ouser');
		if(index>0){
			employee = empStr.substr(index + 8);
		}else{
			employeeNo = $.getPageParam ("employeeNo");
		}
		if(employeeNo ==''||employeeNo == null){
			employeeNo = $.getSStorageInfo("employeeNo");
		}
		
		if(employeeNo!=null && employeeNo!=""){
			$.setSStorageInfo("employeeNo", employeeNo);
			doInit();
		}else if(employee !=null && employee !=""){
			service.getUserInfo({
				"employeeNo" : employee
	    	}, function (res) {
           		employeeNo = res[0].employeeNo;
           		$.setSStorageInfo("employeeNo", employeeNo);
           		doInit();
           		
        	}, function (error_no, error_info) {
            	$.alert(error_info);
          	});
		}else{
			$.alert("请先登录！");
		}
		console.log(employeeNo);
	}
	//初始化操作
	function doInit(){
		//初始化时间
		getWeekDate();
		//插入访问记录
		addAttend();
		//查询实时参与人数
		queryAttend();
		//查询用户剩余抽奖次数
		selectLeftDrawCount();
		
		//queryTodaySJUser();

		//queryAllSJUser();
		lottery.init('lottery');
	}
	
	function addAttend() {
		service.addAttend({
			"act_no":act_no
	    }, function (res) {
			console.log("query attend ok");
        }, function (error_no, error_info) {
            $.alert(error_info);
        });
    }
	
	function queryAttend() {
		service.queryAttend({
			"act_no": act_no
	    }, function (res) {
            var count = res[0].count;
			$(_pageId+"#pv").html("实时参与人数：" + count + " 人");
        }, function (error_no, error_info) {
            $.alert(error_info);
        });
    }
	
	function selectLeftDrawCount() {
		service.selectLeftDrawCount({
	        "employeeNo": employeeNo,
	        "act_no": act_no
	    }, function (res) {
	    	if(res.length>0){
	    		var count = res[0].num
	    		draw_count = count;
				$(_pageId+" #count").html(count);
	    	}else{
	    		$(_pageId+" #count").html(0);
	    	}
        }, function (error_no, error_info) {
            $.alert(error_info);
        });
    }
	//查询本次抽奖中奖者
	function queryTodaySJUser() {
		var param = {};
		var winList="";
		var integer='';
		var vHTML = '';
		var integra =new Array();
		
		service.queryAllSJUser({
			"startDate": startDate,
			"endDate": endDate
	    }, function (res) {
            var array = res;
			if(array.length > 0){
				for(var i = 0; i < array.length; i++){
					var name = array[i].name;
					var dept = array[i].dept;
					var goods_name = array[i].goods_name;
					if(name != null && name != undefined && name != "") {
						winList+= "<div><span>" + name + "("+ dept +")</span><span>获得" + goods_name + "</span></div>";
					} else {
						winList+= "<div><span>***</span><span>获得" + goods_name + "</span></div>";
					}				
				}
				var hHTML = "<marquee direction='up' scrolldelay='100' scrollamount='1' hspace=20 height=200 loop='infinite'>"+winList+"</marquee>"
				$(_pageId + "#recordList").empty();
				$(_pageId + "#recordList").html(hHTML);
			}
        }, function (error_no, error_info) {
        	if(error_no == -2){
        		vHTML += "<div class='page_record'><p>暂无中奖记录</p></div>";
				$(_pageId + "#records").empty(); 	
				$(_pageId + "#records").html(vHTML);
        	}else{
        		$.alert(error_info);
        	}
            
        });
    }
	//查询所有中奖者
	function queryAllSJUser() {
		var param = {};
		var winList="";
		var integer='';
		var vHTML = '';
		var integra =new Array();
		
		
		service.queryAllSJUser({
	        "endDate": endDate
	    }, function (res) {
            var array = res;
			if(array.length > 0){
				var j = 1;
				for(var i = 0; i < array.length; i++){
					var name = array[i].name;
					if(i>0 && i%3==0){
						j=j+1;
					}
					winList+= "<div><span><i></i>"+j+"</span><span>"+name+"</span></div>";
				}
				$(_pageId + "#allRecords").empty();
				$(_pageId + "#allRecords").html(winList);
			}
        }, function (error_no, error_info) {
        	if(error_no == -2){
				$(_pageId + "#allRecords").empty(); 	
				$(_pageId + "#allRecords").html(winList);
        	}else{
        		$.alert(error_info);
        	}
        });
    }

	function attend() {
		service.attendDraw({
	        "employeeNo": employeeNo,
	        "act_no" : act_no
	    }, function (res) {
	    	draw_count = draw_count-1;
			$(_pageId+" #count").html(draw_count);
            goods_key = res[0].goods_key;
				
			if(goods_key=="mate9"){
				$(_pageId + "#win_show").html("恭喜您获得手机！今天的幸运儿就是你！");
				$(_pageId + "#left_count").html("您还有" + draw_count + "次抽奖机会，再去碰碰运气");
				status = "win";
			}else{
				$(_pageId + "#show_err").html("就差一点点，与大奖擦肩而过。");
				$(_pageId + "#left_count1").html("您还有" + draw_count + "次抽奖机会，再去碰碰运气");
			}
			
			roll();//抽完奖开始转
        }, function (error_no, error_info) {
            if(error_no == -2){
				$(_pageId + "#close").css('display','block');
				$(_pageId + "#show_err").html("本次抽奖次数已用完，感谢您的参与！");
				$(_pageId + "#tip").css('display','block');
            }else{
            	$.alert(error_info);
            	
            }
        });
    }
	
	function getWeekDate(){  
	    var now = new Date(); //当前日期
	    var nowDayOfWeek = now.getDay(); //今天本周的第几天
	    var nowYear = now.getFullYear(); //当前年
	    var nowMonth = now.getMonth(); //月
	    var nowDay = now.getDate(); //日 
	    var beginHour="09:00:00";
	    var endHour="23:59:59";
	    var month1 = "";
	    var month2 = "";
	    var month3 = "";
	    var day1 = "";
	    var day2 = "";
	    var day3 = "";
	    var nowDayOfWeek = this.nowDayOfWeek==0?7:nowDayOfWeek; // 如果是周日，就变成周七
	    
	    
	    var weekStartDate = new Date(nowYear, nowMonth, nowDay - nowDayOfWeek+1);//获取本周首日日期
	    var weekEndDate = new Date(nowYear, nowMonth, nowDay + (6 - nowDayOfWeek+1));//获取本周最后日期
	    var lastFri = new Date(nowYear, nowMonth, nowDay - (nowDayOfWeek+3)+1);//获取上周周五日期
	    if((weekStartDate.getMonth()+1).toString().length==1){
	    	month1 = "0" + (weekStartDate.getMonth()+1);
	    }else{
	    	month1 = weekStartDate.getMonth()+1;
	    }
	    if((weekEndDate.getMonth()+1).toString().length==1){
	    	month2 = "0" + (weekEndDate.getMonth()+1);
	    }else{
	    	month2 = weekEndDate.getMonth()+1;
	    }
	    if((lastFri.getMonth()+1).toString().length==1){
	    	month3 = "0" + (lastFri.getMonth()+1);
	    }else{
	    	month3 = lastFri.getMonth()+1;
	    }
	    if(weekStartDate.getDate().toString().length==1){
	    	day1 = "0" + weekStartDate.getDate();
	    }else{
	    	day1 = weekStartDate.getDate();
	    }
	    if(weekEndDate.getDate().toString().length==1){
	    	day2 = "0" +weekEndDate.getDate();
	    }else{
	    	day2 = weekEndDate.getDate();
	    }
	    if(lastFri.getDate().toString().length==1){
	    	day3 = "0" +lastFri.getDate();
	    }else{
	    	day3 = lastFri.getDate();
	    }
	    startDate = weekStartDate.getFullYear()+"-"+month1+"-"+day1;
	    endDate = weekEndDate.getFullYear()+"-"+month2+"-"+day2;
	    lastFriDate = lastFri.getFullYear()+"-"+month3+"-"+day3;
	    
	    //判断是否抽奖时间
	    if(nowDayOfWeek==1){//周一则判断时间是否在抽奖时间内
	    	var nowHour = now.getHours();
	    	if(nowHour >= 16&&nowHour < 21){//时间段是否正确
	    		getNowFormatDate();
	    	}if(nowHour>=21){
	    		queryTodaySJUser();
	    	}
	    }else{
	    	queryTodaySJUser();
	    }
	}
	
	function showCountDown(drawDate) {
		$(_pageId + " .timels").css('display','block');
        var year = drawDate.substring(0, 4);
        var month = drawDate.substring(4, 6);
        var day = drawDate.substring(6, 8);
        var interval = 1000;
        
        countTime = window.setInterval(function () {
            countDown(year, month, day, 21);
        }, interval);
    }

    function countDown(year, month, day, hours) {
        var now = new Date();
        var endDate = new Date(year, month - 1, day, hours);
        var leftTime = endDate.getTime() - now.getTime();
        if (leftTime <= 0) {
            window.clearInterval(countTime);
            $(_pageId + " #left_time").html("0小时0分0秒");
        }
        var leftsecond = parseInt(leftTime / 1000);
        //var day1=parseInt(leftsecond/(24*60*60*6));
        var day1 = Math.floor(leftsecond / (60 * 60 * 24));
        var hour = Math.floor((leftsecond - day1 * 24 * 60 * 60) / 3600);
        var minute = Math.floor((leftsecond - day1 * 24 * 60 * 60 - hour * 3600) / 60);
        var second = Math.floor(leftsecond - day1 * 24 * 60 * 60 - hour * 3600 - minute * 60);
        if (minute == 0 && second == 0) {
            window.clearInterval(countTime);
            $(_pageId + " .timels").css('display','none');//隐藏倒计时
            $(_pageId + " #records").css('display','block');//显示中奖者
            
        }
        $(_pageId + " #left_time").html(hour + "小时" + minute + "分" + second + "秒");
    }
    //获得当前日期yyyymmdd
    function getNowFormatDate() {
	    var date = new Date();
	    var seperator1 = "-";
	    var month = date.getMonth() + 1;
	    var strDate = date.getDate();
	    if (month >= 1 && month <= 9) {
	        month = "0" + month;
	    }
	    if (strDate >= 0 && strDate <= 9) {
	        strDate = "0" + strDate;
	    }
	    var currentdate = date.getFullYear() + month + strDate;
	    showCountDown(currentdate);//显示倒计时
	}
	
	// 初始化
	function init() {
		
		getUserInfo();
	}
	
	// 绑定事件
	function bindPageEvent() {
		//我的纪录
		$.bindEvent($(_pageId + '#myprize'), function() {
			if(!click){
				var param = {
					"employeeNo" : employeeNo
				};
				$.pageInit("draw_cj", "record_cj", param);
			}
		});
		/*$(_pageId + "#myprize").click(function(){
			if(!click){
				var param = {
					"employeeNo" : employeeNo
				};
				$.pageInit("draw_cj", "record_cj", param);
			}
		});*/
		
		//点击遮罩关掉弹窗
		$.bindEvent($(_pageId + '#close'), function() {
			$(_pageId + "#close").hide();
			$(_pageId + "#tip").hide();
			$(_pageId + "#zj").hide();
		});
		$.bindEvent($(_pageId + '#close_win'), function() {
			$(_pageId + "#close").hide();
			$(_pageId + "#tip").hide();
		});
		$(_pageId + " .btn_start").click(function(){
			var date = new Date();
			//判断时间是否在允许范围内
			if(date.getHours()>=16&&date.getHours()<21){
				if (click) { // click控制一次抽奖过程中不能重复点击抽奖按钮，后面的点击不响应
					return false;
				}else{
					if(employeeNo == null || employeeNo ==''){
						$.alert("请先登录再抽奖！");
						return;
					}else if(draw_count==0){
						$(_pageId + "#show_err").html("本次抽奖次数已用完，感谢您的参与！");
						$(_pageId + "#close").css('display','block');
						$(_pageId + "#tip").css('display','block');
						return;
					}else{
						//draw_count = draw_count-1;
						//$(_pageId+" #count").html(draw_count);
						lottery.speed = 300;
						attend();
						//roll();
						click=true;
					}
				}
			}else{
				$.alert("活动暂未开始，开放时间周一16:00-21:00。");
			}
		});
	}
	// 销毁页面，单页面时候要用
	function destroy() {
		service.destroy();
	}

	var draw = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy
	};
	// 暴露对外的接口
	module.exports = draw;
});
