define('huaxiWheel/scripts/record_cj.js',function(require, exports, module) {
	var pageId = "#page-record-cj ";
	var service_act = require("actService").getInstance();
	var global = $.config.global;
	var service = require("investService");
	//var employeeNo = "";
	sessionStorage.getItem("employeeNo");
	// 初始化
	function init() {
		employeeNo = $.getPageParam ("employeeNo");
		if(employeeNo == ""){
			//employeeNo = "111";
			employeeNo = $.getSStorageInfo("employeeNo");
		}
		querySJRecord();
	}

	// 绑定事件
	function bindPageEvent() {
		$(pageId + "#godraw").click(function(){
			var param = {
				"employeeNo" : employeeNo
			};
			$.setSStorageInfo("employeeNo",employeeNo);
			$.pageBack("","left",-1);
//			$.pageBack("","",-2);
//			$.pageInit("record_cj", "draw_cj", param);
		});
	}
	
	function querySJRecord() {
		service.querySJRecord({
	        "employeeNo": employeeNo
	    }, function (res) {
            var result = res;
			var html = "";
			for(var i=0;i<result.length;i++){
				var goods_key = result[i].goods_key;
				var goods_name = result[i].goods_name;
				var create_time = result[i].created_time;
				html+="<li class='ui layout'>";
				html+="	<div class='redbeg'>";
				html+="		<p></p>";
				html+="	</div>";
				html+="	<div class='row-1'>";
				html+="		<h4>" + goods_name + "</h4>";
				html+="		<span>" + create_time + "</span>";
				html+="	</div>";
				html+="	<a href='javascript:;'>待领取</a>";
				html+="</li>";
			}
			$(pageId+" #record_list").empty();
			$(pageId+" #record_list").html(html);
        }, function (error_no, error_info) {
            $.alert(error_info);
        });
    }
	
	
	// 销毁页面，单页面时候要用
	function destroy() {
		service_act.destroy();
	}

	var record = {
		"init": init,
		"bindPageEvent": bindPageEvent,
		"destroy": destroy
	};
	// 暴露对外的接口
	module.exports = record;
});