define("ivtShop/scripts/common/common", function (require, exports, module) {
    // 加载加密组件
    require("endecryptUtils");

    // 这行代码加载model层，引入全局变量privateSpaceMKT
    // 这行代码很重要！！！
    require("model");
    // myUtils,myProject需要用到model
    require("myUtils");
    require("myProject");
    require('msgFunction');
    require("base64");
    require("md5");
    require("des");
    require("rsa");
    // 解决中途断网，同时又没调过原生接口时，点原生返回键无法返回的问题

    //针对于参数进行加签，防止第三方拦截得到用户请求明文信息
    require("ivtShop/shellFunction/msgFunction");
    var ssoUtils= require("ssoUtils");

    function firstLoadFunc() {

        console.log("firstLoad...");
        // 网络异常页面按钮事件
        bindCallNetwork();

        // 重写框架的方法
        overwriteFunc();
        
        noticeFunc();

    }
    
    function noticeFunc() {
    	 var param = {};
         param["moduleName"] = "mall";
         param["funcNo"] = "50100";
         $.callMessage(param);

    }

    // 重写框架的方法
    function overwriteFunc() {
        // 重写show方法(框架里重写的show方法有问题)
        $.fn.show = function () {
            var elementDisplay = {};

            function defaultDisplay(nodeName) {
                var element, display;
                if (!elementDisplay[nodeName]) {
                    element = document.createElement(nodeName);
                    document.body.appendChild(element);
                    display = getComputedStyle(element, '').getPropertyValue("display");
                    element.parentNode.removeChild(element);
                    display === "none" && (display = "block");
                    elementDisplay[nodeName] = display;
                }
                return elementDisplay[nodeName];
            }

            return this.each(function () {
                this.style.display === "none" && (this.style.display = '');
                if (window.getComputedStyle(this, '').getPropertyValue("display") === "none") {
                    this.style.display = defaultDisplay(this.nodeName);
                }
            });
        };

        // 重写提示框效果
        $.toast = window.privateSpaceMKT.myUtils.toast;
    }

    // 网络异常页面按钮事件
    function bindCallNetwork() {
        $.bindEvent($("#networkLoading .firstspel_btn a"), function () {

            console.log("bindCallNetwork");
            var result = $.callMessage({"funcNo": "50030"});
            if (result.error_no == 0 && result.results[0].network == 0) {
                $.callMessage({"funcNo": "50106", "content": "请检查网络"});
                return false;
            }
            var currPageObj = $.getCurrentPageObj();
            require.async(currPageObj.scriptUrl, function (page) {
                page.destroy();
                page.init();
                page.load();
            });
            $("#networkLoading").hide()
                .find(".main").hide();
            //$("#"+currPageObj.pageId).find("article .load_box").remove();
        });
    }

    // 权限校验(每次页面跳转都会执行的方法)
    // fromPage 前一个页面的相关信息
    // toPage   将要切换到的页面的信息
    function checkPermission(fromPage, toPage, param) {
        $.setSStorageInfo('_prePageCode', (fromPage && fromPage.pageCode) || '');
        return true;
    }

    //暴露对外的接口
    module.exports = {
        "firstLoadFunc"  : firstLoadFunc,
        "checkPermission": checkPermission
    };
});
