define(function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;

    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#account_showRegProtocol");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
        initPage();
    }
    function load() {

    }

    function bindPageEvent() {
        // 返回事件
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "pTitle"  : $page.find("#ptitle"),
                "pContent": $page.find("#pcontent")
            },
            "footer" : {}
        };
    }

    function initPage() {
        showProtocol();
    }

    function showProtocol() {
        var regProtocol = model.cache("regProtocol");
        jQueryMap.content.pTitle.text(regProtocol.agree_name);
        jQueryMap.content.pContent.html(regProtocol.agree_content);
        //遮罩层去掉
        //myUtils.cancelLayer($page);
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
