define("financial/scripts/administrator/newProduct.js",function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var orderBy = "0";  //0:签约数，1：跟随数
    var byType = "1";   //0：升序，1：降序
    var $page = $("#administrator_newProduct");
    var _pageId = "#administrator_newProduct "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
    var num = new Map();
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
        //上拉加载、下拉刷新调用方法
        upDownSlide();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });

//        //升序降序
//		$.preBindEvent(jQueryMap.content.custTop,"th",function(){
//			var $this=$(this);
//			if(!$this.find("span").attr("data_order")){
//				return false;
//			}
//			if($this.hasClass("act")){
//				orderBy=$this.find("span").attr("data_order");
//				$this.find("em").each(function(index,domEle){
//					if($(this).hasClass("act")){
//						$(this).removeClass("act");
//					}else{
//						$(this).addClass("act");
//						byType=index;
//					}
//				});
//			}else{
//				orderBy=$this.find("span").attr("data_order");
//				$this.addClass("act").siblings().removeClass("act");
//				$this.find("em").each(function(index,domEle){
//					jQueryMap.content.custTop.find("em").siblings().removeClass("act");
//                    if(index==1){
//                    	$(this).addClass("act");
//                    	byType=index;
//                    }
//				});
//			}
//			getTodaySign(false, true);
//		});
    }

    function destroy() {
        cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {
                "productList" : $page.find("#productList"),
                "custTop"     : $page.find("#custTop")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        //隐藏/显示系统底部TabBar
        myUtils.hideBtn();
    }
    //看板数据 --签约数&跟随数
    function getTodaySign(isAppend, isSysLoad) {
        // 默认使用系统加载
        isSysLoad = isSysLoad ? isSysLoad : false;
        var isCusLoad = isSysLoad ? true : false;    // 自定义系统加载效果（左上角转圈）
        var param = {
            "userId"     : model.dataStore.userId , //推广员id
            "actionType" : "0",                     //操作类型：日0、周(1)、月(2)、年(3),默认为日
            "month"      : "",                      //月份
            "orderBy"    : orderBy,                 //0:签约数，1：跟随数
            "byType"     : byType,                  //0：升序，1：降序
            "pageIndex"  : pageSlide.getCurPage(),  // 必须使用pageSlide组件获取当前是第几页
            "pageSize"   : "20",
            "url"        : $.config.global.signNumUrl+'?employeeNoStr=',
            "type"       :"get",
            "postType"	 : $.getSStorageInfo("postNo")
        };
        service.getTodaySign(param,function (results) {
            $(_pageId+"#followCustomerCount").html($.getSStorageInfo("todayFollowCount"));
            $(_pageId+"#signedCustomerCount").html($.getSStorageInfo("todaySignedCount"));
            // 如果不是追加数据时，清空容器中的数据
            if (!isAppend) {
                $(_pageId+"#productList").empty();
            }
            if(results.length > 0){
                // 给滑动插件设置总页数
                pageSlide.setMaxPage(results[0].totalPages);
                // 隐藏无数据提示
                $(_pageId + "#slide_wrapper").css("display","block");
                pageSlide.dealEmptyData(false);

                showCustList(results);

            }else{
                // 初始化滚动事件
                var cTop = $(_pageId + "#slide_container").offset().top;
                $(_pageId + "#slide_container").css("background","#FFFFFF");
                var visibleHeight = $(window).height() - cTop -1;
                pageSlide.pageScrollInit(recordLen, visibleHeight);
                // 显示无数据提示
                $(_pageId + "#slide_wrapper").css("display","none");
                pageSlide.dealEmptyData(true);
            }
            //遮罩层去掉
            //myUtils.cancelLayer($page);
        }, {isShowWait: isSysLoad, isCusLoad: isCusLoad});
    }

    //填充数据
    function showCustList(list){
    	   var html = "";
	       for(var i=0; i<list.length;i++){
	           html +='<tr><td class="w100">'+list[i].name+'</td><td>'+list[i].signedCustomerCount+'</td><td>'+list[i].followCustomerCount+'</td></tr>';
	       }
	       $(_pageId+"#productList").append(html);
	
	       // 初始化滚动事件
	       var recordLen =list.length;
	       var cTop = $(_pageId + "#slide_container").offset().top;
	       $(_pageId + "#slide_container").css("background","#FFFFFF");
	       var visibleHeight = $(window).height() - cTop -1;
	       pageSlide.pageScrollInit(recordLen, visibleHeight);
	       
	       
//        var signNum="";
//        for(var i=0; i<list.length;i++){
//            if(i==(list.length-1)){
//                signNum +=list[i].signedCustomerCount;
//            }else{
//                signNum +=list[i].signedCustomerCount+",";
//            }
//        }
//        $.ajax({
//            url: $.config.global.signNumUrl+'?employeeNoStr='+signNum,
//            type: "get",
//            async: true,
//            success: function(data, textStatus) {
//                if (!data.error) {
//                    var results = data.results;
//                    if (results && results.length > 0) {
//                        for (var i = 0, len = results.length; i < len; i++) {
//                            num.set(results[i].employeeno,results[i].amount);
//                        }
//                    }
//                    var html = "";
//                    for(var i=0; i<list.length;i++){
//                        html +='<tr><td class="w100">'+list[i].name+'</td><td>'+num.get(list[i].signedCustomerCount)+'</td><td>'+list[i].followCustomerCount+'</td></tr>';
//                    }
//                    $(_pageId+"#productList").append(html);
//
//                    // 初始化滚动事件
//                    var recordLen =list.length;
//                    var cTop = $(_pageId + "#slide_container").offset().top;
//                    $(_pageId + "#slide_container").css("background","#FFFFFF");
//                    var visibleHeight = $(window).height() - cTop -1;
//                    pageSlide.pageScrollInit(recordLen, visibleHeight);
//                } else {
//                    $.toast(data.errorInfo);
//                }
//            }
//        });
    }

    //上拉加载、下拉刷新调用插件
    function upDownSlide(){
        /************使用上拉加载、下拉刷新组件初始化页面元素begin**********/
        var slideOptions = {
            pContainer: 'article', // 父容器选择器必传
            dataContainerHtml: '<div class="page_box bg_white">\
				                   <div class="table_box strike">\
			                          <dl class="combine_table">\
				                        <dd>\
					                       <table cellspacing="0" cellpadding="0" id="productList">\
								           </table>\
										</dd>\
									   </dl>\
									</div>\
								</div>',// 数据容器必传
            dataFunc: getTodaySign, // 查询方法必传
            pageNum: 20 // 每页显示记录数 与 分页方法参数中的参数保持一致
        };
        pageSlide.init(slideOptions);
        /************使用上拉加载、下拉刷新组件初始化页面元素end**********/
            // 重置分页参数，防止第二次入页面时还保留上一次的分页参数
        pageSlide.resetPageParam(true);
        // 初始化页面时查询一次数据
        getTodaySign(false, true);
    }

    function Map(){
        this.elements = new Array();
        //向MAP中增加元素（key, value)
        this.set = function(_key, _value) {
            this.elements.push( {
                key : _key,
                value : _value
            });
        };
        //获取指定KEY的元素值VALUE，失败返回NULL
        this.get = function(_key) {
            try {
                for (i = 0; i < this.elements.length; i++) {
                    if (this.elements[i].key == _key) {
                        return this.elements[i].value;
                    }
                }
            } catch (e) {
                return null;
            }
        };
    }

    // 重置页面元素
    function cleanPageElement() {
        pageSlide.dealEmptyData(false);
        $(_pageId+"#productList").html("");
        orderBy = "0";  //0:签约数，1：跟随数
        byType = "1";   //0：升序，1：降序
        //jQueryMap.content.custTop.find("em").removeClass("act");
        //jQueryMap.content.custTop.find("span").each(function(index,domEle){
        //var $this=$(this);
        //if($this.attr("data_order")==orderBy){
        //	$this.parent().addClass("act").siblings().removeClass("act");
        //	$this.parent().find("em").each(function(index,domEle){
        //			if(index == byType){
        //				$(this).addClass("act").siblings().removeClass("act");
        //			}
        //		});
        //}
        //});

    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };

});
