define("financial/scripts/cockpit/mainNotice.js", function(require, exports,
		module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	var jQueryMap;
	var $page = $("#cockpit_mainNotice");
	var _pageId = "#cockpit_mainNotice "; // 页面ID
	var scrollJudge = true;// 判断是否到底可以滑动?
	var motType;
	var curPage = "1";
	var pageSize = 15;
	var month = []; // 接收月份
	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(param) {
		myUtils.showLayer($page);
	}
	function load() {
		initPage();
	}

	function bindPageEvent() {
		$.bindEvent(jQueryMap.header.mktGoBack, function() {
			if ($.getSStorageInfo("_prePageCode") != "account/middlePage") {
				$.pageBack();
			} else {
				$.pageInit("cockpit/mainNotice", "cockpit/cockpit");
			}
		});

		//点击上架的主题可以挑战到主题详情页面
		$.preBindEvent(jQueryMap.content.motList, ".desp_item", function(){
			var motTypeNo = (motType == "" ? $(this).attr("data-type") : motType);
			if (motTypeNo == "khbreaknotice") {
				var guideSeq = $(this).attr("data-guideSeq");
				var custId = $(this).attr("data-custId");
				$.pageInit("cockpit/mainNotice", "cockpit/effectDetail", {
					"guideSeq" : guideSeq,
					"custId" : custId
				});
			}else if(motTypeNo == "subjectnotice"){
//				if($(this).find(".desp_txt").find("span").html()=="上架"){
				 var subjectId = $(this).attr("data-subjectid");
				 var subjecttypeno = $(this).attr("data-subjecttypeno");
				 var $this = $(this);
				 service.queryProductStatus({
			           "subjectId": subjectId
			      },function(result){
						if(result[0].status=="4"){
							$.setSStorageInfo("subjectId", subjectId);
							$.setSStorageInfo("subjectTypeNo",subjecttypeno);
							$.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
							$.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
							$.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
							$.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
							$.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));
							$.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
							 if(subjecttypeno == "newCustomersExclusive"){
			                     $.pageInit("cockpit/cockpitInvest", "subject/subNewDetail");
			                 }else if(subjecttypeno == "appreciationSigned"){
			                     $.pageInit("cockpit/cockpitInvest", "subject/subSignDetail");
			                 }else if(subjecttypeno == "marketActivity"){
		                         $.pageInit("cockpit/cockpitInvest", "subject/subActivityDetail");
		                     }
						}else{
							$.toast("该主题目前已下架！");
//							alert("该主题目前已下架！");
//							$("#callBox").show();
//							$("#Zzz").show();
						}
			      })
//			}else{
//				$.toast("该主题目前已下架！");
//			}
			}else if(motTypeNo == "followupnotice"){
				var custId = $(this).attr("data-custId");
				if(custId == "#custId#"){
					$.toast("该消息提醒已失效！");
					return false;
				}
				$.setSStorageInfo("custId",custId);
				$.pageInit("cockpit/mainNotice","customer/detail/customerFollow");
			}else{
				var custId = $(this).attr("data-custId");
				if(custId == "#custId#"){
					$.toast("该消息提醒已失效！");
					return false;
				}
				if(motTypeNo == "qysuccessnotice" && $(this).find(".desp_txt p").html().indexOf("独立客户")>-1 ){
					$.toast("主人：客户为独立客户，暂无查看该客户信息权限！");
					return false;
				}
				$.setSStorageInfo("custId",custId);
				$.setSStorageInfo("customerType","2");
				$.pageInit("cockpit/mainNotice","customer/detail/customerDetail");
			}/*else{
			//跳转客户详情功能，待正确传参验证
			var custId = $(this).attr("data-custId");
			$.pageInit("cockpit/cockpitInvest","customer/detail/customerDetail",{
				"custId" : custId,
				"customerType" : "2"
			});
		}*/
		});	
		

		// 确定
		$.bindEvent($("#callBtn"),function() {
			$("#Zzz").hide();
			$("#callBox").hide();
		});	
		// 搜索功能
		$.bindEvent(jQueryMap.header.search, function() {
			$.pageInit("cockpit/mainNotice","cockpit/cockpitSearch",{"motType":motType});
			//$("#motList").html("");
			//$("#noData").hide();
			//month = [];
			//curPage = "1";
			//queryAllMotListByType();
		});

		// 打电话
		$.preBindEvent(jQueryMap.content.motList, "a.tel", function(e) {
			var tel = $(this).attr("data-tel");
			if (!tel) {
				e.stopPropagation();
				return;
			}
			$.callMessage({
				"funcNo" : "50220",
				"telNo" : tel,
				"callType" : "0"
			});
			e.stopPropagation();
		});

		// 如果是开户断点提醒、主题提醒、跟进提醒则需跳转到详情页

		// 滚动加载更多
		$.bindEvent($page.find(".page_box"), function() {
			if (scrollJudge) {
				var viewH = $(this).height();// 可见高度
				var contentH = $(this).get(0).scrollHeight;// 内容高度
				var scrollTop = $(this).scrollTop();// 滚动高度
				if (scrollTop / (contentH - viewH) >= 0.99) { // 到达底部时,加载新内容
					if (curPage >= totalPages) {
						return false;
					} else {
						jQueryMap.content.loadIcon.show();
						scrollJudge = false;
						setTimeout(function() {
							curPage++;
							queryAllMotListByType();
						}, 600);
					}
				}
			}
		}, "scroll");
	}

	function destroy() {
		cleanPageElement();
		service.destroy();
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
			"header" : {
				"search" : $page.find("#search"),
				"mktGoBack" : $page.find("#mktGoBack"),
				"motName" : $page.find("#motName")
			},
			"content" : {
				"motList" : $page.find("#motList"),
				// 上拉加载更多
				"loadIcon" : $page.find(".infinite-scroll-preloader"),
				"emptyData" : $page.find("#emptyData")
			}
		};
	}

	function initPage(param) {
		motType = $.getPageParam("noticeType");
		if (!motType) {
			motType = $.getPageParam("motType");
			if (!motType) {
				motType = "";
			}
		}
		myUtils.showLayer($page);
		myUtils.hideBtn();
		queryAllMotListByType();
	}

	// 查询页面数据
	function queryAllMotListByType() {
		var searchTxt = jQueryMap.header.search.val();
		var param = {
			"userId" : $.getSStorageInfo("userId"),
			"motType" : motType,
			"curPage" : curPage,
			"pageSize" : pageSize,
			"searchTxt" : searchTxt
		};
		service.queryAllMotListByType(param, function(result) {
			if(motType == ""){
				console.log(result.xiaoxi[0].state);
				$.callMessage({
                    "funcNo"  : "70008"
                });
			}
			var mydate=new Date();
			var  num = mydate.getMonth()+1;
			num = num >= 10 ? num : "0"+num ;
			var today =num+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());
			
			// 获取总页数
			totalPages = result.motList[0].totalPages;
			if (curPage == totalPages && curPage !=1) {
				jQueryMap.content.emptyData.show();
			} else {
				jQueryMap.content.emptyData.hide();
			}
			if (curPage == "1") {
				$(_pageId + "#motList").html("");
			}
			
			// 填充标题(消息类型)
			var tempParam = (motType == "" ? result.motList[0].data[0] : result.typeParam[0]);
			jQueryMap.header.motName.html(motType == "" ? "最新消息提醒" :tempParam.motName);
			var tempHeader = tempParam.domHeader; // 模板父元素头
			var tempFooter = tempParam.domFooter; // 模板父元素尾

			var motList = result.motList;
			// var month = new Array();
			if (motList[0].data.length == 0 && curPage == "1") {
				$(_pageId + "#noData").show();
				myUtils.hideLayer($page);
				return;
			}
			// 遍历数据
			for (var i = 0; i < motList[0].data.length; i++) {
				// 判断月份是否页面已经存在，存在不处理，不存在添加
				if ($.inArray(motList[0].data[i].year + "年"
						+ motList[0].data[i].month + "月", month) == -1) {
					month.push(motList[0].data[i].year + "年"
							+ motList[0].data[i].month + "月");
					var htmlStr1 = "";
					htmlStr1 += "<div class='desp_sec'>";
					htmlStr1 += "<h5 class='blk_tit'>"
							+ motList[0].data[i].year + "年"
							+ motList[0].data[i].month + "月" + "</h5>";
					htmlStr1 += tempHeader;
					htmlStr1 += tempFooter + "</div>";
					$(_pageId + "#motList").append(htmlStr1);
				}
				var htmlStr = "";
				var json = motList[0].data[i].jsonParam;
				var obj = eval('(' + json + ')');
				var template = (motType == "" ? motList[0].data[i].template : tempParam.template);
				var mtype = (motType == "" ? motList[0].data[i].motType  : motType);
				if(mtype =="follownotice" && obj["tradeType"] == "1"){
					template = template.replace("已买入","已卖出");
					template = template.replace("+","-");
				}
                if(mtype =="productbuynotice" && obj["tradeType"] == "1"){
					template = template.replace("购买","卖出");	
				}
				for ( var key in obj) {
					//if (obj[key].indexOf(searchTxt) != -1) {
					if (searchTxt || searchTxt != "") {
						if (obj[key].indexOf(searchTxt) != -1) {
							if (key == "custTel" || key == "custId" || key == "guideSeq") {

							} else {
								var reg = new RegExp("(" + searchTxt + ")","g");
								obj[key] = obj[key].replace(reg,"<font color='#d80c1e'>$1</font>");
								obj[key] = obj[key].replace(reg, "$1");
							}
						}
					}	
					if(key == "matureDay" && obj[key] == "0"){
						template = template.replace("#" + key + "#天后","今天");
						continue;
					}
					//}
					template = template.replace("#" + key + "#", obj[key]);
					template = template.replace("#mottype#", motList[0].data[i].motType);
				}
				if(obj["stockName"] == undefined){
					template = template.replace("#stockName#","");
				}
				if(today == obj["date"] && template!=null){
					template =template.replace(obj["date"],"今天");
				}
				htmlStr += template;
				if (motType == "khbreaknotice") {
					$(_pageId + "#motList").append(htmlStr);
				} else {
					$(_pageId + "#motList").append(htmlStr);
				}
				// $page.find(".desp_sec:last").children().children().append(htmlStr);

			}
			myUtils.hideLayer($page);
			jQueryMap.content.loadIcon.hide();
			scrollJudge = true;


		});
	}

	// 重置页面元素
	function cleanPageElement() {		
		jQueryMap.header.search.val("");
		jQueryMap.header.motName.html("");
		$(_pageId + "#motList").html("");
		$(_pageId + "#noData").hide();
		jQueryMap.content.loadIcon.hide();
		jQueryMap.content.emptyData.hide();
		curPage = "1";
		month = [];
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load" : load
	};
});
