define("financial/scripts/cockpit/messageDetail.js",function(require, exports, module) {
		// 私有业务模块的全局变量
		var service = require("investService");
		require("validatorUtils");
		var global = $.config.global;
		var typeList = $.config.typeList;
		var myUtils = window.privateSpaceMKT.myUtils;
		var jQueryMap;
		var $page = $("#cockpit_messageDetail");
		var msgId;
		var msgDesc;
		// 初始化jQueryMap对象
		// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
		initJQueryMap();

		function init(){
		}
		function load() {				
			initPage();				
		}

		function bindPageEvent() {
			//返回键
			$.bindEvent(jQueryMap.header.mktGoBack, function() {
				$.pageBack();
			});
			
			//点击详情中的链接跳转
			$.preBindEvent(jQueryMap.content.msgBox,"a", function() {
				 var link = $(this).html() +"?employeeNo="+ $.getSStorageInfo("employeeNo");
				 var title = msgDesc;
                 $.callMessage({
                     "funcNo"        : "50115",
                     "moduleName"    : "mall",
                     "url"           : link,
                     "title"         : title,
                     "isUseCache"    :"0",
                     "statusColor"   : "#D80C1E",
                     "btnMode"       : "1",
                     "isShowBackBtn" : "1"
                 });
			});
			
			//点击详情中的图片放大图片
			$.preBindEvent(jQueryMap.content.msgBox,"img", function() {
				var url = $(this).attr("src");
				jQueryMap.layerArea.imgBig.find("img").css("width",parseInt($(this).css("width"))*2)
				jQueryMap.layerArea.imgBig.find("img").css("height",parseInt($(this).css("height"))*2)
				jQueryMap.layerArea.imgBig.find("img").attr("src",url);
				jQueryMap.layerArea.imgBig.show();
			});
			
			//点击阴影图片放大功能消失
			$.bindEvent(jQueryMap.layerArea.imgBig,function(e) {
				if (e.target.id === "imgBig") {  
					jQueryMap.layerArea.imgBig.hide();
	            }
			});
		}

		function destroy() {
			$page.find(".page_box").scrollTop(0);
			cleanPageElement();
			myUtils.showLayer($page);
			service.destroy();
		}

		// 初始化jQueryMap对象
		function initJQueryMap() {
			// 缓存常用jQuery对象
			jQueryMap = {
				"header" : {
					"mktGoBack" : $page.find("#mktGoBack"),					
				},
				"content" : {
					"msgBox" : $page.find("#msgBox")
				},
	            "layerArea" : {
	                "imgBig" : $page.find("#imgBig")
	            }
			};
		}
	
		/*$(document).ready(function() {
             var startX, endX, scale, x1, x2, y1, y2, imgLeft, imgTop, imgWidth, imgHeight,
                 one = false, 
                 $touch = $("#imgBig img"),
                 originalWidth = $touch.width(),
                 originalHeight = $touch.height(),
                 baseScale = parseFloat(originalWidth/originalHeight),
                 imgData = [],
                 bgTop = parseInt($("#imgBig dialog").css('top'));
             function siteData(name) {
                 imgLeft = parseInt(name.css('left'));
                 imgTop = parseInt(name.css('top'));
                 imgWidth = name.width();
                 imgHeight = name.height();
             }
             $(document).on('touchstart touchmove touchend', $("#imgBig img"), function(event){
                 var $me = $("#imgBig img"),
                     touch1 = event.originalEvent.targetTouches[0],  // 第一根手指touch事件
                     touch2 = event.originalEvent.targetTouches[1],  // 第二根手指touch事件
                     fingers = event.originalEvent.touches.length;   // 屏幕上手指数量
                 //手指放到屏幕上的时候，还没有进行其他操作
                 if (event.type == 'touchstart') {
                     if (fingers == 2) {
                         // 缩放图片的时候X坐标起始值
                         startX = Math.abs(touch1.pageX - touch2.pageX);
                         one = false;
                     }
                     else if (fingers == 1) {
                         x1 = touch1.pageX;
                         y1 = touch1.pageY;
                         one = true;
                     }
                     siteData($me);
                 }
                 //手指在屏幕上滑动
                 else if (event.type == 'touchmove') {
                     if (fingers == 2) {
                         // 缩放图片的时候X坐标滑动变化值
                         endX = Math.abs(touch1.pageX - touch2.pageX);
                         scale = endX - startX;
                         $me.css({
                             'width' : originalWidth + scale,
                             'height' : (originalWidth + scale)/baseScale,
                             'left' : imgLeft,
                             'top' : imgTop
                         });
                         
                     }else if (fingers == 1) {
                         x2 = touch1.pageX;
                         y2 = touch1.pageY;
                         if (one) {
                             $me.css({
                                 'left' : imgLeft + (x2 - x1),
                                 'top' : imgTop + (y2 - y1)
                             });
                         }
                     }
                 }
                 //手指移开屏幕
                 else if (event.type == 'touchend') {
                     // 手指移开后保存图片的宽
                     originalWidth = $touch.width(),
                     siteData($me);
                     imgData = [[imgLeft, imgTop-bgTop, imgWidth, imgHeight],[0, 0, 640, 640]];
                 }
             });
             var getData = function(){
                 return imgData;
             };
             return {
                 imgData : getData
             }
         });*/
         
		function queryMsgDetail(){
			service.queryMsgInfo({"msgId":msgId},function(result){
				if(result.list[0].data.length>0){		
					var msgObj = result.list[0].data[0];
					msgDesc = msgObj.msgDesc;
					var htmlStr = "<div class='arti_tit'>";
					htmlStr += "<h3 id ='dataTitle'>"+msgObj.msgTitle+"</h3>";
					htmlStr += "<p class='source_info'>"+msgObj.createDate+"<em>来源：系统消息</em></p></div>";
					htmlStr += "<div class='arti_con' style='margin-bottom:100px;word-break: break-all;'>"+msgObj.msgContent+"</div>";
					jQueryMap.content.msgBox.html(htmlStr);
					//遮罩层去掉
					myUtils.hideLayer($page);
					jQueryMap.content.msgBox.find("img").each(function(){
						var file_addr = $(this).attr("src");
						if(file_addr){
							file_addr = file_addr.replace(/http:\/\/10.211.12.22:8082\/sdplat\/ueditor/g,global.appUrl+"/upload");
							file_addr = file_addr.replace(/\/sdplat\/ueditor/g,global.appUrl+"/upload");
						}
					    $(this).attr("src",file_addr);//修改图片路径
					});
				}
				
			})
		}
			
		function initPage() {
			myUtils.showLayer($page);			
			myUtils.hideBtn();
			msgId = $.getPageParam("msgId");
			queryMsgDetail();
		}

		// 重置页面元素
		function cleanPageElement() {
			jQueryMap.layerArea.imgBig.hide();
		}

		module.exports = {
			"init" : init,
			"bindPageEvent" : bindPageEvent,
			"destroy" : destroy,
			"load"    : load
		};
	});
