define(
		"financial/scripts/cockpit/messageInfo.js",
		function(require, exports, module) {
			// 私有业务模块的全局变量
			var service = require("investService");
			var myUtils = window.privateSpaceMKT.myUtils;
			require("validatorUtils");
			var jQueryMap;
			var $page = $("#cockpit_messageInfo");
			var currPage = "1";
			var pageSize = "20";
			var msgObj;
			var totalPages;
			var scrollJudge = true;// 判断是否到底可以滑动?
			// 初始化jQueryMap对象
			// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
			initJQueryMap();

			function init(){

			}
			function load() {
				initPage();				
			}

			function bindPageEvent() {
				$.bindEvent(jQueryMap.header.mktGoBack, function() {
					//$.pageBack();
					if( $.getSStorageInfo("postNo") == "ivtManager" ||  $.getSStorageInfo("postNo") == "investAdviser" || $.getSStorageInfo("postNo") == "wealthManager" ){
						$.pageInit("cockpit/messageInfo","cockpit/cockpitInvest","","right");
					}else{
						$.pageInit("cockpit/messageInfo","cockpit/cockpit","","right");
					}
				});
				
				//进入详情
				$.preBindEvent(jQueryMap.content.msgList,"div.notice_item",function(){
					var msgId = $(this).attr("data-msgId");
					$.pageInit("cockpit/messageInfo","cockpit/messageDetail",{"msgId":msgId});
				});
				
				// 滚动加载更多
				$.bindEvent($page.find(".page_box"), function() {
					if (scrollJudge) {
						var viewH = $(this).height();// 可见高度
						var contentH = $(this).get(0).scrollHeight;// 内容高度
						var scrollTop = $(this).scrollTop();// 滚动高度
						if (scrollTop / (contentH - viewH) >= 0.95) { // 到达底部时,加载新内容
							if (currPage >= totalPages) {
								return false;
							} else {
								jQueryMap.content.loadIcon.show();
								scrollJudge = false;
								setTimeout(function() {
									currPage++;
									initData();
								}, 600);
							}
						}
					}
				}, "scroll");
			}

			function destroy() {
				//myUtils.showLayer($page);
				service.destroy();
			}

			// 初始化jQueryMap对象
			function initJQueryMap() {
				// 缓存常用jQuery对象
				jQueryMap = {
					"header" : {
						"mktGoBack" : $page.find("#mktGoBack"),					
					},
					"content" : {
						"msgList" : $page.find("#msgList"),
						// 上拉加载更多
						"loadIcon" : $page.find(".infinite-scroll-preloader")
					}
				};
			}
			/*
			<div class="notice_item">
			<div class="notice_txt">
				<h3>微信开户消息<span>2016/12/20</span></h3>
				<p>2015年5月30日起可以通过微信开户了,更方便、更快捷的完成开证券账户，欢迎体验使用证券微信开户APP平台...</p>
			</div>
			<a href="javascript:void(0);">点击确认已读</a>
		</div>*/
			function initData(){
				service.queryMsgInfo({
					"userId"   : $.getSStorageInfo("userId"),
					"currPage" : currPage,
					"pageSize" : pageSize,
					"type"     : "2"
				},function(result){
					var state = result.xiaoxi[0].state;
					if(state == "true"){
						console.log("清除成功");
						$.callMessage({
                            "funcNo"  : "70008"
                        });
					}
					if(result && result.list[0]){
						totalPages = result.list[0].totalPages;
						msgObj = result.list[0].data;
						var htmlStr = "";
						if(currPage == "1"){
							jQueryMap.content.msgList.html("");
						}
						if(result.list[0].data.length==0 && currPage =="1"){
							jQueryMap.content.msgList.hide();
							$("#noData").show();
						}else{
							jQueryMap.content.msgList.show();
							$("#noData").hide();
							for(var i =0;i<result.list[0].data.length;i++){
								htmlStr += "<div class='notice_item' data-msgId='"+result.list[0].data[i].msgId+"'>";
								htmlStr += "<div class='notice_txt'>";
								htmlStr += "<h3><p>"+result.list[0].data[i].msgTitle+"</p><span>"+result.list[0].data[i].createDate+"</span></h3>";
								htmlStr += "<p>"+result.list[0].data[i].msgDesc+"</p>";
								htmlStr += "</div></div>";
							}
							jQueryMap.content.msgList.append(htmlStr);
						}
						scrollJudge = true;
						jQueryMap.content.loadIcon.hide();
						//遮罩层去掉
						//myUtils.hideLayer($page);
					}
				});
			}
			function initPage() {
				//myUtils.showLayer($page);
				cleanPageElement();
				myUtils.hideBtn();
				initData();
			}

			// 重置页面元素
			function cleanPageElement() {
				$("noData").hide();
				jQueryMap.content.msgList.show();
			}

			module.exports = {
				"init" : init,
				"bindPageEvent" : bindPageEvent,
				"destroy" : destroy,
				"load"    : load
			};
		});
