define("financial/scripts/cockpit/myNotice.js", function(require, exports,
		module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	require("validatorUtils");
	var jQueryMap;
	var $page = $("#cockpit_myNotice");
	var types = "followupnotice";

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){
		//myUtils.addLayer($page);
	}
	function load() {
		initPage();
	}

	

	function bindPageEvent() {
		$.bindEvent(jQueryMap.header.mktGoBack,function(){
			$.pageBack();
		});		
		
		$.preBindEvent(jQueryMap.content.followUpNotice,"a.msg",function(e){
			var type = $(this).attr("data-type");
			$.pageInit("cockpit/newKhNotice","cockpit/mainNotice",{"noticeType":type});
			/*if(e.target.className=="tit msg"){
				var type = $(this).attr("data-type");
			   $.pageInit("cockpit/newKhNotice","cockpit/mainNotice",{"noticeType":type});
			}else if(e.target.className=="tel"){
				var tel  = $(this).attr("data-tel");
				$.callMessage({
					"funcNo" : "50220",
					"telNo" : tel,
					"callType" : "0"
				});
			}*/
		});
		
		// 打电话
		$.preBindEvent(jQueryMap.content.followUpNotice, "a.tel", function(e) {
			var tel = $(this).attr("data-tel");
			if (!tel) {
				e.stopPropagation();
				return;
			}
			$.callMessage({
				"funcNo" : "50220",
				"telNo" : tel,
				"callType" : "0"
			});
			e.stopPropagation();
		});
		
		//点击上架的主题可以挑战到主题详情页面
		$.preBindEvent(jQueryMap.content.followUpNotice, ".desp_item", function(){
			var custId = $(this).attr("data-custId");
			if(custId == "#custId#"){
				$.toast("该消息提醒已失效！");
				return false;
			}
			$.setSStorageInfo("custId",custId);
			$.pageInit("cockpit/cockpitInvest","customer/detail/customerFollow");
		});
		
		
	}

	function destroy() {
		service.destroy();
	}
	
	//初始化跟进提醒
	function initFollUp(){
		var param = {
				"types" : types,
				"userId": $.getSStorageInfo("userId")
			};
			service.queryTop3MotByTypes(param,function(result){
				var htmlStr = "";
				for(var i = 0;i<result.length;i++){
					var obj= eval('('+result[i].tempParam+')');
					htmlStr += "<a class='tit msg' data-type='"+obj.mot_type+"'>"+obj.mot_name+"</a>";
					htmlStr += "<div class='table_box' style='background-color: white'><table>";
					if(!result[i].motList){
						htmlStr += '<p style="line-height:1.32rem;text-align: center">暂无跟进提醒</p>';
					}else{
						//htmlStr += "<tr><th>客户姓名</th><th>跟进事件</th><th>跟进时间</th><th class='w50'></th></tr>";
						var motArr = new Array();
						motArr= eval('(' + result[i].motList + ')');
						for(var j = 0 ;j<motArr.length;j++){
							var template = obj.dom_temp_desc;
							var json = motArr[j].json_param;
							//将JSON串转换成json对象
							var objs = eval('(' + json + ')');
							var mydate=new Date();
							var month = mydate.getMonth()+1;
							var day = mydate.getDate();
							var count = month.toString().length
								month = (count>1)?month.toString:("0"+month);
							var today = month+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());
							for(var key in objs){
								if(template!=null) {
									template = template.replace("#" + key + "#", objs[key]);
								}
							}
							if(today == objs["date"] && template!=null){

									template = template.replace(objs["date"], "今天");
							}
							htmlStr += template;
						}}
						htmlStr+="</table></div></div>";
				}
				jQueryMap.content.followUpNotice.html(htmlStr);
				//遮罩层去掉
				//myUtils.cancelLayer($page);
			});
	}

	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
				"header":{
					"mktGoBack" : $page.find("#mktGoBack"),				
				},
				"content":{
					"followUpNotice" : $page.find("#followUpNotice")
				},
		};
	}

	function initPage() {
		cleanPageElement();
		myUtils.hideBtn();
		initFollUp();
	}

	
	// 重置页面元素
	function cleanPageElement() {
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	};
});
