define("financial/scripts/cockpit/subjectNotice.js", function(require, exports,
		module) {
	// 私有业务模块的全局变量
	var service = require("investService");
	var myUtils = window.privateSpaceMKT.myUtils;
	require("validatorUtils");
	var jQueryMap;
	var $page = $("#cockpit_subjectNotice");
	var types = "subjectnotice";

	// 初始化jQueryMap对象
	// 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
	initJQueryMap();

	function init(){
		
	}
	function load() {
		initPage();
	}
	function bindPageEvent() {
		$.bindEvent(jQueryMap.header.mktGoBack,function(){
			$.pageBack();
		});
		//进入某个类型消息列表
		$.preBindEvent(jQueryMap.content.typeList,"div.naccount_sec a",function(e){
			var type = $(this).attr("data-type");
			$.pageInit("cockpit/newKhNotice","cockpit/mainNotice",{"noticeType":type});
		});

		//点击上架的主题可以挑战到主题详情页面
		$.preBindEvent(jQueryMap.content.typeList, ".desp_item", function(){
	//			if($(this).find(".desp_txt").find("span").html()=="上架"){
				 var subjectId = $(this).attr("data-subjectid");
				 var subjecttypeno = $(this).attr("data-subjecttypeno");
				 var $this = $(this);
				 service.queryProductStatus({
			           "subjectId": subjectId
			      },function(result){
						if(result[0].status=="4"){
							 $.setSStorageInfo("subjectId", subjectId);
							 $.setSStorageInfo("subjectTypeNo",subjecttypeno);
							 $.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
							 $.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
							 $.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
							 $.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
							 $.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));
							 $.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
							 if(subjecttypeno == "newCustomersExclusive"){
			                     $.pageInit("cockpit/cockpitInvest", "subject/subNewDetail");
			                 }else if(subjecttypeno == "appreciationSigned"){
			                     $.pageInit("cockpit/cockpitInvest", "subject/subSignDetail");
			                 }else if(subjecttypeno == "marketActivity"){
		                         $.pageInit("cockpit/cockpitInvest", "subject/subActivityDetail");
		                     }
						}else{
							$.toast("该主题目前已下架！");
	//						alert("该主题目前已下架！");
	//						$("#callBox").show();
	//						$("#Zzz").show();
						}
			      })
	//		}else{
	//			$.toast("该主题目前已下架！");
	//		}
		});	
		// 确定
		$.bindEvent($("#callBtn"),function() {
			$("#callBox").hide();
			$("#Zzz").show();
		});	
		
		
	}

	function destroy() {
		myUtils.showLayer($page);
		service.destroy();
	}
	//查询主题相关类型提醒前三条
	function initNoticeData(){
		var param = {
			"types" : types,
			"userId": $.getSStorageInfo("userId")
		};
		service.queryTop3MotByTypes(param,function(result){
			var htmlStr = "";
		/*	var todaylisthtmlStr = "";
			var yestlisthtmlStr = "";
			var beforlisthtmlStr = "";
			var otherlisthtmlStr = "";
			var dateArr = new Array();
			dateArr[0] = todaylisthtmlStr;
			dateArr[1] = yestlisthtmlStr;
			dateArr[2] = beforlisthtmlStr;
			dateArr[3] = otherlisthtmlStr;*/
			var mydate=new Date();
			var month = mydate.getMonth()+1;
			var day = mydate.getDate();
			var count = month.toString().length
				month = (count>1)?month.toString:("0"+month);
			var today = month+"-"+(mydate.getDate() >= 10 ? mydate.getDate() : "0"+mydate.getDate());
			/*var yestoday = month+"-"+(day-1);
			var beforday = month+"-"+(day-2);
			*/
			for(var i = 0;i<result.length;i++){
				var obj= eval('('+result[i].tempParam+')');
				var motName =obj.mot_name+ (!obj.no_read_num?"":("<em>"+obj.no_read_num+"</em>"));
				jQueryMap.content.objMotType.attr("data-type",obj.mot_type);
				jQueryMap.content.objMotType.html(motName)
				
				var motArr = new Array();
				if(!result[i].motList){
					/*jQueryMap.content.list.html('<p style="line-height:1.32rem;text-align: center">暂无提醒</p>');*/
					htmlStr+='<p style="line-height:1.32rem;text-align: center">暂无提醒</p>';
				}else{
				motArr= eval('(' + result[i].motList + ')');
				for(var j = 0 ;j<motArr.length;j++){
					var template = obj.dom_temp_desc;
					var json = motArr[j].json_param;
					//将JSON串转换成json对象
					var objs = eval('(' + json + ' )');
					for(var key in objs){
						if(template!=null) {
							template = template.replace("#"+key+"#",objs[key]);
						}
					}
					/*if(objs["date"]==today){
					//	dateArr[0] += template.replace('<span class="fc_brown">','<span class="fc_brown">今日');
						dateArr[0] += template;
					}else if(objs["date"]==yestoday){
						dateArr[1] += template;
					}else if(objs["date"]==beforday){
						dateArr[2] += template;
					}else{
						dateArr[3] += template;
					}*/
					if(today == objs["date"] && template!=null){
						template =template.replace(objs["date"],"今天");
					}
					htmlStr += template;
				}
			}
		}
			jQueryMap.content.list.html(htmlStr);
/*			for(var i = 0;i<dateArr.length;i++){
				if(dateArr[i] == ""){
					dateArr[i] = '<p style="line-height:1.32rem;text-align: center">暂无提醒</p>';
				}
			}
			jQueryMap.content.todaylist.html(dateArr[0]);
			jQueryMap.content.yestlist.html(dateArr[1]);
			jQueryMap.content.beforlist.html(dateArr[2]);
			jQueryMap.content.otherlist.html(dateArr[3]);
*/
			myUtils.hideLayer($page);
		});
	}
	
	// 初始化jQueryMap对象
	function initJQueryMap() {
		// 缓存常用jQuery对象
		jQueryMap = {
				"header":{
					"mktGoBack" : $page.find("#mktGoBack"),				
				},
				"content":{
					"typeList" : $page.find("#typeList"),
					"objMotType" : $page.find("#objMotType"),
					"list" : $page.find("#list"),
					"todaylist" : $page.find("#todaylist"),
					"yestlist" : $page.find("#yestlist"),
					"beforlist" : $page.find("#beforlist"),
					"otherlist" : $page.find("#otherlist")
				},
		};
	}
	function initPage() {
		myUtils.showLayer($page);
		cleanPageElement();
		myUtils.hideBtn();
		initNoticeData();
	}

	
	// 重置页面元素
	function cleanPageElement() {
	}

	module.exports = {
		"init" : init,
		"bindPageEvent" : bindPageEvent,
		"destroy" : destroy,
		"load"    : load
	};
});
