define("financial/scripts/customer/detail/customerTag.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
	var model = window.privateSpaceMKT.model;
	var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_detail_customerTag");
    var _pageId = "#customer_detail_customerTag ";
    var tagTypeNo;
	var custId;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });
        
//        //新增标签
//        $.bindEvent(jQueryMap.content.addTag, function () {       	
//        	jQueryMap.content.dialog.fadeIn();
//        	jQueryMap.content.dialogBg.fadeIn();
//        });
        
        // 弹框--确定
        $.bindEvent(jQueryMap.content.ok, function () {
			var tagName = jQueryMap.content.inputTag.val().trim();
			if(tagName.length>0){
//				var htmlStr = '<li class="tagDelBtn" data-tagId="id"><span><div>'+jQueryMap.content.inputTag.val()+'</div><em></em></span></li>';				    
//				jQueryMap.content.userTag.append(htmlStr);
				//把加的标签添加到数据库中
				addCustomerTag(tagName);
				//addMousedownFunc();
			}
        	jQueryMap.content.inputTag.val("");
        	jQueryMap.content.dialog.fadeOut();
        	jQueryMap.content.dialogBg.hide();

        });
        
        // 弹框--取消
        $.bindEvent(jQueryMap.content.cancel, function () {
        	jQueryMap.content.inputTag.val("");
			jQueryMap.content.dialog.fadeOut();
			jQueryMap.content.dialogBg.hide();
        });
        
        // 标签类型切换
        $.preBindEvent(jQueryMap.content.sysTagTypeBox,"li", function () { 
        	myUtils.scrollLeftAuto($(this),$page.find(".tab_nav_box"));        	
        	$(this).addClass("current").siblings().removeClass("current");
        	if($page.find("#"+$(this).attr("data-type")+"Tab").children().length > 0 ){
    			if($page.find("#"+$(this).attr("data-type")+"Tab").children().length > 3){
    				$page.find("#xitong").show();
    				jQueryMap.content.showMore.show();
    				$page.find("#empty_info").hide();
    				$page.find("#"+$(this).attr("data-type")+"Tab").show().siblings("ul").hide();
    			}else{
    				$page.find("#xitong").show();
    				jQueryMap.content.showMore.hide();
    				$page.find("#empty_info").hide();
    				$page.find("#"+$(this).attr("data-type")+"Tab").show().siblings("ul").hide();
    			}
    		}else{
    			$page.find("#xitong").hide();
    			jQueryMap.content.showMore.hide();
    			$page.find("#empty_info").show();
    			$(_pageId+"#typeInfo ul").siblings().hide();
    		}             	
        });
        
        // 删除标签
        //$.preBindEvent(jQueryMap.content.userTag,"li em", function () {
			//var li = $(this).parent().parent();
			//var tagId = li.attr("data-tagId");
			//if( li.hasClass("icon_del") ){
			//	li.remove();
			//	deleteCustomerTag(tagId);
			//}
        //});

		//针对客户添加标签
		$.preBindEvent(jQueryMap.content.systemTagBox,"li", function (e) {
			if($(this).hasClass("icon_del")){
				if(e.target.nodeName=="EM"){
					var li = $(this);
					var tagId = li.attr("data-tagId");
					if( li.hasClass("icon_del") ){
						li.remove();
						deleteCustomerTag(tagId);
					}
				}else{
					//如果已经是删除状态了就不给选中
					return false;
				}
			}
			//新增自定义标签
			if($(this).attr("id") == "addTag"){
				jQueryMap.content.dialog.fadeIn();
				jQueryMap.content.dialogBg.show();
				return;
			}
			var tagId = "";
			if($(this).hasClass("act")){
				$(this).removeClass("act");
				tagId = $(this).attr("data-tagId");
				manageTag("2",tagId);
			}else{
				$(this).addClass("act");
				tagId = $(this).attr("data-tagId");
				manageTag("1",tagId);
			}
		});
		//展开按钮
        $.bindEvent(jQueryMap.content.showMore, function () {
        	$(this).hasClass("upDown") ? $(this).removeClass("upDown") : $(this).addClass("upDown");
        	$(this).parent().find("ul").hasClass("openall") ? $(this).parent().find("ul").removeClass("openall").addClass("not_openall") : $(this).parent().find("ul").removeClass("not_openall").addClass("openall");
        });

		 
	}

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack")
            },
            "content": {
            	"systemTagBox" : $page.find(".ftag_box"),
            	"userTag"      : $page.find(".ftag_box01 ul"),
            	"addTag"       : $page.find("#addTag"),
            	"dialog"       : $page.find(".dialog"),
            	"dialogBg"     : $page.find(".dialog-overlay"),
            	"cancel"       : $page.find(".cancel"),
            	"ok"           : $page.find("#ok"),
            	"inputTag"        : $page.find("#inputTag"),
            	"sysTagTypeBox": $page.find(".tab_nav01"),
            	"showMore"     : $page.find(".collapse_btn"),
            	"xitong"       : $page.find("#xitong")
            }
        };
    }

    function destroy() {
		myUtils.showLayer($page);
    	cleanPageElement();
        service.destroy();
    }
    
    function initPage() {
		myUtils.showLayer($page);
		custId = $.getPageParam("custId");
		//0：查询所有标签、客户已有标签
		manageTag("0","");
    }

	//管理个人标签
	function manageTag(actionType,tagId){
		service.customerTag({
			"staffId"    :  model.dataStore.staffId,
			"actionType" :  actionType,
			"custId"     :  custId,
			"tagId"      :  tagId
		},function(result){
			//先填充系统标签类别，再在相应的类别下添加相应的标签
			if(actionType=="0"){
				fillSysTagType(result.tagTypeList);		
				fillSysTag(result.publicTagsList);
				//////填充自定义的标签
				fillUserTag(result.privateTagsList);
			}
			//判断客户是不含有这个标签
			if(actionType=="0" && result.hasTagsList.length>0){
				$.each(jQueryMap.content.systemTagBox.find("li"),function(index,tagId){
					var $this = $(this);
					var tagId = $this.attr("data-tagId");
					$.each(result.hasTagsList,function(indexIn,dom){
						if(tagId == dom.tagId){
							$this.addClass("act");
						}
					});
				});
			}
		});
	}

	////填充系统标签类型
	function fillSysTagType(result){
		var htmlStr = "";
		var tagBox = "";
		if(result.length > 0){
			$page.find("#xitong").show();
			//$page.find("#empty_nav").hide();
			for(var i=0;i<result.length;i++){
				if( i==0 ){
					tagTypeNo = result[0].tagTypeNo;
					htmlStr += '<li data-type="'+result[i].tagTypeNo+'" class="current"><a href="javascript:void(0);"><span>'+result[i].tagTypeName+'</span></a></li>';
					tagBox += '<ul id="'+result[i].tagTypeNo+'Tab" class="not_openall"></ul>';
				}else{
					htmlStr += '<li data-type="'+result[i].tagTypeNo+'"><a href="javascript:void(0);"><span>'+result[i].tagTypeName+'</span></a></li>';
					tagBox += '<ul id="'+result[i].tagTypeNo+'Tab" style="display:none;" class="not_openall"></ul>';
				}
			}
			jQueryMap.content.sysTagTypeBox.html(htmlStr);
			$page.find("#typeInfo").html(tagBox);
		}else{
			$page.find("#xitong").hide();
			//$page.find("#empty_nav").show();
		}
		
	}

	// 填充系统标签
	function fillSysTag(result){
		var htmlStr="";
		for(var i=0;i<result.length;i++){
			htmlStr = '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
			$(_pageId+"#"+result[i].tagTypeNo+"Tab").append(htmlStr);
		}
		if($(_pageId+"#typeInfo ul:first").children().length > 0 ){
			if($(_pageId+"#typeInfo ul:first").children().length > 3){
				$page.find("#xitong").show();
				jQueryMap.content.showMore.show();
				$page.find("#empty_info").hide();
			}else{
				$page.find("#xitong").show();
				jQueryMap.content.showMore.hide();
				$page.find("#empty_info").hide();
			}
		}else{
			jQueryMap.content.showMore.hide();
			$page.find("#xitong").hide();
			$page.find("#empty_info").show();
		}          	       	 	
	}

    //填充用户自定义标签
    function fillUserTag(result){
		jQueryMap.content.userTag.html("");
    	var htmlStr ='<li id="addTag"><a href="javascript:void(0);" class="add_btn"></a></li>';
    	for(var i=0;i<result.length;i++){
    		htmlStr += '<li class="tagDelBtn" data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span><em></em></li>';
    	}
    	jQueryMap.content.userTag.html(htmlStr);
		$.each($page.find(".tagDelBtn"),function(){
			var $this = $(this);
			myUtils.bindLongTouchEvent( $this,function(){
				if($this.hasClass("icon_del")){
					$this.removeClass("icon_del");
				}else{
					$this.addClass("icon_del");
				}
			});
		});

		////遮罩层去掉
		myUtils.hideLayer($page);
    }

	//把自定义添加的标签加到数据库中去
	function addCustomerTag(tagName){
		var param = {
			"staffId"    : model.dataStore.staffId,
			"actionType" : "1",   //操作类型 0查询，1添加，2删除 Y
			"tagName"    : tagName
		};
		service.fillCustomerTag(param,function(result){
			var htmlStr="";
			if(result.length>0){
				for(var i=0;i<result.length;i++){
					htmlStr += '<li class="tagDelBtn" data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span><em></em></li>';
				}
				jQueryMap.content.userTag.append(htmlStr);
				$.each($page.find(".tagDelBtn"),function() {
					var $this = $(this);
					myUtils.bindLongTouchEvent($this, function () {
						if ($this.hasClass("icon_del")) {
							$this.removeClass("icon_del");
						} else {
							$this.addClass("icon_del");
						}
					});
				});
			}

		});
	}
	//删除把自定义标签
	function deleteCustomerTag(tagId){
		var param = {
			"staffId"    : model.dataStore.staffId,
			"actionType" : "2",   //操作类型 0查询，1添加，2删除 Y
			"tagType"    : "2",   //标签类型  0公司 1营业部 2自定义
			"tagId"      : tagId,
			"dataKind"   : "1"    //页面  0客户详情页面 1标签页面
		};
		service.fillCustomerTag(param,function(result){		
		});
	} 

	// 重置页面元素
	function cleanPageElement() {
		//$page.find("#empty_nav").hide();
		$page.find(".tab_nav_box").scrollLeft(0);
		//展开按钮
		//jQueryMap.content.xitong.find("ul").remove();
		//jQueryMap.content.showMore.before().remove();  
    	jQueryMap.content.showMore.removeClass("upDown");
    	jQueryMap.content.showMore.parent().find("ul").removeClass("openall");
		jQueryMap.content.userTag.html("");
	}
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
