define("financial/scripts/customer/newAdd.js", function(require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_newAdd");
    var dateType = "1",
        queryType = "1",
        validQueryType = "1",
        page = "1",
        totalPages = 0;
    var scrollJudge = true;//判断是否到底可以滑动?
    initJQueryMap();

    function init() {
        initPage();
    }

    function load() {
        // $('.scroll_table .cheek.scroll').bind('scroll', function() {
        //     oLeft = $(this).scrollLeft();
        //     $('.scroll_table .cheek.scroll').scrollLeft(oLeft);
        // });
        loadPage();
    }

    function bindPageEvent() {
        $.bindEvent(jQueryMap.header.mktGoBack, function() {
            page = "1";
            totalPages = 0;
            $.pageBack();
        });
        //页面的日月年选择
        $.preBindEvent(jQueryMap.header.selectDate, "li", function(e) {
            e.stopPropagation();
            if (!$(this).hasClass("current")) {
                page = "1";
                totalPages = 0;
                jQueryMap.content.fixedTit.html("");
                jQueryMap.content.scrollData.html("");
                jQueryMap.content.scrollData.scrollLeft(0);
                jQueryMap.header.mult_stock.find("strong").text("");
                $(this).addClass("current").siblings().removeClass("current");
                dateType = $(this).attr("id");
                getChannelInfo();
                getNewAddList();
            }
        });
        // 查询类型
        $.preBindEvent(jQueryMap.header.single, "li", function(e) {
            e.stopPropagation();
            if (!$(this).hasClass("act")) {
                page = "1";
                totalPages = 0;
                jQueryMap.content.fixedTit.html("");
                jQueryMap.content.scrollData.html("");
                jQueryMap.content.scrollData.scrollLeft(0);
                $(this).addClass("act").siblings().removeClass("act");
                validQueryType = $(this).attr("data-query_type");
                getNewAddList();
            }
        });
        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                    	getNewAddList();
                    },600);
                }
        	}      
        },"scroll");
        
        // 查看员工详情
        $.preBindEvent(jQueryMap.content.scrollData, ".employee", function(e) {
            e.stopPropagation();
            var $this = $(this);
            var imUserId= $this.attr("data-userid");
            if(imUserId == ""){
            	return false;
            }
            $.callMessage({
				"funcNo"    : "80104",
				"username"  : imUserId
			}); 
        });
    }

    function getNewAddList() {
        var htmlName = "", htmlData = "";
        if (queryType != "3") {
            var param = {
                "user_code": $.getSStorageInfo("employeeNo"),
                "query_date_type": dateType,
                "query_type": queryType,
                "pageIndex": page,
                "pageSize": 20
            };
            if(page == "1") {
                htmlName = htmlName + '<dl style="color:#999999; margin-left: -0.15rem; width: 1rem"><dd style="padding-left: 0.2rem"><span class="w60">客户姓名</span></dd></dl>';
                        htmlData += '<dl style="color:#999999">';
                        htmlData += '<dd><span class="w152">渠道来源</span></dd>';
                        htmlData += '<dd><span>转化人员</span></dd>';
                        htmlData += '<dd><span class="w100">开户时间</span></dd>';
                        htmlData += "</dl>";
            }
            service.getChanInfoDetail(param, function(result) {
                totalPages = result[0].totalPages;
                var data = result[0].data;
                if(data.length > 0) {
                    $.each(data, function(i, item) {
                        var open_account_time = item.open_account_time, 
                        channelName =  operStr(item.channel_name);
                        if (open_account_time != undefined && open_account_time.length == 19)
                        open_account_time = open_account_time.substring(5, 16);
                        htmlName = htmlName + '<dl><dd><span class="w60">' + item.cust_name + '</span></dd></dl>';
                        htmlData += "<dl>";
                        htmlData += '<dd><span class="w152">' + channelName + '</span></dd>';
                        var zh_broker_name = item.zh_broker_name ? item.zh_broker_name : "-";
                        htmlData += '<dd><span class="employee" data-userid="'+ item.id_code +'">' + zh_broker_name + '</span></dd>';
                        htmlData += '<dd><span class="w100">' + open_account_time + '</span></dd>';
                        htmlData += "</dl>";
                    });                      		 
                    jQueryMap.content.loadIcon.hide();
                    scrollJudge =true;
                    jQueryMap.content.fixedTit.append(htmlName);
                    jQueryMap.content.scrollData.append(htmlData);
                    jQueryMap.content.scrollData.show();
                    jQueryMap.content.noData.hide();
                } else if(page == "1") {
                    jQueryMap.content.scrollData.hide();
                    jQueryMap.content.noData.show();
                }
            });
        } else {
            var param = {
                "user_code": $.getSStorageInfo("employeeNo"),
                "query_type": validQueryType,
                "query_date_type": dateType,
                "pageIndex": page,
                "pageSize": 20
            };
            if(page == "1") {
                htmlName = htmlName + '<dl style="color:#999999; margin-left: -0.15rem; width: 1rem"><dd style="padding-left: 0.2rem"><span class="w60">客户姓名</span></dd></dl>';
                        htmlData += '<dl style="color:#999999">';
                        htmlData += '<dd><span class="w152">渠道来源</span></dd>';
                        htmlData += '<dd><span>挖掘人员</span></dd>';
                        htmlData += '<dd><span class="w100">转化时间</span></dd>';
                        htmlData += "</dl>";
            }
            service.getChanValidInfoDetail(param, function(result) {
                totalPages = result[0].totalPages;
                var data = result[0].data;
                if(data.length > 0) {
                    $.each(data, function(i, item) {
                        var zh_time = item.zh_time, 
                        channelName =  operStr(item.channel_name);
                        if (zh_time != undefined && zh_time.length == 19)
                        zh_time = zh_time.substring(5, 10);
                        htmlName = htmlName + '<dl><dd><span class="w60">' + item.cust_name + '</span></dd></dl>';
                        htmlData += "<dl>";
                        htmlData += '<dd><span class="w152">' + channelName + '</span></dd>';
                        var wj_broker_name = item.wj_broker_name ? item.wj_broker_name : "-";
                        htmlData += '<dd><span class="employee" data-userid="'+ item.id_code +'">' + wj_broker_name + '</span></dd>';
                        htmlData += '<dd><span class="w100">' + zh_time + '</span></dd>';
                        htmlData += "</dl>";
                    });                      		 
                    jQueryMap.content.loadIcon.hide();
                    scrollJudge =true;
                    jQueryMap.content.fixedTit.append(htmlName);
                    jQueryMap.content.scrollData.append(htmlData);
                    jQueryMap.content.scrollData.show();
                    jQueryMap.content.noData.hide();
                } else if(page == "1") {
                    jQueryMap.content.scrollData.hide();
                    jQueryMap.content.noData.show();
                }
            });
        }
    }

    function getChannelInfo() {
        var param = {
            "user_code": $.getSStorageInfo("employeeNo"),
            "query_date_type": dateType
        };
        service.getChanAccountsAmount(param, function(data) {
            if(queryType == "1") {
                jQueryMap.header.mult_stock.find("strong").text(data[0].stock_count);
            } else if(queryType == "2") {
                jQueryMap.header.mult_stock.find("strong").text(data[0].finance_count);
            } else if(queryType == "3") {
                jQueryMap.header.single_stock.find("strong").text(data[0].stock_valid_count);
                jQueryMap.header.single_finance.find("strong").text(data[0].finance_valid_count);
            }
        });
    }

    function operStr(str) {
        if (str && str.length > 10) {
            var text = str.slice(0, 5) + "..." + str.slice(-5);
            return text;
        }
        if(!str) {
            return "-";
        }
        return str;
    }

    function destroy() {
        service.destroy();
        cleanPageElement();
    }


    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header": {
                "mktGoBack": $page.find("#mktGoBack"),
                "selectDate": $page.find("#selectDate"),
                "title": $page.find("#title"),
                "selectType": $page.find("#selectType"),
                "mult": $page.find("#mult"),
                "mult_stock": $page.find("#mult_stock"),
                "single": $page.find("#single"),
                "single_stock": $page.find("#single_stock"),
                // "operTime": $page.find("#operTime"),
                // "operator": $page.find("#operator"),
                "single_finance": $page.find("#single_finance")
            },
            "content": {
                "noData": $page.find("#noData"),
                "fixedTit": $page.find("#fixedTit"),
                "scrollData": $page.find("#scrollData"),
                "emptyData": $page.find("#emptyData"),
                "loadIcon"  : $page.find(".infinite-scroll-preloader")
            }
        };
    }

    function initPage() {
        //隐藏/显示系统底部TabBar
        myUtils.hideBtn();
    }

    function loadPage() {
        var pageParam = $.getPageParam();
        queryType = pageParam.channelQueryType || "1";
        dateType = pageParam.channelQueryDate || "1";
        if(queryType == "3") {
            dateType == "1" ? "2" : dateType;
            jQueryMap.header.selectDate.find("#1").hide();
            jQueryMap.header.selectDate.find("#"+dateType).addClass("current").siblings().removeClass("current");
            jQueryMap.header.title.text("新增有效户");
            // jQueryMap.header.operator.text("挖掘人员");
            // jQueryMap.header.operTime.text("转化时间");
            jQueryMap.header.mult.hide();
            jQueryMap.header.single.show();
        } else {
            jQueryMap.header.selectDate.find("#1").show();
            jQueryMap.header.selectDate.find("#"+dateType).addClass("current").siblings().removeClass("current");
            // jQueryMap.header.operTime.text("开户时间");
            // jQueryMap.header.operator.text("转化人员");
            var titleText = queryType == "1" ? "新开股票户" : "新开理财户";
            jQueryMap.header.mult_stock.find("p").text(titleText);
            jQueryMap.header.title.text(titleText);
            jQueryMap.header.mult.show();
            jQueryMap.header.single.hide();
        }
        getChannelInfo();
        getNewAddList();
    }

    // 重置页面元素
    function cleanPageElement() {
        jQueryMap.header.mult_stock.find("p").text("");
        jQueryMap.header.title.text("");
        // jQueryMap.header.operTime.text("");
        // jQueryMap.header.operator.text("");
        jQueryMap.header.mult_stock.find("strong").text("");
        jQueryMap.header.selectDate.find("li").removeClass("current");
        jQueryMap.header.single.find("li").removeClass("act");
        jQueryMap.content.fixedTit.html("");
        jQueryMap.content.scrollData.html("");
        jQueryMap.header.selectDate.find("#1").hide();
        jQueryMap.header.mult.hide();
        jQueryMap.header.single.hide();
        jQueryMap.content.noData.hide();
        jQueryMap.content.emptyData.hide();
        jQueryMap.content.loadIcon.hide();
        jQueryMap.content.fixedTit.show();
        jQueryMap.content.scrollData.show();
        validQueryType = "1";
        jQueryMap.header.single_stock.addClass("act");
    }


    module.exports = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "load": load
    };
});