define("financial/scripts/customer/views/commission.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#customer_views_commission");
    var _pageId = "#customer_views_commission "; // 页面ID
    var dateStrArray = [];
    var commissionArray = [];
    var tradingAmountArray = [];
    //走势图单位状态
	var stateTradeAmount ; 
	var stateCommission ;
    var scrollJudge = true;//判断是否到底可以滑动
    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "1";
    var dateType = "0";
    //month=yyyy-mm
    var month = "";
    var orderBy = "0";  
	var byType = "1";
    var page ="1";
    var paintState = "0";//走势图显示 0 显示是当前类型下的第一个图，1表示第二个
    //高度定位全局变量
    var dHeight =0;
	var aHeight =0;
	var oTop =0;
	var trHeight =0;
	var sTop =0;
	var width;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
    	initPage();
    }
    function load() {
        
    }

    function bindPageEvent() {    
    	
        $.bindEvent(jQueryMap.header.mktGoBack,function(){
        	cleanPageElement();
            $.pageBack();
        });

        //切换到有效户数
        $.bindEvent(jQueryMap.content.changeBtn, function () {
            var $this = $(this);
            if($this.html() == "切换到交易量"){
            	paintState = "1";
                $this.html("切换到净佣金");
                jQueryMap.content.commission.parent().addClass("hide").siblings().removeClass("hide");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"交易量走势");
                tradingAmountArray.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#commissionChart"),dateStrArray,tradingAmountArray,"line","交易量",(stateTradeAmount ? "万元" :"元"));
            }else{
            	paintState = "0";
                $this.html("切换到交易量");
                jQueryMap.content.tradeAmount.parent().addClass("hide").siblings().removeClass("hide");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"净佣金走势");
                commissionArray.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#commissionChart"),dateStrArray,commissionArray,"line","净佣金",(stateCommission ? "万元" :"元"));
            }
        });

        $.bindEvent(jQueryMap.header.histroy,function(){
            $.setSStorageInfo("prePage","commission");
            $.pageInit("customer/views/commission","customer/views/histroy");
        });


        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	dateType = "1";
                queryCustomer();
                dbPageCustList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            var $this = $(this);
            jQueryMap.content.changeBtn.html("切换到交易量");
            $this.addClass("current").siblings().removeClass("current");
            if( $this.attr("id") == "monthBox"){
                $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
                dateType = "1";
                queryCustomer();
                dbPageCustList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
            }else if($this.attr("id") == "yearBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
            	dateType = "2";
                queryCustomer();
                dbPageCustList();
            }else if($this.attr("id") == "dayBox"){
                $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
            	dateType = "0";
                queryCustomer();
                dbPageCustList();
            }
            //加载转圈
            myUtils.loadService($page);
        });

        // //弹框的日月年选择
        // $.preBindEvent(jQueryMap.content.selectDateIn, "li", function(){
        //     jQueryMap.content.changeBtn.html("切换到交易量");
        //     if($(this).attr("id") == "month"){
        //         $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
        //     	dateType = "1";
        //         queryCustomer();
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.dataArea);
        //     }else if($(this).attr("id") == "year"){
        //         $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
        //         jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
        //         dateType = "2";
        //         queryCustomer();
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        //     }else if($(this).attr("id") == "day"){
        //         $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
        //         jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
        //         dateType = "0";
        //         queryCustomer();
        //         dbPageCustList();
        //         myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        //     }
        // });

        // //选择弹框里面的月份
        // $.preBindEvent(jQueryMap.content.selectBox, "li", function(){
        //     $page.find("#monthWrap").addClass("sel_downtext").removeClass("sel_downgray");
        //     $(this).addClass("act").siblings().removeClass("act");
        //     month = $(this).attr("data-month");
        //     if($(this).attr("id")=="curMonth"){
        //         $page.find("#monthWrap").html("本月");
        //         $page.find("#month span").html("本月");
        //     }else{
        //         $page.find("#monthWrap").html(month.substr(5)+"/"+month.substr(0,4));
        //         $page.find("#month span").html(month.substr(5)+"/"+month.substr(0,4));
        //     }
        //     if(month.substr(5).length<2){
        //         month = month.substr(0,4)+"-0"+month.substr(5);
        //     }
        //     dateType = "1";
        //     queryCustomer();
        //     //dbPageCustList();
        //     myUtils.toggleLayerArea(jQueryMap.layerArea, "hide", jQueryMap.layerArea.dataArea);
        // });
        
        //升序降序
		$.preBindEvent($page,"dt th",function(){
			var $this=$(this);
			if(!$this.find("span").attr("data_order")){
				return false; 
			}
			if($this.hasClass("act")){
				orderBy=$this.find("span").attr("data_order");
				$this.find("em").each(function(index,domEle){
					if($(this).hasClass("act")){
						$(this).removeClass("act");						
					}else{
						$(this).addClass("act");
						byType=index;
					}
				});
			}else{
				orderBy=$this.find("span").attr("data_order");	
				$this.addClass("act");
				$this.siblings().removeClass("act");
				jQueryMap.content.custTop.find("em").removeClass("act");
				$this.find("em").each(function(index,domEle){					
                    if(index==1){
                    	$(this).addClass("act");
                    	byType=index;
                    }
				});	
			}
			cleanChangeElement();
            dbPageCustList();
		});
		
		 //点击客户列表跳转到客户详情
        $.preBindEvent(jQueryMap.content.custList, "tr", function(){
            var custId = $(this).attr("data-id");
            if(!custId){
            	return ;
            }
            $.setSStorageInfo("custId",custId);
            $.setSStorageInfo("customerType","2");
            $.pageInit("subject/count/custChannelDetail","customer/detail/customerDetail");

        });
		
	    //滚动加载更多与头部tab显隐问题事件
        $.bindEvent($page.find(".page_box"),function(){
//        	sTop = $(this).scrollTop();
//            //滚动的高度>客户列表的上边距-（header的高度=屏幕的高度-article的高度）+标签头的高度）
//			if(sTop>(oTop-(dHeight-aHeight)+trHeight)){
//				jQueryMap.header.hiddenList.show();
//			}else{
//				jQueryMap.header.hiddenList.hide();
//			}
        	
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                    	dbPageCustList();
                    },600);
                }
        	}  
        },"scroll");
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "histroy"   : $page.find("#histroy"),
                "hiddenList": $page.find("#hiddenList")
            },
            "content": {
                //图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "commissionChart" : $page.find("#commissionChart"),
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                "changeText": $page.find("#changeText"),
                //文字滑动搜索
                "allAssets"    : $page.find("#allAssets"),
                "addAssets"    : $page.find("#addAssets"),
                "tradeAmount"  : $page.find("#tradeAmount"),
                "commission"   : $page.find("#commission"),
                "addCust"	   : $page.find("#addCust"),
                "allCust"      : $page.find("#allCust"),

                "totalAssetChart"  : $page.find("#totalAssetChart"),

                "totalAssets": $page.find("#totalAssets"),
            	"addAssets"		   : $page.find("#addAssets"),
            	"custList"     : $page.find("#custList"),
            	//"totalAsset"   : $page.find(".fc_red")
            	"custTop"      : $page.find(".custTop"),
            	//上拉加载更多
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData")
            },
            "footer":{
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function initPage() {
    	width = parseFloat($(_pageId+".page_box").width());
        $(_pageId+"#commissionChart").css("width",width);
        if($.getSStorageInfo("_prePageCode")!="customer/views/histroy" && $.getSStorageInfo("_prePageCode")!="customer/detail/customerDetail"){
            myUtils.showLayer($page);
            //显示遮罩层
            myUtils.hideBtn();
            dateType = $.getPageParam("dateType") || "0";
            if(dateType == "0") {
                jQueryMap.content.selectDate.find("#dayBox").addClass("current");
            } else if(dateType == "1") {
                jQueryMap.content.selectDate.find("#monthBox").addClass("current");
            } else if(dateType == "2") {
                jQueryMap.content.selectDate.find("#yearBox").addClass("current");
            }
            queryCustomer();
            dbPageCustList();
           /* //动态生成弹层框里面最近三个月的li
            insertMonth();*/
        }

    }

    function queryCustomer(){
    	cleanChangeElement();
        dateType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param={
    		"staffId"    : model.dataStore.staffId,
            "dateType"   : dateType, //0：按天，1：按月，2：按年
            "actionType" : actionType,  //1：佣金统计查询
            "month"	     : month,        //按月份查询（yyyy-MM）
            "orderBy"    : orderBy,
			"byType"     : byType ,
			"dataKind"   : "0"    //查询数据类型  0、走势图  1、人员信息列表
        };
        service.queryAssetInfo(param,function(result){
        	//总数居填充
        	var contact = [{"id":"commission",  "text":"净佣金","wtext":"净佣金(万元)"},
        	               {"id":"tradeAmount", "text":"交易量","wtext":"交易量(万元)"}];
            $.each(contact,function(index,iDom){
            	var num = myUtils.changeMoney(parseFloat(result.commission[0][iDom.id])).num;
            	var state = myUtils.changeMoney(parseFloat(result.commission[0][iDom.id])).state;
            	jQueryMap.content[iDom.id].html(num);
            	state ? jQueryMap.content[iDom.id].parent().find("p").html(iDom.wtext) : jQueryMap.content[iDom.id].parent().find("p").html(iDom.text);
            });
            //走势图画图
            dateStrArray = [];
            commissionArray = [];
            tradingAmountArray = [];
            if(paintState == "0"){
            	jQueryMap.content.changeBtn.html("切换到交易量");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"净佣金走势");
            }else{
            	jQueryMap.content.changeBtn.html("切换到净佣金");
                jQueryMap.content.changeText.html((dateType == 1 ? '本月' : dateType == 2 ? '本年' : "")+"交易量走势");
            }
            if(dateType != "0" && result.commissionList.length>0){
                jQueryMap.content.commissionChart.html("");
                //显示走势图
                var maxTradeAmount = 0;
    			var maxCommission = 0;
    			for (var i = 0, len = result.commissionList.length; i < len; i++) {
    				maxTradeAmount = parseFloat(result.commissionList[i].tradeAmount) > maxTradeAmount ? parseFloat(result.commissionList[i].tradeAmount) : maxTradeAmount ;	
    				maxCommission = parseFloat(result.commissionList[i].commission) > maxCommission ? parseFloat(result.commissionList[i].commission) : maxCommission ;		
    			}
    			stateTradeAmount = myUtils.changeMoney(parseFloat(maxTradeAmount)).state; 
    			stateCommission = myUtils.changeMoney(parseFloat(maxCommission)).state; 
            	for (var i = 0, len = result.commissionList.length; i < len; i++) {
                	//.substring(5) 只取yyyy-MM-dd格式出参的MM-dd部分 dateStrArray[i] = assetsList[i].dateTime;
                    dateType == 2 ? dateStrArray[i] = result.commissionList[i].dateTime : dateStrArray[i] = result.commissionList[i].dateTime.substring(5);              
                    if(stateTradeAmount){
                    	tradingAmountArray[i] = parseFloat(result.commissionList[i].tradeAmount)/10000;
    	        	}else{
    	        		tradingAmountArray[i] = parseInt(result.commissionList[i].tradeAmount);   //交易量
    	        	} 
    	        	if(stateCommission){
    	        		commissionArray[i] = parseFloat(result.commissionList[i].commission)/10000; 
    	        	}else{
    	        		commissionArray[i] = parseInt(result.commissionList[i].commission);    //净佣金
    	        	} 
                }
            	$(_pageId+"#commissionChart").css("width",width);
                myUtils.echartPaint($(_pageId+"#commissionChart"),dateStrArray,(paintState == "0" ? commissionArray : tradingAmountArray),"line",
                		 (paintState == "0" ? "净佣金" : "交易量"),(paintState == "0" ? (stateCommission ? "万元" :"元") : (stateTradeAmount ? "万元" :"元")));
            }
            else if(dateType != "0"){
            	jQueryMap.content.commissionChart.html("");
                jQueryMap.content.commissionChart.html("暂无数据");
                jQueryMap.content.commissionChart.css({"text-align":"center","line-height":"160px"});
            }

            //去掉加载转圈
            myUtils.hideLoadService($page);
        });
        //顶部tab显示高度定位
        dHeight = parseInt(document.body.clientHeight);
        aHeight = parseInt($("#customer_views_commission article").height());
        oTop = parseInt($("#customer_views_commission #offsetHeight").offset().top);
        trHeight=$("#customer_views_commission #offsetHeight dt").height();
    }
    
    //分页查询数据，上拉加载
    function dbPageCustList(){
        dateType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
          var param={
                  "staffId"    : model.dataStore.staffId,
                  "dateType"   : dateType, //0：按天，1：按月，2：按年
                  "actionType" : actionType,  //0：资产统计查询
                  "month"	   : month,        //按月份查询（yyyy-MM）
                  "page"       : page,    //pageSlide.getCurPage(), // 必须使用pageSlide组件获取当前是第几页
                  "pageSize"   : "20"  ,    //每页大小
                  "orderBy"    : orderBy,
   	   		      "byType"     : byType,
   	   		      "dataKind"   : "1"              //查询数据类型  0、走势图  1、人员信息列表
              };
          service.queryAssetInfo(param,function (results) {
        	   //获取总页数
         	   totalPages = results[0].totalPages;
 		  	   if(page == totalPages && page !=1){
 		  		   jQueryMap.content.emptyData.show();
 		  	   }else{
 		  		   jQueryMap.content.emptyData.hide();
 		  	   }
 	           if (page == "1") {
 	               $(_pageId+"#custList").html("");
 	           }
          	   if(results[0].data.length > 0){
          		   jQueryMap.content.custList.parent().find("div").hide();
                   showCustList(results[0].data);
          	   }else{      		 
          		   jQueryMap.content.custList.html("");
             	   jQueryMap.content.custList.parent().find("div").show();  
          	   }
              //加载转圈
              myUtils.hideLoadService($page);
              ////遮罩层去掉
              myUtils.hideLayer($page);
            });
           //顶部tab显示高度定位
           dHeight = parseInt(document.body.clientHeight);
  		   aHeight = parseInt($("#customer_views_commission article").height());
  		   oTop = parseInt($("#customer_views_commission #offsetHeight").offset().top);
  		   trHeight=$("#customer_views_commission #offsetHeight dt").height();


      }

    //数据填充
    function showCustList(list){
        var html = "";
        for(var i=0; i<list.length;i++){
            html +=" <tr data-id='"+list[i].custId+"'><td style='width:20%;'>" + list[i].name + "</td><td style='width:30%;'>" + list[i].commission + "</tdtotalAssets><td>" + myUtils.changeUtil(list[i].tradeAmount) + "</tdzhacha><td><span>" + list[i].commissionRate + "</span></td>";
        }
        $(_pageId + "#custList").append(html);
        jQueryMap.content.loadIcon.hide();
        scrollJudge =true;        
    }

  
    function destroy() {
    	cleanChangeElement();
        service.destroy();      
    }
    
    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }
    
    // 重置页面元素
    function cleanPageElement() {
        //显示在遮罩层
        myUtils.showLayer($page);
        dateType = "0";
        actionType = "1";
        month = "";
        orderBy = "0";  
    	byType = "1";
    	paintState = "0"; 
    	jQueryMap.content.emptyData.hide();
    	jQueryMap.content.custList.html("");
    	jQueryMap.content.loadIcon.hide();
        jQueryMap.content.showMonYear.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        // jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("li").removeClass("current");
        // jQueryMap.content.selectDateIn.find("#month").addClass("current").siblings().removeClass("current");
        // jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
        jQueryMap.content.custTop.find("em").removeClass("act");
        $("#customer_views_commission #showList").find("th").removeClass("act");
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
        //$("#customer_views_commission #showList").find("th").each(function(index,domEle){
    		//var $this=$(this);
        	//if($this.find("span").attr("data_order")==orderBy){
        	//	$this.addClass("act").siblings().removeClass("act");
        	//	$this.find("em").each(function(index,domEle){
		//			if(index == byType){
		//				$(this).addClass("act").siblings().removeClass("act");
		//			}
		//		});
        	//}
		//});
        //jQueryMap.header.hiddenList.find("th").each(function(index,domEle){
        	//var $this=$(this);
        	//if($this.find("span").attr("data_order")==orderBy){
        	//	$this.addClass("act").siblings().removeClass("act");
        	//	$this.find("em").each(function(index,domEle){
		//			if(index == byType){
		//				$(this).addClass("act").siblings().removeClass("act");
		//			}
		//		});
        	//}
		//});
    }

    //切换重置元素
    function cleanChangeElement(){  
    	page = "1";
        dHeight =0;
    	aHeight =0;
    	oTop =0;
    	trHeight =0;
    	sTop =0;
    	$("#customer_views_commission .page_box")[0].scrollTop = 0;
    	jQueryMap.header.hiddenList.hide();
        jQueryMap.content.tradeAmount.parent().addClass("hide").siblings().removeClass("hide");
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
