define("financial/scripts/me/myData/editChannel.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require('pickerCity');
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var channelId;
    var $page = $("#me_myData_editChannel");
    var _pageId = "#me_myData_editChannel";
    //省市区的数据json
    var provice = new Map();
    var city = new Map();
    var area = new Map();
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //$page.find(".edit_canal").hide();
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    // 只能修改地点和渠道简介两个
    // 激活要传激活的操作类型

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            if (jQueryMap.header.editChannel.text() != "编辑") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.tipChanel);
            }else{
                $.pageBack();
            }
        });


        $.bindEvent(jQueryMap.footer.cancel, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            $.pageBack();
        });

        $.bindEvent(jQueryMap.footer.delCancel, function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 编辑渠道
        $.bindEvent(jQueryMap.header.editChannel, function () {
            var flag = $(this).text() === "编辑";
            if(flag){
                $page.find(".add_item").parent().show();
            }else{
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.delTipChanel);
            }
            // flag : true 可输入  false 只读
            setElementState(flag);
        });

        //弹框确认删除渠道
        $.bindEvent(jQueryMap.footer.delBtn, function () {
            //删除渠道
            modifyChannel({},"4", function () {
                $.pageBack();
            });
        });

        //点击添加联系人
        $.bindEvent($page.find(".add_item"), function () {
            if( jQueryMap.footer.contactWrap.find(".contactInfo").length < "1"){
                var htmlStr = '<div class="fm_field contactInfo"><h3 class="blk_tit">渠道联系人信息（非必填）</h3><div class="fm_item text"><span>联系人姓名</span><input type="text" class="fm_txt channelLeading" value="" placeholder="请输入姓名" maxlength="10"/></div><div class="fm_item text"><span>职务</span><input type="text" class="fm_txt channelLevel" value="" placeholder="请输入职务" maxlength="10"/></div><div class="fm_item text"><span>联系电话</span><input type="text" class="fm_txt channelPhone" placeholder="请输入" value=""  maxlength="11"/></div></div>';
                //
                jQueryMap.footer.contactWrap.html(htmlStr);
            }else{
                var htmlStr = '<div class="fm_field contactInfo"><h3 class="blk_tit deleteMan">其他联系人（点击文字可删除）</h3><div class="fm_item text"><span>联系人姓名</span><input type="text" class="fm_txt channelLeading" value="" placeholder="请输入姓名" maxlength="10"/></div><div class="fm_item text"><span>职务</span><input type="text" class="fm_txt channelLevel" value="" placeholder="请输入职务" maxlength="10"/></div><div class="fm_item text"><span>联系电话</span><input type="text" class="fm_txt channelPhone" placeholder="请输入" value=""  maxlength="11"/></div></div>';
                //
                jQueryMap.footer.contactWrap.append(htmlStr);
            }
        });

        $.preBindEvent(jQueryMap.footer.contactWrap, "h3.deleteMan", function () {
            $(this).parent().remove();
        });


        ////点击添加联系人
        //$.bindEvent($page.find(".add_item"), function () {
        //    var htmlStr = $page.find(".contactMan").prop("outerHTML");
        //    $(this).parent().before(htmlStr);
        //    $page.find(".contactMan:not(:first) h3").html("其他联系人（点击文字可删除）");
        //    $.bindEvent($page.find(".contactMan:not(:first) h3"), function () {
        //        $(this).parent().remove();
        //    });
        //});


        // 显示渠道类型弹出层
        $.bindEvent(jQueryMap.content.classifyType, function () {
            if (jQueryMap.header.editChannel.text() !== "编辑") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.channelTypeArea);
            }
        });

        // 选择渠道类型
        $.preBindEvent(jQueryMap.layerArea.channelTypeArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("active").siblings(".active").removeClass("active");
            // 0:线上，1:线下
            // 线上时就不用地点
            var channelType = $this.attr("data-channelType");
            //省市区
            jQueryMap.content.addr.parent()[channelType === "0" ? "hide" : "show"]();
            //地点
            jQueryMap.content.channelAddr.parent()[channelType === "0" ? "hide" : "show"]();
            jQueryMap.content.classifyType.find("strong")
                .html($this.find("span").text())
                .attr("data-channelType", channelType);
            //线上线下查询相应的渠道
            showClassify( channelType === "0" ? "0" : "1" );
            jQueryMap.content.classifyName.find("strong").attr("data-classifyId","").html("请选择");
            // 隐藏弹出层
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 显示渠道状态弹出层
        $.bindEvent(jQueryMap.content.activeFlag, function () {
            if (jQueryMap.header.editChannel.text() !== "编辑") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.channelStateArea);
            }
        });

        // 选择渠道状态
        $.preBindEvent(jQueryMap.layerArea.channelStateArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("active").siblings(".active").removeClass("active");
            // 0:未激活(关闭)，1:激活
            var channelState = $this.attr("data-channelState");
            jQueryMap.content.activeFlag.find("strong")
                .html($this.find("span").text())
                .attr("data-channelState", channelState);
            // 隐藏弹出层
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 显示渠道分类弹出层
        $.bindEvent(jQueryMap.content.classifyName, function () {
            if (jQueryMap.header.editChannel.text() !== "编辑") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "show", jQueryMap.layerArea.classifyArea);
            }
        });

        // 选择渠道分类
        $.preBindEvent(jQueryMap.layerArea.classifyArea.find("ul"), "li", function () {
            var $this = $(this);
            $this.addClass("active").siblings(".active").removeClass("active");
            // 0:未激活(关闭)，1:激活
            var classifyId = $this.attr("data-classifyId");
            jQueryMap.content.classifyName.addClass("act")
                .find("strong").attr("data-classifyId", classifyId).html($this.find("span").text());

            // 隐藏弹出层
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 隐藏弹出层
        $.bindEvent($page.find(".layer_wrap2"), function (e) {
            if (e.target.className === "layer_wrap2") {
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        // 取消按钮
        $.bindEvent($page.find(".layer_wrap2 a.right"), function () {
            myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        });

        // 保存
        $.bindEvent(jQueryMap.footer.saveBtn, function () {
            saveMessage();
        });
        // 保存
        $.bindEvent(jQueryMap.footer.saveBtnSoon, function () {
            saveMessage();
        });
    }

    function destroy() {
        myUtils.showLayer($page);
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack"       : $page.find("#mktGoBack"),
                "editChannel": $page.find("#edit_channel"),
                "title"      : $page.find("#title")
            },
            "content"  : {
                "channelName"    : $page.find("#channelName"),
                "channelExplain" : $page.find("#channelExplain"),
                "channelAddr"    : $page.find("#channelAddr"),
                "channelProperty": $page.find("#channelProperty"),
                "classifyType"    : $page.find("#classifyType"),
                "activeFlag"   : $page.find("#activeFlag"),
                "classifyName"  : $page.find("#classifyName"),
                "addr"   : $page.find("#addr"),
                "contactInsert"  : $page.find("#contactInsert")

            },
            "footer"   : {
                "contactWrap"  : $page.find("#contactWrap"),
                "addContact"   : $page.find("#addContact"),
                "classifyList" : $page.find("#classifyList"),
                "saveBtn"      : $page.find("#save_btn"),
                "saveBtnSoon"  : $page.find("#save_btn_soon"),
                "cancel"       : $page.find("#cancel"),
                "delCancel"    : $page.find("#delCancel"),
                "delBtn"       : $page.find("#delBtn")
            },
            "layerArea": {
                "channelTypeArea" : $page.find("#channelTypeArea"),
                "channelStateArea": $page.find("#channelStateArea"),
                "classifyArea"    : $page.find("#classifyArea"),
                "tipChanel"       : $page.find("#tipChanel"),
                "delTipChanel"    : $page.find("#delTipChanel")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        $(_pageId+" #addr").attr("disabled","disabled");
        //resetChannelInfo();
        channelId = $.getPageParam("channelId");

        $.getPageParam("isPub") == "1" ?  jQueryMap.header.editChannel.hide() : jQueryMap.header.editChannel.show();

        //展示分类的列表
        showClassify("");

        // 获取渠道详情
        getChannelInfo(channelId);

    }

    // 获取渠道详情
    function getChannelInfo(channelId) {
        service.manChannel({
            "staffId"  : model.dataStore.staffId,
            "channelId": channelId,
            "handleType" : "5"
        }, function (results) {
            var channelObj = results.info[0];

            //channelObj.isPub === "1" ? jQueryMap.header.editChannel.hide() : jQueryMap.header.editChannel.show();

            // 0:线上，1:线下
            // 线上时就不用地点,地区
            jQueryMap.content.channelAddr.parent()[channelObj.classifyType === "0" ? "hide" : "show"]();
            jQueryMap.content.addr.parent()[channelObj.classifyType === "0" ? "hide" : "show"]();
            //addr: "华中地区 湖南省 怀化市"

            jQueryMap.content.classifyType.find("strong").html(channelObj.classifyTypeName).attr("data-channeltype", channelObj.classifyType);
            jQueryMap.content.classifyName.find("strong").html(channelObj.classifyName).attr("data-classifyid", channelObj.classifyId);
            jQueryMap.content.activeFlag.find("strong").html(channelObj.activeFlagName).attr("data-channelstate", channelObj.activeFlag);

            //classifyId :"5f75255293874ce6987dba48ff4e8387"
            //classifyName: "其他"
            //classifyType : "1"
            //classifyTypeName :"线下"
            //activeFlag:"1"
            // activeFlagName :"激活"
            $.each(channelObj, function (key, value) {
                if (key == "channelName" || key == "channelExplain" || key == "channelAddr"|| key == "addr") {
                    $page.find("#" + key).val(value);
                        // 保存初始值
                        //.attr("data-initValue", value);
                }

                //if (key == "classifyType" || key == "classifyName" || key == "activeFlag" ) {
                //    $page.find("#" + key).find("strong").html(value)
                //        // 保存初始值
                //        .attr("data-initValue", value);
                //}

            });
            //填充联系人
            var contactObj = results.list;
            var html="";
            $.each(contactObj, function (key, value) {
                html += '<div class="fm_field contactInfo"><h3 class="blk_tit">渠道联系人信息（非必填）</h3><div class="fm_item text"><span>联系人姓名</span><input type="text" class="fm_txt channelLeading" value="'+value.channelLeading+'" placeholder="请输入姓名" maxlength="10"/></div><div class="fm_item text"><span>职务</span><input type="text" class="fm_txt channelLevel" value="'+value.channelLevel+'" placeholder="请输入职务"  maxlength="10"/></div><div class="fm_item text"><span>联系电话</span><input type="text" class="fm_txt channelPhone" placeholder="请输入" value="'+value.channelPhone+'" maxlength="11" /></div></div>';
                //
            });
            jQueryMap.footer.contactWrap.html(html);
            // 默认只读
            setElementState(false);

            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    function saveMessage(){
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        var paramMap;
        if (paramMap = validateParam()) {
            // 0：增加  1：关闭  2：激活 3：修改
            modifyChannel(paramMap,"3", function () {
                // 修改默认值
                $.each(jQueryMap.content, function (key, item) {
                    var initValue;
                    if (key !== "channelProperty") {
                        if (key === "classifyType") {
                            initValue = item.attr("data-channelType");
                        } else if (key === "channelState") {
                            initValue = item.attr("data-channelState");
                        } else {
                            initValue = item.val().trim();
                        }
                        item.attr("data-initValue", initValue);
                    }
                });

                // 恢复只读
                setElementState(false);
            });
        }
    }
    // 验证参数
    function validateParam() {
        var channelName = jQueryMap.content.channelName.val();
        var channelExplain = jQueryMap.content.channelExplain.val();
        var channelAddr = jQueryMap.content.channelAddr.val();
        var classifyName = jQueryMap.content.classifyName.find("strong").attr("data-classifyid");
        var activeFlag = jQueryMap.content.activeFlag.find("strong").attr("data-channelstate");

        var classifyType = jQueryMap.content.classifyType.find("strong").attr("data-channelType");

        //省市区的处理
        var addr = jQueryMap.content.addr.val();
        var arr= addr.split(" ");
        var seleProvice = provice.get(arr[0]);
        var seleCity =  city.get(arr[1]);
        var xzqyId =  area.get(arr[2]);

        if (!channelName) {
            $.toast("请输入渠道名称！");
            return false;
        }
        if (!channelExplain) {
            $.toast("请输入渠道简介！");
            return false;
        }

        if (!classifyType) {
            $.toast("请选择渠道类型！");
            return false;
        }

        if (!classifyName) {
            $.toast("请选择渠道分类！");
            return false;
        }
        if (!activeFlag) {
            $.toast("请选择渠道状态！");
            return false;
        }
        // 0:线上，1:线下
        // 线上时就不用地点
        if (!addr && classifyType === "1") {
            $.toast("请选择省市区！");
            return false;
        }
        // 0:线上，1:线下
        // 线上时就不用地点
        if (!channelAddr && classifyType === "1") {
            $.toast("请输入渠道地点！");
            return false;
        }

        //联系人
        //联系人json格式[{channelLeading:张三,channelLevel:客户经理,channelPhone:18670347301,isMain:1}] (isMain:0非主要，1主要)
        var contactJson = new Array();

        var flag = true;
        $.each(jQueryMap.footer.contactWrap.find(".contactInfo"),function(index,item){

            var $this = $(this);
            var conJson = {};
            var channelLeading = $this.find(".channelLeading").val();
            var channelLevel = $this.find(".channelLevel").val();
            var channelPhone = $this.find(".channelPhone").val();

            if( channelPhone && !validatorUtils.isMobile( channelPhone) ){
                flag = false;
                $.toast("请输入正确的手机号码");
                return false;
            }
            if(channelLeading || channelLevel || channelPhone){
                conJson["channelLeading"] = channelLeading;
                conJson["channelLevel"] = channelLevel;
                conJson["channelPhone"] = channelPhone ;
                conJson["isMain"] = index == 0 ? "1" : "0";

                contactJson.push(conJson);
            }
        });
        if(!flag){
            return false;
        }

        // 对参数进行安全校验、防止xss攻击
        var checkFlag = myUtils.checkParam([
            {"param": channelName, "paramName": "渠道名称"},
            {"param": channelExplain, "paramName": "渠道简介"},
            {"param": channelAddr, "paramName": "渠道地点"}
        ]);
        if (!checkFlag) return false;

        return {
            "channelName"   : channelName,
            "channelExplain": channelExplain,
            "channelAddr"   : classifyType === "1" ? channelAddr : "",
            "classifyType"  : classifyType,
            "activeFlag"    : activeFlag,
            "classifyId"    : classifyName,

            "provinceId"    : classifyType === "1" ? seleProvice : "",
            "cityId"        : classifyType === "1" ? seleCity : "",
            "xzqyId"        : classifyType === "1" ? xzqyId : "",
            "principalJson" : JSON.stringify(contactJson)
        };
    }

    // 修改渠道
    function modifyChannel(paramMap,handleType, callback) {
        paramMap.handleType =handleType;   // 0：增加  1：关闭  2：激活 3：修改 4:删除
        paramMap.staffId = model.dataStore.staffId;
        paramMap.channelId = channelId;
        service.manChannel(paramMap, function () {
            if (callback) callback();
        })
    }

    // 设置输入元素的状态
    // flag : true 可输入  false 只读
    function setElementState(flag) {
        jQueryMap.footer.addContact.hide();
        $.each(jQueryMap.content, function (key, $dom) {
            if (key !== "classifyType" && key !== "classifyName" && key !== "activeFlag" && key !== "contactInsert") {
                if (flag) {
                    $dom.removeAttr("readonly");
                    jQueryMap.content.contactInsert.find(".contactInfo input").removeAttr("readonly");
                } else {
                    $dom.attr("readonly", "readonly");
                    jQueryMap.content.contactInsert.find(".contactInfo input").attr("readonly", "readonly");
                }
            }
        });

        var paramArr = flag ?
            ["编辑渠道", "删除", "show", queryAddrAll()] :
            ["渠道详情", "编辑", "hide"];
        jQueryMap.footer.addContact[paramArr[2]]();
        jQueryMap.header.title.text(paramArr[0]);
        jQueryMap.header.editChannel.text(paramArr[1]);
        jQueryMap.footer.saveBtn[paramArr[2]]();

        if(flag){
            $(_pageId+" #addr").attr("disabled",null);
        }else{
            $(_pageId+" #addr").attr("disabled","disabled");
        }

    }

    // 重置信息
    //function resetChannelInfo() {
    //    $.each(jQueryMap.content, function (key, item) {
    //        //if (key !== "channelProperty") {
    //        var initValue = item.find("strong").attr("data-initValue");
    //        if (key === "classifyType") {
    //            jQueryMap.content.classifyType.find("strong").attr("data-channelType", initValue);
    //            //initValue = channelTyepMap[initValue];
    //        }
    //        if (key === "channelState") {
    //            jQueryMap.content.activeFlag.find("strong").attr("data-channelState", initValue);
    //            //initValue = channelStateMap[initValue];
    //        }
    //        if(key === "classifyName"){
    //            jQueryMap.content.classifyName.find("strong").attr("data-classifyid", initValue);
    //        }
    //        item.val(initValue);
    //        //}
    //    });
    //}

    function showClassify(classifyType){
        service.queryClassify({
            classifyType : classifyType
        },function(result){
            if(result.length>0){
                var htmlStr="";
                for(var i=0; i<result.length;i++){
                    htmlStr+='<li data-classifyId="'+result[i].classifyId+'"><span>'+result[i].classifyName+'</span></li>';
                }
                jQueryMap.footer.classifyList.html(htmlStr);
            }else{
                jQueryMap.footer.classifyList.html("");
            }
        });
    }

    function queryAddrAll() {
        $(_pageId+" #addr").attr("disabled",null);
        service.queryAddrAll({}, function (result) {
            $.smConfig.rawCitiesData =eval(result[0].jsonStr);
            //处理数据，将省的数据，市的数据，区的数据分别存json
            dealData( eval(result[0].jsonStr) );
            $(_pageId+" #addr").cityPicker({
                toolbarTemplate: '<header class="bar bar-nav">\
        <button class="button button-link pull-right close-picker">确定</button>\
        <h1 class="title">请选择地区</h1>\
        </header>'
            });
        });
    }

    //将省市区的json分别存起来
    function dealData(jsonData){
        for(var i=0;i<jsonData.length;i++){
            provice.set(jsonData[i].name,jsonData[i].id);
            for(var j=0;j<jsonData[i].sub.length;j++){
                city.set(jsonData[i].sub[j].name,jsonData[i].sub[j].id);
                for(var z=0;z<jsonData[i].sub[j].sub.length;z++){
                    area.set(jsonData[i].sub[j].sub[z].name,jsonData[i].sub[j].sub[z].id);
                }
            }
        }
    }

    function Map(){
        this.elements = new Array();
        //向MAP中增加元素（key, value)
        this.set = function(_key, _value) {
            this.elements.push( {
                key : _key,
                value : _value
            });
        };
        //获取指定KEY的元素值VALUE，失败返回NULL
        this.get = function(_key) {
            try {
                for (i = 0; i < this.elements.length; i++) {
                    if (this.elements[i].key == _key) {
                        return this.elements[i].value;
                    }
                }
            } catch (e) {
                return null;
            }
        };
    }
    function cleanPageElement(){   	
    	jQueryMap.header.editChannel.hide();
        jQueryMap.content.contactInsert.find(".contactInfo").remove();
        jQueryMap.footer.addContact.hide();
        jQueryMap.footer.contactWrap.html("");
        jQueryMap.content.channelAddr.parent().hide();
        jQueryMap.content.addr.parent().hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.footer.saveBtn.hide();
        jQueryMap.header.title.text("渠道详情");
        jQueryMap.header.editChannel.text("编辑");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
