define("financial/scripts/me/myData/functionIntroduction.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require('pickerCity');
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_functionIntroduction");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
    	initPage();
    }
    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack();
        });  
    }
    function destroy() {
        service.destroy();
    }
    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
        		"header" : {
                    "mktGoBack": $page.find("#mktGoBack")
                },
                "content": {
                    "content" : $page.find("#content")
                }
        };
    }

    function initPage() {
    	myUtils.hideBtn();
        service.queryAbout(null, function (result) {
                var content = result[0].content;   
               jQueryMap.content.content.html(content);
        });
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
