define("financial/scripts/me/myData/myChannelCheFail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_myChannelCheFail");

    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    	
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"     : $page.find("#mktGoBack")
            },
            "content":{
                "remarkFail"   : $page.find("#remarkFail")
            }
        };
    }

    function initPage() {
        service.manChannel({
            "staffId"    : model.dataStore.staffId,
            "channelId"  : $.getPageParam("channelId"),
            "handleType" : "5"
        }, function (results) {
            var remark = results.info[0].remark;
            jQueryMap.content.remarkFail.html(remark);
        });
    }


    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
