define("financial/scripts/me/myData/roleManage.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#me_myData_roleManage");
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
        //myUtils.addLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        $.preBindEvent(jQueryMap.content.roleList, "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
            var postNo = $(this).attr("data-postNo");
            var postType = $(this).attr("data-postType");
            $.setSStorageInfo("postNo",postNo);
            $.setLStorageInfo("postNo",postNo);
            $.setSStorageInfo("postType",postType);
            $.setLStorageInfo("postType",postType);
            if( postNo == "wealthManager" || postNo == "customerManager" ||  postNo == "investAdviser" ||  postNo == "others" || postNo == "channelManager" || postNo == "effectiveCommissioner"){
                //1是员工角色
                $.setSStorageInfo("role","1");
            }else if( postNo == "branchManager" ||  postNo == "mktManager" || postNo == "areaManager" ||  postNo == "ivtManager"){
                //2是管理员角色
                $.setSStorageInfo("role","0");
            }
        });

        //点击确认以后跳转到首页
        $.bindEvent(jQueryMap.content.okSure, function () {
            var role = $.getSStorageInfo("role");
            if(role=="0"){
                $.pageInit("me/myData/roleManage","me/adminIndex");
            }else{
                $.pageInit("me/myData/roleManage","me/myIndex");
            }


        });
    }

    function destroy() {
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack": $page.find("#mktGoBack")
            },
            "content": {
                "roleList"      : $page.find("#roleList"),
                "okSure"     : $page.find("#okSure")
            }
        };
    }

    function initPage() {
    	myUtils.hideBtn();
        service.staffRoleInfo({
                   "actionType" : "1",
                   "userId"     : $.getSStorageInfo("userId")
               }, function (result) {
                   if(result.length>0){
                       var html="";
                       for(var i=0;i<result.length;i++){
                           html+='<li data-postType="'+result[i].orderType+'" data-postNo="'+result[i].postNo+'" class="'+(result[i].postNo == $.getSStorageInfo("postNo") ? "act" : "") +'">'+result[i].postName+'</li>';
                       }
               jQueryMap.content.roleList.html(html);
               //遮罩层去掉
               //myUtils.cancelLayer($page);
           }
        });
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
