define("financial/scripts/me/store/chooseProducts.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var model = window.privateSpaceMKT.model;
    var global = $.config.global;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var pageParam;
    var $page = $("#me_store_chooseProducts");  
    var _pageId = "#me_store_chooseProducts ";
    var groupType = "1";
    var subjectType = "all";
    var productArrar = [];
    var productIdArrar = []; 
    var checkIdsArr = [];
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	// 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
        	cleanPageElement();
            $.pageBack();
        });

		//搜索键
		$.bindEvent(jQueryMap.header.search, function () {
			$.setSStorageInfo("productIdArrar",productIdArrar);
			$.setSStorageInfo("checkIdsArr",checkIdsArr);
			$.pageInit("me/store/chooseProducts","me/store/searchChooseProducts",{"groupType":groupType,"channelId":$.getPageParam("channelId")});
		});

        // 筛选
        $.bindEvent(jQueryMap.header.filter, function () {
        	if(groupType == "expert"){
        		$("#me_store_chooseProducts #selectSub").hide();
        		$("#me_store_chooseProducts #selectExp").show();	
        	}else{
        		$("#me_store_chooseProducts #selectExp").hide();
        		$("#me_store_chooseProducts #selectSub").show();
        	}
        	jQueryMap.dialog.dialog.show();
        	jQueryMap.dialog.dialogBg.show();
        });
        
        // 隐藏筛选框
        $.bindEvent(jQueryMap.dialog.dialogBg, function () {
        	jQueryMap.dialog.dialog.hide();
        	jQueryMap.dialog.dialogBg.hide();
        });
        
        // 筛选 -- 完成
        $.bindEvent(jQueryMap.dialog.finish, function () {
        	$("#me_store_chooseProducts .page_box")[0].scrollTop = 0;
        	if(groupType == "expert"){
        		var show1 = $page.find("#is_show1 ul").children(".act");
            	var expTags = $page.find("#expTags ul").children(".act");
            	var showList1 = $page.find(".expert_item");
            	for(var i=0;i<showList1.length;i++){
            		var flag = true;
            		if(show1.length > 0){
                		flag = (showList1.eq(i).attr("data-show") == show1.attr("data-type"));
                	}
            		if(flag && expTags.length > 0){
            			for(var j=0;j<expTags.length;j++){
            				var tagArray = [];
            				tagArray = showList1.eq(i).attr("data-tag").split(","); 
            				flag = ($.inArray(expTags.eq(j).find("span").html(),tagArray) > -1 ? true : false);
            				if(!flag) break;
            			}
                	}
            		if(flag){
            			showList1.eq(i).show();
            		}else{
            			showList1.eq(i).hide();
            		}
            	}
            	var num = 0;
            	jQueryMap.content.expertList.children().each(function(index,domEle){				
                    if($(this).css("display")=="block"){
                    	num++;
                    }
        		});	
            	if(num > 0){
            		$page.find("#expertList").show();
    				$page.find("#noAllExp").hide();
            	}else{
            		$page.find("#expertList").hide();
    				$page.find("#noAllExp").show();
            	}
        	}else{
        		var show = $page.find("#is_show ul").children(".act");
            	var hot = $page.find("#is_hot ul").children(".act");
            	var grounp = $page.find("#is_grounp ul").children(".act");
            	var showList = $page.find(".rcd_cblk");
            	for(var i=0;i<showList.length;i++){
            		var flag = true;
            		if(show.length > 0){
                		flag = (showList.eq(i).attr("data-show") == show.attr("data-type"));
                	}
            		if( flag && hot.length > 0){
            			flag = (showList.eq(i).attr("data-hot") == hot.attr("data-type"));
                	}
            		if( flag && grounp.length > 0){
            			if(grounp.attr("data-type")!="0"){
            				flag = (showList.eq(i).attr("data-grounp") == grounp.attr("data-type"));
            			}
                	}       		
            		if(flag){
            			showList.eq(i).show();
            		}else{
            			showList.eq(i).hide();
            		}
            	}
            	var num = 0;
            	jQueryMap.content.productList.find("#productList_"+subjectType).children().each(function(index,domEle){				
                    if($(this).css("display")=="block"){
                    	num++;
                    }
    			});	
            	if(num > 0){
            		jQueryMap.content.productList.find("#productList_"+subjectType).show().siblings().hide();
            		jQueryMap.content.noAllSub.hide();
                	jQueryMap.content.productList.show();
            	}else{
            		jQueryMap.content.noAllSub.show();
                	jQueryMap.content.productList.hide();
            	}
        	}
        	jQueryMap.dialog.dialog.hide();
        	jQueryMap.dialog.dialogBg.hide();
        	isChooseAll();
        });
        
        // 筛选 -- 勾选
        $.bindEvent($page.find(".ftag_box li"), function () {
        	if($(this).hasClass("act")){
        		$(this).removeClass("act");
        	}else{
        		$(this).addClass("act").siblings().removeClass("act");
        	}
        });
        //筛选 -- 勾选   --能力标签
        $.preBindEvent($page.find("#expTags"), "li", function () {
            if($(this).hasClass("act")){
                $(this).removeClass("act");
            }else{
                $(this).addClass("act");
            }
        });
        
        // 筛选 -- 重置
        $.bindEvent(jQueryMap.dialog.reset, function () {
        	if(groupType == "expert"){
        		$page.find("#selectExp .ftag_box li").removeClass("act");
        	}else{
        		$page.find("#selectSub .ftag_box li").removeClass("act");
        	}
        });
      
        //切换主题与专家
        $.bindEvent(jQueryMap.header.groups.find("li"), function () {
        	$("#me_store_chooseProducts .page_box")[0].scrollTop = 0;
        	groupType = $(this).attr("group-type");
        	groupType == "expert" ? $page.find("#productType").hide() : $page.find("#productType").show();
        	$(this).addClass("act").siblings().removeClass("act");
        	$page.find("#"+groupType).show().siblings().hide();
        	isChooseAll();        	
        });
        
        //切换 主题类型
    	$.preBindEvent(jQueryMap.content.productType,"li", function () {
    		$("#me_store_chooseProducts .page_box")[0].scrollTop = 0;
    		subjectType = $(this).attr("id");
            $(this).addClass("current").siblings().removeClass("current");
            var num = 0;
            jQueryMap.content.productList.find("#productList_"+subjectType).children().each(function(index,domEle){				
                if($(this).css("display")=="block"){
                	num++;
                }
			});	
            if(num > 0){
            	jQueryMap.content.productList.find("#productList_"+subjectType).show().siblings().hide();
        		jQueryMap.content.noAllSub.hide();
            	jQueryMap.content.productList.show();
        	}else{     		
        		jQueryMap.content.noAllSub.show();
            	jQueryMap.content.productList.hide();
        	}
    	});
    	
    	
    	//全选
    	$.bindEvent(jQueryMap.content.chooseAll, function () {			  			
			if($(this).hasClass("on")){
        		$(this).removeClass("on");
        		if(groupType == "expert"){
        			jQueryMap.content.expertList.children().each(function(index,domEle){				
		                if($(this).css("display")=="block"){
		                	$(this).find("em").removeClass("on");
		                }
					});	
        		}else{
        			for(var i=0;i < productArrar.length ; i++){
	        			jQueryMap.content.productList.find("#productList_"+productArrar[i]).children().each(function(index,domEle){				
			                if($(this).css("display")=="block"){
			                	$(this).find("em").removeClass("on");
			                }
						});	
        			}
        		}
        	}else{
        		$(this).addClass("on");
        		if(groupType == "expert"){
        			jQueryMap.content.expertList.children().each(function(index,domEle){				
		                if($(this).css("display")=="block"){
		                	$(this).find("em").addClass("on");
		                }
					});	
        		}else{
        			for(var i=0;i < productArrar.length ; i++){
	        			jQueryMap.content.productList.find("#productList_"+productArrar[i]).children().each(function(index,domEle){				
			                if($(this).css("display")=="block"){
			                	$(this).find("em").addClass("on");
			                }
						});	
        			}
        		}
        	}       		
    		isChooseAll();
        });
    	
    	//勾选主题
    	$.preBindEvent(jQueryMap.content.productList,'em', function () {
    		var id = $(this).attr("data-id");
            //变更属性
    		if($(this).hasClass("on")){
    			$(this).removeClass("on");
    			$page.find('em[data-id="'+$(this).attr("data-id")+'"]').removeClass("on");
    			productIdArrar.splice(productIdArrar.indexOf(id),1);
    		}else{
    			$(this).addClass("on");
    			$page.find('em[data-id="'+$(this).attr("data-id")+'"]').addClass("on");
    			productIdArrar.push(id);
    		}
    		isChooseAll();
        });
    	
    	//勾选专家
    	$.preBindEvent(jQueryMap.content.expertList,'em', function () {
    		var id = $(this).attr("data-id");
    		if($(this).hasClass("on")){
    			$(this).removeClass("on");
    			checkIdsArr.splice(checkIdsArr.indexOf(id),1);
    		}else{ 			
    			$(this).addClass("on");
    			checkIdsArr.push(id);
    		}
    		isChooseAll();
        });
    	
    	//确定选择
    	$.bindEvent(jQueryMap.content.ok, function () {
    		var checked = $(_pageId+" #productList_all").find("em.on");
    		var checked2 = $(_pageId+" #expertList").find("em.on");
    		var subjectIds = "";
    		var expertIds = "";
    		for(var i=0;i<checked.length;i++){
				subjectIds += ( subjectIds == "" ? "" : ",") + checked[i].attributes["data-id"].value;
    		}
    		for(var i=0;i<checked2.length;i++){
    			expertIds +=  ( expertIds == "" ? "" : ",") + checked2[i].attributes["data-id"].value;
    		}
            chooseProducts(subjectIds,expertIds);
        });
    }

    function destroy() {
    	companyNum = 0;  //公司推荐数目
        yingyebuNum = 0; //营业部推荐数目
		myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"   : $page.find("#mktGoBack"),
                "groups" : $page.find(".ul_table"),
                "filter" : $page.find(".icon_filter"),
                "search" : $page.find(".icon_search"),
                "firstOn": $page.find("#first_on"),
                "lastOn" : $page.find("#last_on")
            },
            "content": {
                "productType": $page.find("#productType"),
                "productList": $page.find("#productList"),
                "ok"         : $page.find("#ok"),
                "chooseAll"  : $page.find(".check_opr_box .check_box"),
                "noAllSub"   : $page.find("#noAllSub"),
                "expertList": $page.find("#expertList")
            },
            "dialog" : {
            	"dialog"  : $page.find("#dialog"),
            	"dialogBg": $page.find("#dialogBg"),
            	"finish"  : $page.find("#finish"),
            	"reset"   : $page.find(".reset_btn")
            }
        };
    }

    function initPage() {
		myUtils.showLayer($page);
		
		if(global.shopTitle == "1"){
			$page.find("#showTitle1").hide();
			$page.find("#showTitle2").show();
		}else{
			$page.find("#showTitle2").hide();
			$page.find("#showTitle1").show();
			getExpertList();     //专家列表查询
	    	getExpertTags();     //专家标签  
		} 
		getProductType();    //主题类型查询
	}
    function getExpertTags(){
    	service.getExpertTags({},function (results) {
    		if(results.length > 0){
    			$page.find("#tagsShow").show();
    			var htmlTags="";
    			for (var i = 0 ; i < results.length ; i++) { 
    				htmlTags += '<li><span>'+results[i].tagsName+'</span></li>'
    			}
    			$page.find("#expTags ul").html(htmlTags);	
    		}else{
    			$page.find("#tagsShow").hide();	
    		}
    	});
    }
    //专家列表查询
    function getExpertList(){
    	var param1={};
    	param1.userId = model.dataStore.userId;
    	param1.channelId = $.getPageParam("channelId");
    	param1.shopChanneld = $.getPageParam("shopChanneld")
    	service.getExpertList(param1, function (results) {   		
    		if(results && results.length > 0){
    			var ids = results[0].ids;
    			var checkIds = results[0].checkIds;   			
    			checkIdsArr = checkIds.split(","); 
    			var expertList = $.getSStorageInfo("expertList");
    			if(!expertList){
    				//根据ids查询专家详情  并保存缓存
        			$.ajax({
                        url: $.config.global.expertUrl+ids,
                        type: "get",
                        async: true,
                        success: function(data, textStatus) {
                            if (data.error == false) {
                            	console.log(data); 
                            	if(data.results && data.results.length > 0){                       		
                            		getExpertInfo(data.results);
                            		$.setSStorageInfo("expertList",data.results);
                            	}else{
                            		$page.find("#expertList").hide();
                    				$page.find("#noAllExp").show();
                            	}
                            } else {
                            	$page.find("#expertList").hide();
                				$page.find("#noAllExp").show();
                                $.toast("专家信息查询失败");
                            }
                        },
        				error:function(data) {
        					$page.find("#expertList").hide();
            				$page.find("#noAllExp").show();
        				}
                    });
    			}else{
    				getExpertInfo(expertList);
    			}
			}else{
				$page.find("#expertList").hide();
				$page.find("#noAllExp").show();
			}
    		
    	});
    }
    /**
     * 填充专家信息
     */
    function getExpertInfo(results){
    	if($.getSStorageInfo("checkIdsArr")){
    		checkIdsArr= $.getSStorageInfo("checkIdsArr");
    	}
    	var expertData = results;
		var htmlstr="";
		var mark = [];
		for (var i = 0, len = expertData.length; i < len; i++) { 
			htmlstr += '<div class="expert_item" data-tag="'+expertData[i].markname+'" data-show="'+($.inArray(expertData[i].id+"",checkIdsArr) >-1 ? "1" : "0")+'"  ><em class="check_box '+(( $.inArray(expertData[i].id+"",checkIdsArr) >-1) ? "on" : "")+'" data-id="'+expertData[i].id+'"></em><div class="expert_info">'
					+'<img src="'+(expertData[i].ygtx != "" ? expertData[i].ygtx :"../../../images/chd-pic.png" )+'"/><div class="info_txt"><strong>'+expertData[i].ygxm+'</strong>'
					+'<p>执业证书编号：'+expertData[i].zybh+'</p></div></div><div class="profile_intro">'
					+'<p>'+(expertData[i].zjms ? expertData[i].zjms : "暂无简介")+'</p></div>'
				    +'<div class="ability_tag"><strong>能力标签</strong>'
		    if(expertData[i].markname != undefined && expertData[i].markname!=""){ 
				var tagArr = [];
                tagArr = expertData[i].markname.split(","); 
                for(var j=0;j< (tagArr.length > 3 ? 3 : tagArr.length);j++){
                	if($.inArray(tagArr[j],mark) == -1){
                		mark.push(tagArr[j]);
                	}                                        	
			    	htmlstr += '<span>'+tagArr[j]+'</span>';
                }
            }else{
            	htmlstr += '<span>暂无标签</span>';
            }
			htmlstr +='</div></div>';
	    }
		if(mark.length > 0){
			$page.find("#tagsShow").show();
			var htmlTags="";
			for (var i = 0 ; i < mark.length ; i++) { 
				htmlTags += '<li><span>'+mark[i]+'</span></li>'
			}
			$page.find("#expTags ul").html(htmlTags);	
		}else{
			$page.find("#tagsShow").hide();	
		}
		$page.find("#expertList").html(htmlstr);
		$page.find("#expertList").show();
		$page.find("#noAllExp").hide();
    }
    /**
     * 获取并填充主题类型
     */
    function getProductType(){
    	service.getProductType({}, function (results) {    		
            var htmlStr = '<li  id="all" '+(subjectType=="all" ? 'class="current"': '')+'><a href="javascript:void(0);"><span>全部</span></a></li>';
            productArrar.push("all");
            var productBox ='<div id="productList_all" class="rcd_con"></div>';
            for (var i = 0, len = results.length; i < len; i++) {
            	productArrar.push(results[i].typeValue);
            	htmlStr += results[i].id != '' ? '<li id="' + results[i].typeValue + '" '+(subjectType==results[i].typeValue ? 'class="current"': '')+'><a href="javascript:void(0);"><span>' + results[i].typeName + '</span></a></li>' : "";
            	productBox += results[i].id != '' ? '<div id="productList_'+results[i].typeValue+'" class="rcd_con" style="display:none;"></div>' : "";
            }
            jQueryMap.content.productType.html(htmlStr);
            jQueryMap.content.productList.html(productBox);
            jQueryMap.content.productList.find("#productList_"+subjectType).show().siblings().hide();
            getProductList();
        });
    }
    
    /**
     * 获取并填充主题列表
     */
    function getProductList(){
    	var param={};
    	param.userId=model.dataStore.userId;
    	param.branchNo=$.getSStorageInfo("branchNo");
    	param.channelId = $.getPageParam("channelId");
//    	param.groupType=groupType;
    	service.queryProductChooseList(param, function (results) {
//    		var subjectId= $.getSStorageInfo("ProsubjectId");
    		if(results.length > 0){
    			for (var i = 0, len = results.length; i < len; i++) {  
    				productIdArrar = [];
    				if($.getSStorageInfo("productIdArrar")){
    					productIdArrar = $.getSStorageInfo("productIdArrar");
    				}else{
    					if(results[i].checked =='1'){
    						productIdArrar.push(results[i].subjectId);
    					}  					
    				}
	            	var thisStr="";
    				if( results[i].subjectTypeNo == 'hotSellGetCustomer' ){
    					thisStr = '<div class="rcd_cblk rcd_cblk01 '+ ( results[i].hotFlag == '1' ? "is_hot":"" ) +'" data-show="'+results[i].checked+'" data-grounp = "'+results[i].groups+'" data-hot="'+(results[i].hotFlag==""?"0":results[i].hotFlag)+'" >'
	        				+ '<h3><span>'+results[i].typeName+'</span></h3><div class="rcd_item"><ul  class="subjectItem1"><li><div class="inline-block"><em class="check_box '+(( $.inArray(results[i].subjectId+"",productIdArrar) >-1 ) ? "on" : "")+' "  data-id="' + results[i].subjectId + '" >'               //'+( results[i].checked =='1' ? 'class="check_box on"' : "")+'
	        				+ '</em><strong class="fc_red">'
	        				+ '<span>' + results[i].rate + '</span></strong><p>预期年化收益率</p></div></li><li><div class="inline-block">'
	        				+ '<strong>'+ results[i].subjectName +'</strong><p>'+ results[i].subjectDesc +'</p></div></li></ul></div></div>';
    				}else{
    					thisStr = '<div class="rcd_cblk '+ ( results[i].hotFlag == '1' ? "is_hot":"" ) +'" data-show="'+results[i].checked+'" data-grounp="'+results[i].groups+'" data-hot="'+(results[i].hotFlag==""?"0":results[i].hotFlag)+'" ><em class="check_box '+(( $.inArray(results[i].subjectId+"",productIdArrar) >-1 )? "on" : "")+' "  data-id="' + results[i].subjectId + '" >' 
	        				+ '</em>'
	        				+ '<h3><span>'+results[i].typeName+'</span></h3><div class="rcd_item"><ul class="subjectItem2"><li><strong>'+ results[i].subjectName +'</strong>'
	        				+ '<p>'+ results[i].subjectDesc +'</p></li></ul></div></div>';
    				} 
    				jQueryMap.content.productList.find("#productList_"+results[i].subjectTypeNo).append(thisStr);
	                jQueryMap.content.productList.find("#productList_all").append(thisStr);
    			}
    			var num = 0;
	            jQueryMap.content.productList.find("#productList_"+subjectType).children().each(function(index,domEle){				
	                if($(this).css("display")=="block"){
	                	num++;
	                }
				});	
	            if(num > 0){
	            	jQueryMap.content.productList.find("#productList_"+subjectType).show().siblings().hide();
	        		jQueryMap.content.noAllSub.hide();
	            	jQueryMap.content.productList.show();
	        	}else{     		
	        		jQueryMap.content.noAllSub.show();
	            	jQueryMap.content.productList.hide();
	        	}	
    		}else{
    			jQueryMap.content.noAllSub.show();
            	jQueryMap.content.productList.hide();
    		}
    		isChooseAll();
			//遮罩层去掉
			myUtils.hideLayer($page);
        });
    }

    /**
     * 保存主题
     */
    function chooseProducts(subjectIds,expertIds){
    	service.chooseProducts({
    		"userId"    : model.dataStore.userId,
            "productIds": subjectIds,
            "expertIds" : expertIds,
            "shopChanneld": $.getPageParam("shopChanneld")
    	}, function (results) {
    		$.toast("成功添加主题与专家");
    		cleanPageElement();
    		$.pageBack();
        });
    }
    
    /**
     * 判断是否全选
     */
    function isChooseAll(){
    	var num = 0;
    	var numType = 0;
    	if(groupType == "expert"){
    		jQueryMap.content.expertList.children().each(function(index,domEle){				
                if($(this).css("display")=="block"){
                	num++;
                	if($(this).find("em").hasClass("on")){
                		numType++;
                	}
                }
    		});	
    	}else{
    		jQueryMap.content.productList.find("#productList_all").children().each(function(index,domEle){				
                if($(this).css("display")=="block"){
                	num++;
                	if($(this).find("em").hasClass("on")){
                		numType++;
                	}
                }
    		});	
    	}
    	if( num === numType ){
    		jQueryMap.content.chooseAll.addClass("on");
    	}else{
    		jQueryMap.content.chooseAll.removeClass("on");
    	} 	
		
		jQueryMap.content.ok.html("确定（"+numType + "）");


    }
    // 重置页面元素
    function cleanPageElement() {
    	 groupType = "1";
         subjectType = "all";
         jQueryMap.dialog.dialog.hide();
     	 jQueryMap.dialog.dialogBg.hide();
         $page.find("#is_show").find("li").removeClass("act");  
         $page.find("#is_hot").find("li").removeClass("act"); 
         $page.find("#is_grounp").find("li").removeClass("act"); 
         $page.find("#is_show1").find("li").removeClass("act"); 
         $page.find("#expTags").find("li").removeClass("act"); 
         jQueryMap.header.firstOn.addClass("act");
         jQueryMap.header.lastOn.removeClass("act");  
         jQueryMap.content.noAllSub.hide();
         $page.find("#noAllExp").hide();
         
         jQueryMap.content.productType.html("");
         jQueryMap.content.productList.html("");
         $page.find("#expertList").html("");
         
         $page.find("#subject").show();
         $page.find("#expert").hide();
         $.clearSStorage("ProsubjectId");
    }
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
