define("financial/scripts/mot/eventTaskSearch.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService"); 
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("validatorUtils");
    require('pickerCity');
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#mot_eventTaskSearch");
    // 模块内的其它全局变量
    var flag1 = false;
    var server_type,task_status;
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
    	
    	//输入清除
    	$.bindEvent($page.find(".icon_reset"), function () {
    		$(this).hide();
    		$page.find(".search_box").find("input").val("");
        });
    	
    	//输入触发事件
    	$.preBindEvent($page.find(".search_box"),"input",function () {
    		$page.find(".icon_reset").show();
    		$page.find(".tip_box").hide();
    		if($(this).val()==undefined || $(this).val() =="")
    		{
    			$page.find(".mot_task_list").html("");
            	$page.find(".noneshow").hide();
                $page.find(".mot_task_list").hide();
            	$page.find(".tip_box").show();
                return false;
    		}else
    		{
    			eventTaskShow('',$(this).val(),'','','');
    		}
        },"input");
        
    	//取消返回
    	$.bindEvent(jQueryMap.header.mktGoBack, function () {
            // $.pageInit("mot/eventTaskSearch", "mot/eventTaskShow");
            $.pageBack();
        });
    	
    	//必选做任务事件判断
    	$.preBindEvent($page.find(".mot_task_list"),"li",function(){
    		var task_type = $(this).attr('data-task_type');
    		var task_name = $(this).attr('data-task_name');
    		$.pageInit("mot/eventTaskShow", "mot/eventBreakpoint", {
                "task_type" : task_type,
                "task_name" : task_name
            }); 
    	});
    	
    	//点击tip，show
    	$.bindEvent($page.find(".tip_li"), function () {
    		$page.find(".tipshow").show();
        });

		//tip——iKnow
		$.bindEvent($page.find(".iknow"),function(){
			$page.find(".tipshow").hide();
		});    	
    	
        
    }
    
    function destroy() {
        myUtils.showLayer($page);
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack")
            },
            "content": {},
            "layerArea": {}
        };
    }

    function initPage() {
        myUtils.hideBtn();
    	// 重置页面元素
        cleanPageElement();
        myUtils.hideLayer($page);
//        task_status = $.getSStorageInfo("task_status");
    }

  //事件任务列表展示
    function eventTaskShow(class_id,task_name,task_status,task_deal_type,task_type) {
    	if(class_id == "all")
    	{
    		class_id = "";
    	}
        service.eventTaskShow({
            "class_id"        : class_id,
            "task_name"       : task_name,
            "task_status"     : task_status,
            "task_type"       : task_type,
            "user_code"   	  : $.getSStorageInfo("employeeNo")
        },function(results){
            if(results.length>0){
            	var html = '<ul>';
            	for(var s=0;s<results.length;s++)
              	{
            		html += toHtml(results[s]);
              	}
            	html +='</ul>';
            	$page.find(".mot_task_list").html(html);
            	$page.find(".noneshow").hide();
            	$page.find(".mot_task_list").show();
            	$page.find(".tip_box").hide();
            }else
            {
            	$page.find(".mot_task_list").html("");
            	$page.find(".noneshow").show();
            	$page.find(".mot_task_list").hide();
            	$page.find(".tip_box").hide();
            }
        });
    }
    
    // 重置页面元素
    function cleanPageElement() {
    	$page.find(".mot_task_list").html("");
    	$page.find(".search_input").val("");
    	$page.find(".noneshow").hide();
    	$page.find(".mot_task_list").hide();
    	$page.find(".tip_box").show();
    }

    //转换成html
    function toHtml(item) {
    	var html = '';
    	html += '<li data-class_id="'+item.class_id+'" data-task_type="'+item.task_type+'" data-task_name="'+item.task_name+'"><h4>'+item.task_name+'<em class="task_tag">'+item.class_name+'</em></h4> '
		+ '<div class="info"><span class="time">'+item.create_date.substr(11,5)+'</span> '
		//+ '<p>王玉文&ensp;停留在&ensp; <span class="fc_brown">选择营业部</span></p></div></li> ';
		+ '<p>'+item.task_desc+'</p></div></li> ';
		return html;
    }
    
    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
