define("financial/scripts/mot/messageToAdd.js", function(require, exports, module) {
  // 私有业务模块的全局变量
  var service = require("investService");
  var myUtils = window.privateSpaceMKT.myUtils;
  var model = window.privateSpaceMKT.model;
  var global = $.config.global;
  require("audioPlayer");
  // 模块内的其它全局变量
  var jQueryMap;
  var $page = $("#mot_messageToAdd");
  var editType = "1";
  var page = 1;
  var totalPages;
  var scrollJudge = true; //判断是否到底可以滑动?


  // 初始化jQueryMap对象
  // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
  initJQueryMap();

  function init() {

  }

  function load() {
    initPage();
  }

  function bindPageEvent() {
    // 返回键
    $.bindEvent(jQueryMap.header.mktGoBack, function() {
      editType = "1";
      $.pageBack();
    });
    // 播放、暂停
    $.preBindEvent(jQueryMap.content.stepBox, ".audioplayer-playpause", function(e) {
      var $this = $(this);
      var followId = $this.parents(".voice_box").attr("data-id");
      var playings = jQueryMap.content.stepBox.find(".audioplayer-playpause[title='Pause']");
      playings.each(function() {
        var curFollowId = $(this).parents(".voice_box").attr("data-id");
        if (curFollowId != followId) {
          $(this).siblings("audio")[0].pause();
        }
      });
      $this.parents(".voice_box").find(".audioplayer-bar").show();
      $this.parents(".voice_box").find(".audioplayer-time-current").show();
      $this.parents(".voice_box").find("em").hide();
      e.preventDefault();
    });

    // 切换到待补充摘要
    $.bindEvent(jQueryMap.header.editEnabled, function() {
      //   queryFollowing();
      jQueryMap.header.editEnabled.addClass("current").siblings().removeClass("current");
        jQueryMap.content.editDisabledTab.hide();
        jQueryMap.content.editEnabledTab.show();
      jQueryMap.content.editEnabledTab.html("");
      editType = "1";
      page = 1;
      showTaskServiceList();
    });

    // 切换到未填写摘要
    $.bindEvent(jQueryMap.header.editDisabled, function() {
      //   queryFollowed();
      jQueryMap.header.editDisabled.addClass("current").siblings().removeClass("current");
      jQueryMap.content.editDisabledTab.show();
      jQueryMap.content.editEnabledTab.hide();
      jQueryMap.content.editDisabledTab.html("");
      editType = "2";
      page = 1;
      showTaskServiceList();
    });
    //编辑服务录入
    $.preBindEvent(jQueryMap.content.editEnabledTab, ".edit", function() {
      var $this = $(this);
      var serviceChannel =$this.attr("data-service-channel");
      // 1 MOT任务、2 168助手
      if(serviceChannel == "1") {
        var dealDate = $this.attr("data-dealDate"),
            serviceCon = $this.parent().siblings(".all_content_show").find('.main_content').text().substring(5),
            dealType = $this.attr("data-dealType"),
            taskDealId = $this.attr("data-taskDealId"),
            callInfo = $this.attr("data-callInfo"),
            custNo = $this.attr("data-cust-no"),
            taskName = $this.attr("data-task-name"),
            curTaskType = $this.attr("data-task-type"),
            curCustName = $this.attr("data-cust-name"),
            curTaskId = $this.attr("data-task-id"),
            beginTime = $this.attr("data-begin-time"),
            serviceId = $this.attr("data-service-id");
          var param = {
            "curCustName": curCustName,
            "curTaskId": curTaskId,
            "beginTime": beginTime,
            "curTaskType": curTaskType,
            "taskName": taskName,
            "curCustId": custNo,
            "dealDate": dealDate,
            "serviceCon": serviceCon,
            "dealType": dealType,
            "taskDealId": taskDealId,
            "callInfo": callInfo,
            "serviceId": serviceId
          };
          console.log(param);
          $.pageInit("mot/messageToAdd", "mot/serviceInput", param);
      } else if(serviceChannel == "2") {
        var dealDate = $this.attr("data-dealDate"),
          serviceCon = $this.parent().siblings(".all_content_show").find('.main_content').text().substring(5),
          followId = $this.attr("data-taskDealId"),
          callInfo = $this.attr("data-callInfo"),
          callType = $this.attr("data-call-type"),
          custId = $this.attr("data-cust-id"),
          followType = $this.attr("data-follow-type"),
          operType = $this.attr("data-oper-type"),
          serviceId = $this.attr("data-service-id");
        var param = {
          "staffId": model.dataStore.staffId,
          "custId": custId,
          "followType": followType,
          "actionType": '1',
          "oper_type": operType=="0"?"2":"1",
          "followContent": serviceCon,
          "followDate": dealDate,
          "warnMin": "",
          "cc_call_type": callType,
          "call_info": callInfo,
          "follow_id": followId,
          "service_id": serviceId
        };
        console.log(param);
        $.pageInit("mot/messageToAdd", "customer/detail/custServiceInput", { "followParam": param });
      }
    });
    //点击查看
    $.preBindEvent(jQueryMap.content.stepBox, ".show_more", function() {
      var $this = $(this);
      $this.parent().addClass("input_all_content").removeClass("input_content");
      $this.addClass("hide_more").removeClass("show_more");
      $this.text("点击收起");
    });
    //点击收起
    $.preBindEvent(jQueryMap.content.stepBox, ".hide_more", function() {
      var $this = $(this);
      $this.parent().addClass("input_content").removeClass("input_all_content");
      $this.addClass("show_more").removeClass("hide_more");
      $this.text("点击查看");
    });
    //点击展开
    $.preBindEvent(jQueryMap.content.stepBox, ".but_show", function() {
      var $this = $(this);
      var $detail = $this.parent().siblings(".all_content_hide.detail");
      $this.parent().siblings(".all_content_show.describe").addClass("all_content_hide").removeClass("all_content_show");
      $detail.addClass("all_content_show").removeClass("all_content_hide");

      var eles = $detail.find('.main_content');
      if($(eles[0])[0].scrollWidth > $(eles[0])[0].clientWidth) {
        $(eles[0]).siblings(".show_more").show();
      }
    $this.addClass("but_up").removeClass("but_show");
      $this.html("<em>收起</em>");
    });
    //点击收起
    $.preBindEvent(jQueryMap.content.stepBox, ".but_up", function() {
      var $this = $(this);
      $this.parent().siblings(".all_content_hide.describe").addClass("all_content_show").removeClass("all_content_hide");
      $this.parent().siblings(".all_content_show.detail").addClass("all_content_hide").removeClass("all_content_show");
      $this.addClass("but_show").removeClass("but_up");
      $this.html("<em>展开</em>");
    });
    //滚动加载更多
    $.bindEvent($page.find(".page_box"), function() {
      if (scrollJudge) {
        var viewH = $(this).height(); //可见高度
        var contentH = $(this).get(0).scrollHeight; //内容高度
        var scrollTop = $(this).scrollTop(); //滚动高度
        if (scrollTop / (contentH - viewH) >= 0.99) { //到达底部时,加载新内容
          if (page >= totalPages) return;
          jQueryMap.content.loadIcon.show();
          scrollJudge = false;
          setTimeout(function() {
            page++;
            showTaskServiceList();
          }, 600);
        }
      }
    }, "scroll");
  }

  function destroy() {
    myUtils.showLayer($page);
    // 重置页面元素
    page = 1;
    cleanPageElement();
    service.destroy();
  }

  // 初始化jQueryMap对象
  function initJQueryMap() {
    // 缓存常用jQuery对象
    jQueryMap = {
      "header": {
        "mktGoBack": $page.find("#mktGoBack"),
        "editType": $page.find(".tab_nav01"),
        "editDisabled": $page.find("#edit_disabled"),
        "editEnabled": $page.find("#edit_enabled")
      },
      "content": {
        "stepBox": $page.find("#stepBox"),
        "noData": $page.find("#noData"),
        "editDisabledTab": $page.find("#edit_disabled_tab"),
        "editEnabledTab": $page.find("#edit_enabled_tab"),
        //上拉加载更多
        "loadIcon": $page.find(".infinite-scroll-preloader"),
        "emptyData": $page.find("#emptyData")
      }
    };
  }

  function initPage() {
    myUtils.hideBtn();
    // 重置页面元素
    // cleanPageElement();
    if (editType == "1") {
      jQueryMap.header.editEnabled.addClass("current").siblings().removeClass("current");
    } else if (editType == "2") {
      jQueryMap.header.editDisabled.addClass("current").siblings().removeClass("current");
    }
    showTaskServiceList();
  }

  // 填充任务触发条件列表
  function showTaskServiceList() {
    if(page == 1) {
      myUtils.showLayer($page);
    }
    var param = {
      employeeNo: $.getSStorageInfo("employeeNo"),
      pageIndex: page,
      pageSize: 20,
      record_type: editType
    };
    service.queryServiceLog(param, function(data) {
      totalPages = data[0].totalPages;
      if (page == totalPages && page != 1) {
        jQueryMap.content.emptyData.show();
      } else {
          jQueryMap.content.emptyData.hide();
      }
      if(data[0].data.length > 0) {
        jQueryMap.content.noData.hide();
        if (editType == "1") {
          jQueryMap.content.editDisabledTab.hide();
          jQueryMap.content.editEnabledTab.show();
        } else if (editType == "2") {
          jQueryMap.content.editDisabledTab.show();
          jQueryMap.content.editEnabledTab.hide();
        }
        operateData(data[0].data);
      } else {
        jQueryMap.content.editDisabledTab.hide();
        jQueryMap.content.editEnabledTab.hide();
        jQueryMap.content.noData.show();
      }
      myUtils.hideLayer($page);
      if(page == 1) {
        $page.find(".page_box").scrollTop(0);
      }
      var eles = jQueryMap.content.editEnabledTab.find('.main_content');
      for(var i = 0; i < eles.length; i++) {
        if($(eles[i])[0].scrollWidth > $(eles[i])[0].clientWidth) {
          $(eles[i]).siblings(".show_more").show();
        }
      }
    });
  }

  function operateData(data) {
    var htmlStr = '';
    var dealTypeMap = {
        'A': '分配',
        'B': '过期',
        'C': '申请失效',
        '0': '移动外呼',
        '1': '打电话',
        '2': '发短信',
        '3': '面谈',
        '4': '微信',
        '5': '其他'
    };
    if(editType === "1") {
      for (var i = 0; i < data.length; i++) {
        // console.log(data[i])
        var dealDate = data[i].create_time;
        var dealType = dealTypeMap[data[i].service_type];
        if (data[i].create_time != undefined && data[i].create_time.length == 16)
            dealDate = data[i].create_time.substring(5, 16);
        var callFilePath = "";
        htmlStr += '<li><div class="text"><span class="time">' +
        '<a data-dealdate="'+ data[i].create_time +'" data-callinfo="' + data[i].callinfo + '" data-dealtype="' + 
          data[i].service_type + '" data-taskdealid="' + data[i].sys_id + '"'+ 
          'href="javascript:void(0);" data-service-channel="' + data[i].service_channel + '"' +  
          'data-follow-type="' + data[i].followtype + '"data-call-type="' + data[i].calltype + '"' + 
          'data-cust-id="' + data[i].custid + '"data-oper-type="' + data[i].service_type + '"' + 
          'data-task-id="' + data[i].curtaskid + '"data-begin-time="' + data[i].begintime + '"' + 
          'data-task-type="' + data[i].curtasktype + '"data-task-name="' + data[i].task_name + '"' + 
          'data-cust-no="' + data[i].cust_no + '"data-service-id="' + data[i].service_id + '"' + 
          'data-cust-name="' + data[i].cust_name + '" data-service-name="' + data[i].service_name + '" class="edit"></a>' + 
          '</span><h4>'+ dealDate +'</h4>' + 
          '<div class="all_content_show">'
        if(data[i].call_file_path) {
          callFilePath = global.serverAddr + data[i].call_file_path;
          htmlStr += '<div class="voice_box" data-id="'+ data[i].sys_id +'"><em>点击播放录音文件</em><audio controls preload="metadata" id="paly_go">' +
              '<source src="' + callFilePath + '" />' +
              '<p>Your browser does not support the audio element.</p></audio></div>';
        }
        htmlStr += '<div class="detail"><p>服务方式：'+ dealType +'</p><p>服务客户：'+ data[i].cust_name +'</p><p>服务事件：'+ data[i].service_name +'</p>' +
                  '<p class="input_content"><span class="main_content">录入内容：'+ data[i].service_content +'</span><span style="display:none" class="show_more">点击查看</span></p>'
                  '</div></div></div></li>';
      }
      scrollJudge = true;
      jQueryMap.content.loadIcon.hide();
      jQueryMap.content.editEnabledTab.append(htmlStr);
    } else {
      for (var i = 0; i < data.length; i++) {
        // console.log(data[i])
        var dealDate = data[i].create_time;
        var dealType = dealTypeMap[data[i].service_type];
        if (data[i].create_time != undefined && data[i].create_time.length == 16)
            dealDate = data[i].create_time.substring(5, 16);
        var callFilePath = "";
        htmlStr += '<li><div class="text no-padding-bottom"><span class="time">' + 
                  '</span><h4>'+ dealDate +'</h4>' + 
                  '<div class="all_content_hide detail">'
        if(data[i].call_file_path) {
          callFilePath = global.serverAddr + data[i].call_file_path;
          htmlStr += '<div class="voice_box" data-id="'+ data[i].sys_id +'"><em>点击播放录音文件</em><audio controls preload="metadata" id="paly_go">' +
              '<source src="' + callFilePath + '" />' +
              '<p>Your browser does not support the audio element.</p></audio></div>';
        }
        htmlStr += '<div class="detail"><p>服务方式：'+ dealType +'</p><p>服务客户：'+ data[i].cust_name +'</p><p>服务事件：'+ data[i].service_name +'</p>' +
                  '<p class="input_content"><span class="main_content">录入内容：'+ data[i].service_content +'</span><span style="display:none" class="show_more">点击查看</span></p></div></div>';
        htmlStr += '<div class="describe all_content_show"><div class="detail"><p>您有一条服务记录</p></div></div>';
        htmlStr += '<div class="show_hide_more"><a href="javascript:void(0);" class="view_all_btn but_show"><em>展开</em></a></div>';          
        htmlStr += '</li></div>';
      }
      scrollJudge = true;
      jQueryMap.content.loadIcon.hide();
      jQueryMap.content.editDisabledTab.append(htmlStr);
    }
    $('audio').audioPlayer();
  }

  // 重置页面元素
  function cleanPageElement() {
    jQueryMap.content.editDisabledTab.hide();
    jQueryMap.content.editEnabledTab.hide();
    jQueryMap.content.noData.hide();
    jQueryMap.content.emptyData.hide();
    jQueryMap.content.editDisabledTab.html("");
    jQueryMap.content.editEnabledTab.html("");
    jQueryMap.header.editDisabled.remove("current").siblings().removeClass("current");
  }


  module.exports = {
    "init": init,
    "bindPageEvent": bindPageEvent,
    "destroy": destroy,
    "load": load
  };
});