define("financial/scripts/subject/count/custDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    var model = window.privateSpaceMKT.model;
    require("highcharts");
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_count_custDetail");
    var _pageId = "#subject_count_custDetail "; // 页面ID
    var pageSlide = require("pageSlide").getInstance(); // 页面下拉刷新上拉加载组件
    var paintState = "0";          //走势图显示 0显示是当前类型下的第一个图，1表示第二个
    var dateStrArray = [];
    var dayCustomerCount = [];
    var validCustomerCount = [];
    var scrollJudge = true;//判断是否到底可以滑动?
    var monthData = [];  //接收月份
    //0 日(day)、1月(month)、年(year),默认为日
    var actionType = "0";
    //month=yyyy-mm
    var month = "";
    var page = "1" ;
    var totalPages ;
    var dHeight =0;
	var aHeight =0;
	var oTop =0;
	var trHeight =0;
	var sTop =0;
    var width;
    var type="0";
    var orderBy = "0";
    var byType = "1";
    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){

    }
    function load() {
        initPage();
    }

    function bindPageEvent() {
        $.bindEvent(jQueryMap.header.mktGoBack,function(){    
        	$(_pageId+"#offsetHeight")[0].scrollLeft = 0;
        	$(_pageId+".page_box")[0].scrollTop = 0;
        	myUtils.showLayer($page);
            $.pageBack("");
        });

        //切换到有效户数
        $.bindEvent(jQueryMap.content.changeBtn, function () {
            var $this = $(this);
            if($this.html() == "切换到新增有效户数"){
            	paintState = "1";
                $this.html("切换到新开客户数");
                jQueryMap.content.dayCustomerCount.parent().addClass("hide").siblings().removeClass("hide");
                jQueryMap.content.zoushi.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"新增有效户数走势");
                validCustomerCount.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,validCustomerCount,"line","新增有效户数","人");
                type = "1";
                page = "1";
                dbPageCustList();
            }else{
            	paintState = "0";
                $this.html("切换到新增有效户数");
                jQueryMap.content.validCustomerCount.parent().addClass("hide").siblings().removeClass("hide");
                jQueryMap.content.zoushi.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"新开客户数走势");
                dayCustomerCount.length == "0" ? "" : myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,dayCustomerCount,"line","新客户数","人");
                type = "0";
                page = "1";
                dbPageCustList();
            }
        });

        // 点击阴影隐藏月菜单
        $.bindEvent(jQueryMap.layerArea.dataArea, function (e) {
            if (e.target.id === "dataArea") {
            	actionType = "1"; 
            	queryCustomer();
            	page = "1";
                dbPageCustList();
                myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
            }
        });

        //页面的日月年选择
        $.preBindEvent(jQueryMap.content.selectDate, "li", function(){
            $(this).addClass("current").siblings().removeClass("current");
            if( $(this).attr("id") == "monthBox"){
                actionType = "1";
            }else if($(this).attr("id") == "yearBox"){
                actionType = "2";
            }else if($(this).attr("id") == "dayBox"){
                actionType = "0";
            }
            $.setSStorageInfo("actionType",actionType);
            //加载转圈
            myUtils.loadService($page);
            $(_pageId + "#custList").html("");
            $(_pageId+"#notData").hide();
            page = "1";
            queryCustomer();
            dbPageCustList();
        });

        //升序降序 0升序降序
        $.preBindEvent($page,"dt th",function(){
            var $this=$(this);
            if(!$this.find("span").attr("data_order")){
                return false;
            }
            if($this.hasClass("act")){
                orderBy=$this.find("span").attr("data_order");
                $this.find("em").each(function(index,domEle){
                    if($(this).hasClass("act")){
                        $(this).removeClass("act");
                    }else{
                        $(this).addClass("act");
                        byType=index;
                    }
                });
            }else{
                orderBy=$this.find("span").attr("data_order");
                $this.addClass("act").siblings().removeClass("act");
                $this.siblings().find("em").removeClass("act");
                $this.find("em").each(function(index,domEle){
                    if(index==1){
                        $(this).addClass("act");
                        byType=index;
                    }
                });
            }
            //加载转圈
            myUtils.loadService($page);
            $(_pageId + "#custList").html("");
            page = "1";
            dbPageCustList();
        });

        //点击客户列表跳转到客户详情
        $.preBindEvent(jQueryMap.content.custList, "tr", function(){
            var custId = $(this).attr("data-custId");
            if(!custId){
            	return ;
            }
            $.setSStorageInfo("custId",custId);
            $.setSStorageInfo("customerType","2");
            $.pageInit("subject/count/custChannelDetail","customer/detail/customerDetail");

        });
        
        //滚动加载更多
        $.bindEvent($page.find(".page_box"),function(){
        	if(scrollJudge){
        		var viewH = $(this).height();//可见高度
                var contentH = $(this).get(0).scrollHeight;//内容高度
                var scrollTop = $(this).scrollTop();//滚动高度
                if(scrollTop/(contentH -viewH)>=0.99){ //到达底部时,加载新内容              
                	if(page >= totalPages) return;
                    jQueryMap.content.loadIcon.show();
                    scrollJudge =false;
                    setTimeout(function(){
                    	page++;
                        //加载转圈
                        myUtils.loadService($page);
                    	dbPageCustList();
                    },600);
                }
        	}
        },"scroll");
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack" : $page.find("#mktGoBack"),
                "hiddenList": $page.find("#hiddenList")
            },
            "content": {
                //图标切换
                "changeBtn" : $page.find("#changeBtn"),
                "customerChart" : $page.find("#customerChart"),
                "zoushi"      : $page.find("#zoushi"),
                //图表的显示隐藏
                "showMonYear" : $page.find("#showMonYear"),
                //日月年的选择
                "selectDate" : $page.find("#selectDate"),
                "selectDateIn" : $page.find("#selectDateIn"),
                "selectBox" : $page.find("#selectBox"),
                //文字滑动搜索
                "dayCustomerCount"    : $page.find("#dayCustomerCount"),
                "validCustomerCount"    : $page.find("#validCustomerCount"),
                "custList"  : $page.find("#custList"),
                "loadIcon"  : $page.find(".infinite-scroll-preloader"),
                "emptyData" : $page.find("#emptyData"),
            },
            "footer": {
                //填充年月入
                "curMonth" : $page.find("#curMonth"),
                "perMonth" : $page.find("#perMonth"),
                "beforPreMonth" : $page.find("#beforPreMonth")
            },
            "layerArea": {
                //遮罩层
                "dataArea" : $page.find("#dataArea")
            }
        };
    }

    function destroy() {
    	$(_pageId+"#offsetHeight")[0].scrollLeft = 0;
    	$(_pageId+".page_box")[0].scrollTop = 0;
        //去掉加载转圈
        myUtils.hideLoadService($page);
        cleanPageElement();
        service.destroy();
    }

    function initPage() {
    	width = parseFloat($(_pageId+".tab_nav01").width());
        $(_pageId+"#customerChart").css("width",width);
        myUtils.showLayer($page);
        actionType = $.getSStorageInfo("actionType");
        if(actionType == "0"){
    		jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
    	}else if(actionType == "1"){
    		jQueryMap.content.selectDate.find("#monthBox").addClass("current").siblings().removeClass("current");
    	}else{
    		jQueryMap.content.selectDate.find("#yearBox").addClass("current").siblings().removeClass("current");
    	}
        orderBy = "0";
        byType = "1";
        $(_pageId + "#custList").html("");
        $(_pageId+"#notData").hide();
        page = "1";
        $(_pageId + "dt th").removeClass("act").find("em").removeClass("act");       
    	dbPageCustList();
        queryCustomer();
    }

    function queryCustomer(){
    	$(_pageId+".page_box")[0].scrollTop = 0;
        actionType == "0" ? jQueryMap.content.showMonYear.hide() : jQueryMap.content.showMonYear.show();
        var param={
            "userId"     : model.dataStore.userId,
            "actionType" : actionType,   // //0 日(day)、1月(month)、年(year),默认为日
            "month"	     : month,        //按月份查询（yyyy-MM）
            "dataKind"   : "0",    //查询数据类型  0、走势图  1、人员信息列表
            "type"       : type
        };
        service.getNewCustDetail(param,function(result){
            var dayCustomer = result.dataRow[0].dayCustomerCount == "" ? "0" : result.dataRow[0].dayCustomerCount;
            var validCustomer = result.dataRow[0].validCustomerCount =="" ? "0" : result.dataRow[0].validCustomerCount;
            jQueryMap.content.dayCustomerCount.html(dayCustomer);
            jQueryMap.content.validCustomerCount.html(validCustomer);
            
            //折线图
            dateStrArray = [];
            dayCustomerCount = [];
            validCustomerCount = [];
            if(paintState == "0"){
            	jQueryMap.content.changeBtn.html("切换到新增有效户数");
                jQueryMap.content.zoushi.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"新开客户数走势");
            }else{ 
                jQueryMap.content.changeBtn.html("切换到新开客户数");
                jQueryMap.content.zoushi.html((actionType == 1 ? '本月'  : actionType == 2 ? '本年' : "")+"新增有效户数走势");
            }
            if(actionType != "0" && result.list.length>0){
                jQueryMap.content.customerChart.html("");
                //显示上面的走势图
                queryCustViewList(result.list);
            }else if(actionType != "0"){          	
                jQueryMap.content.customerChart.html("暂无数据");
                jQueryMap.content.customerChart.css({"text-align":"center","line-height":"160px"});
            }
        });
    }
    //折线图
    function queryCustViewList(chartResult){      
        for (var i = 0, len = chartResult.length; i < len; i++) {
        	actionType == 2 ? dateStrArray[i] = chartResult[i].dateTime : dateStrArray[i] = chartResult[i].dateTime.substring(5);                                
            dayCustomerCount[i] = parseInt(chartResult[i].newCustNum); //新客户数
            validCustomerCount[i] = parseInt(chartResult[i].valCustNum); //
        }
        $(_pageId+"#customerChart").css("width",width);
        myUtils.echartPaint($(_pageId+"#customerChart"),dateStrArray,(paintState == "0" ? dayCustomerCount : validCustomerCount),"line",(paintState == "0" ? "新客户数 " : "新增有效户数"),"人");
    }
    
    //分页数据
    function dbPageCustList(){   
    	if(type == "1"){
       	    $page.find("#isShow").hide();
        }else{
       	    $page.find("#isShow").show();
        }
        var param={
        		"userId"     : model.dataStore.userId,
                "actionType" : actionType,   // //0 日(day)、1月(month)、年(year),默认为日
                "month"	     : month,        //按月份查询（yyyy-MM）
                "dataKind"   : "1"  ,  //查询数据类型  0、走势图  1、人员信息列表
                "pageIndex"  :  page ,//pageSlide.getCurPage(), // 必须使用pageSlide组件获取当前是第几页
                "pageSize"	 : "20",      //每页大小
                "orderBy"    : orderBy,
                "byType"     : byType,
                "type"       : type
            };
        service.getNewCustDetail(param,function (results) {    	
	    	// 如果不是追加数据时，清空容器中的数据
        	 totalPages = results[0].totalPages;
        	 /*if(page == totalPages && totalPages != 0){
        		 jQueryMap.content.emptyData.show();
        	 }else{
        		 jQueryMap.content.emptyData.hide();
        	 }*/
        	 if (page == "1") {
        		$(_pageId + "#custList").html("");
 	         }        	 
        	 if(results[0].data.length > 0){    
        		 $(_pageId+"#notData").hide();
        		 var list = results[0].data;
                 var htmlStr = "";
                 for(var i=0; i<list.length;i++){
                	 if(type == "1"){
                		 htmlStr +='<tr data-custId = "'+list[i].custId+'"><td style="width:15%">' + list[i].dateTime.substring(0,2)+"-" +list[i].dateTime.substring(2,4) +'</td><td style="width:20%"><span class="fc_brown">' + list[i].name + '</span></td><td style="width:25%"><span class="fc_brown">' +myUtils.changeUtil(list[i].assets)+ '</span></td><td style="width:25%">' + list[i].commission + '</td><td style="width:20%">' + list[i].commissionRate + '</td></tr>';                    
                	 }else{
                		 htmlStr +='<tr data-custId = "'+list[i].custId+'"><td style="width:15%">' + list[i].dateTime.substring(0,2)+"-" +list[i].dateTime.substring(2,4) +'</td><td style="width:20%"><span class="fc_brown">' + list[i].name + '</span></td><td style="width:25%"><span class="fc_brown">' +myUtils.changeUtil(list[i].assets)+ '</span></td><td style="width:25%">' + list[i].commission + '</td><td style="width:20%">' + list[i].commissionRate + '</td><td style="width:15%">' + ((list[i].isValid == "0" || list[i].isValid=="") ? "否" : "是") + '</td></tr>';                    
                	 } 
                 }                 
                 $(_pageId + "#custList").append(htmlStr);                      		 
                  jQueryMap.content.loadIcon.hide();
                  scrollJudge =true;
        	 }else{      		 
        		 $(_pageId+"#notData").show();
        	 }
            //去掉加载转圈
            myUtils.hideLoadService($page);
            //遮罩层去掉
            myUtils.hideLayer($page);
            width = parseFloat($(_pageId+".page_box").width())>300 ? parseFloat($(_pageId+".page_box").width()) :"320";
            $(_pageId+"#customerChart").css("width",width);
        });
    }
   
    //获取进三个月的日期
    function insertMonth(){
        myUtils.insertMonth(jQueryMap.footer.curMonth,jQueryMap.footer.perMonth,jQueryMap.footer.beforPreMonth);
    }

    // 重置页面元素
    function cleanPageElement() {
        myUtils.showLayer($page);
    	dHeight =0;
    	aHeight =0;
    	oTop =0;
    	trHeight =0;
    	sTop =0;
        actionType = "0";
        month = "";
        page = "1";
        paintState = "0"; 
        jQueryMap.content.emptyData.hide();
        myUtils.toggleLayerArea(jQueryMap.layerArea, "hide");
        jQueryMap.content.selectDate.find("#monthWrap").html("本月");
        jQueryMap.content.selectDateIn.find("#month span").html("本月");
        jQueryMap.content.selectDate.find("#dayBox").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectDateIn.find("#month").addClass("current").siblings().removeClass("current");
        jQueryMap.content.selectBox.find("#curMonth").addClass("act").siblings().removeClass("act");
        jQueryMap.content.validCustomerCount.parent().addClass("hide").siblings().removeClass("hide");
        $page.find("#monthWrap").addClass("sel_downgray").removeClass("sel_downtext");

        $(_pageId + "#custList").html("");
        $(_pageId + "dt th").removeClass("act").find("em").removeClass("act");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
