define("financial/scripts/subject/email.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    require("validatorUtils");
    var validatorUtils = $.validatorUtils;
    var model = window.privateSpaceMKT.model;
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var $page = $("#subject_email");
    //用来判断有没有选中客户
    var isFlag = 0;
    var custArrs=[];  //存你选中的客户字符串
    var tagTypeNo;

    var currSubObj;
    var subjectName;
    var urlLink;
    //整合所有的搜索框

    // 初始化jQueryMap对象
    // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
    initJQueryMap();

    function init(){
        myUtils.showLayer($page);
    }
    function load() {
        initPage();
    }

    function bindPageEvent() {

        // 滑动搜索
        var objs = jQueryMap.content;
        myUtils.swipeToSearch(objs.letterBox, objs.customerList, objs.tipBox, ">h3", objs.contentSwipe, "143");

        // 取消按钮返回
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            $.pageBack("","left");
        });

        //点击搜索按钮
        $.bindEvent(jQueryMap.header.search, function () {
            var custArr = [];
            jQueryMap.content.customerList.find("em").each(function () {
                var $this = $(this);
                if($this.hasClass("on")){
                    custArr.push( $this.parent().attr("data-custId"));
                }
            });
            $.setSStorageInfo("custArr",custArr);
            $.pageInit("subject/email", "customer/group/groupSearch");
        });

        //点击选中时出现图标
        $.preBindEvent(jQueryMap.content.customerList, "li", function () {
            var $this = $(this);
            var conLen = jQueryMap.content.customerList.find("li").length;
            if ($this.find("em").hasClass("on")) {
                $this.find("em").removeClass("on");
                var len = jQueryMap.content.customerList.find(".on").length;
                jQueryMap.footer.checkShow.html("发送("+ len + ")");
                if(len <= 0){
                    jQueryMap.footer.checkShow.addClass("disabled");
                    jQueryMap.footer.checkShow.html("发送");
                    jQueryMap.footer.choose.find("p").html("全选");
                    jQueryMap.footer.choose.find("em").removeClass("on");
                    isFlag = 0;
                }
            } else {
                $this.find("em").addClass("on");
                isFlag = 1;
                jQueryMap.footer.checkShow.removeClass("disabled");
                var len = jQueryMap.content.customerList.find(".on").length;
                jQueryMap.footer.checkShow.html("发送("+ len + ")");
                if(len == conLen){
                    jQueryMap.footer.choose.find("p").html("取消");
                    jQueryMap.footer.choose.find("em").addClass("on");
                }
            }
        });

        //全选键
        $.bindEvent(jQueryMap.footer.choose, function () {
            var $this = $(this);
            if($this.find("p").html() == "全选"){
                var lenLi = jQueryMap.content.customerList.find("li").length;
                if(lenLi>0){
                    isFlag = 1;
                    $this.find("p").html("取消");
                    $this.find("em").addClass("on");
                    jQueryMap.content.customerList.find("em").addClass("on");
                    jQueryMap.footer.checkShow.removeClass("disabled");
                    var len = jQueryMap.content.customerList.find(".on").length;
                    jQueryMap.footer.checkShow.html("发送("+ len + ")");
                }
            }else{
                isFlag = 0;
                $this.find("p").html("全选");
                $this.find("em").removeClass("on");
                jQueryMap.content.customerList.find("em").removeClass("on");
                jQueryMap.footer.checkShow.addClass("disabled");
                jQueryMap.footer.checkShow.html("发送");
            }
        });

        //批量点击确定按钮
        //$.bindEvent(jQueryMap.footer.checkShow, function () {
        //    var $this = $(this);
        //    // var custIdArr = "";
        //    //    if (isFlag) {
        //    //        jQueryMap.content.customerList.find("li").each(function () {
        //    //        if ($(this).find("input").hasClass("on")) {
        //    //            custIdArr += $(this).attr("data-custId") + ",";
        //    //        }
        //    //    });
        //    //    custIdArr = custIdArr.substr(0, custIdArr.length - 1);
        //    //}
        //    if(!$this.hasClass("disabled")){
        //        if($.getSStorageInfo("shareType")=="email"){
        //            var emailList = "";
        //            jQueryMap.content.customerList.find("li").each(function () {
        //                if ($(this).find("em").hasClass("on")) {
        //                    emailList += $(this).find("small").html() + ",";
        //                }
        //            });
        //            if(emailList.length!=0){
        //                var targetEmail = emailList.substr(0,emailList.length-1);
        //                sendEmail(targetEmail);
        //                $this.addClass("disabled");
        //            }
        //        }else if($.getSStorageInfo("shareType")=="sms"){
        //            var mobileList = "";
        //            jQueryMap.content.customerList.find("li").each(function () {
        //                if ($(this).find("em").hasClass("on")) {
        //                    mobileList += $(this).find("small").html() + "|";
        //                }
        //            });
        //            if(mobileList.length!=0){
        //                var moblie = mobileList.substr(0,mobileList.length-1);
        //                $.callMessage({
        //                    "funcNo"    : "50221",
        //                    "telNo"     : moblie,
        //                    "content"   : "【" + subjectName + "】，点击链接 " + urlLink + " "
        //                });
        //            }
        //        }
        //    }
        //});

        //点击确定按钮
        $.bindEvent(jQueryMap.footer.checkShow, function () {
            if (isFlag) {
                jQueryMap.layerArea.layer.show();
            }
        });
        //取消发送
        $.bindEvent(jQueryMap.content.cancelBtn, function () {
            jQueryMap.layerArea.layer.hide();
        });

        //确认发送okSure
        $.bindEvent(jQueryMap.content.okSure, function () {
            jQueryMap.layerArea.layer.hide();
            var $this = $(this);
            if($.getSStorageInfo("shareType")=="email"){
//                var emailList = "";
                var CustIdList = "";
                jQueryMap.content.customerList.find("li").each(function () {
                    if ($(this).find("em").hasClass("on")) {
//                        emailList += $(this).find("small").html() + ",";
                        CustIdList += $(this).attr("data-custid") + ",";
                    }
                });
                if(CustIdList.length!=0){
                    var CustIdList = CustIdList.substr(0,CustIdList.length-1);
                    $.toast("邮件正在发送中...");
//                    $this.addClass("disabled");
                    sendEmail("",CustIdList);         
                }
            }else if($.getSStorageInfo("shareType")=="sms"){
                var mobileList = "";
                jQueryMap.content.customerList.find("li").each(function () {
                    if ($(this).find("em").hasClass("on")) {
                        mobileList += $(this).find("small").html() + "|";
                    }
                });
                if(mobileList.length!=0){
                    var moblie = mobileList.substr(0,mobileList.length-1);
                    $.callMessage({
                        "funcNo"    : "50221",
                        "telNo"     : moblie,
                        "content"   : "【" + subjectName + "】，点击链接 " + urlLink + " "
                    });
                    resetPageElement();
                }
            }
        });

        // 展开筛选页面
        $.bindEvent(jQueryMap.header.filterBtn, function () {
            myUtils.moveTo("in","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        //点击立即添加
        $.bindEvent(jQueryMap.content.addEmailer, function () {
            $.pageInit("subject/email","customer/detail/customerAdd");
        });

        //点击 邮件/短信 立即分享
        $.bindEvent(jQueryMap.content.emailShare, function () {
            //moveTo("out");
            if($.getSStorageInfo("shareType")=="email"){
                toggleLayerArea("show", jQueryMap.layerArea.emailWrapper);
            }else if($.getSStorageInfo("shareType")=="sms"){
                toggleLayerArea("show", jQueryMap.layerArea.smsWrapper);
            }
        });


        // 单个弹框点击确定发送邮件
        $.bindEvent(jQueryMap.content.emailSend, function () {
            var targetEmail = jQueryMap.content.targetEmail.val().trim();
            if (!validatorUtils.isEmail(targetEmail)) {
                $.alert("请输入有效的邮箱");
                return false;
            }
            $.toast("邮件正在发送中...");
            sendEmail(targetEmail,"");
        });

        // 点击确定发送短信
        $.bindEvent(jQueryMap.content.smsSend, function () {
            var targetSms = jQueryMap.content.targetSms.val().trim();
            if (!validatorUtils.isMobile(targetSms)) {
                $.alert("请输入有效的手机号码");
                return false;
            }

            $.callMessage({
                "funcNo"    : "50221",
                "telNo"     : targetSms,
                "content"   : "【" + subjectName + "】，点击链接 " + urlLink + " "
            });
            // sendMessage(targetMobileNo, link);
        });

        //点击取消
        $.bindEvent(jQueryMap.content.cancel, function () {
            resetPageElement();
            //toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
            //toggleLayerArea("hide", jQueryMap.layerArea.smsWrapper);
            //toggleLayerArea("hide", jQueryMap.layerArea);
        });

        /**
         * 下面都是筛选页面的绑定时间
         */
            //切换筛选的页面
        $.preBindEvent($page.find(".ft_tab_nav"), "li", function () {
            $(this).addClass("act").siblings().removeClass("act");
            var id = $(this).attr("id");
            $page.find("#"+id+"Tab").show();
            $page.find("#"+id+"Tab").siblings("div").hide();
        });

        //风险等级和标签和主题列表的多选
        $.preBindEvent(jQueryMap.filter.doubleCheck, "li", function () {
            if($(this).hasClass("act")){
                $(this).removeClass("act");
            }else{
            	if($(this).parent().parent().parent().attr("id")=="inputWrap") {
            		$page.find("#developedTab").find("li").removeClass("act");
            	}else{
            		$page.find("#inputWrap").find("li").removeClass("act");
            		$page.find("#inputWrap").find("input").val("");
            	}
                $(this).addClass("act");
            }
        });

        //点击取消
        $.bindEvent(jQueryMap.content.inputWrap, function () {
        	$page.find("#developedTab").find("li").removeClass("act");
        },"input");
        
        // 筛选--点击完成
        $.bindEvent(jQueryMap.filter.ok, function () {
            //判断筛选条件
            checkParam();
        });

        //重置按钮
        $.bindEvent(jQueryMap.filter.resetBtn, function () {
            jQueryMap.filter.doubleCheck.find("li").removeClass("act");
            $page.find("#inputWrap input").val("");
            jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
            jQueryMap.filter.systemTab.show().siblings("#defindedTab").hide();
        });

        // 筛选--点击遮罩层
        $.bindEvent(jQueryMap.filter.filterWrapper, function () {
            myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        });

        //折叠隐藏
        $.preBindEvent(jQueryMap.filter.clickCollapse, "a", function () {
            var $this = $(this);
            if($this.parent().hasClass("collapse")){
                $(this).parent().removeClass("collapse");
            }else{
                $(this).parent().addClass("collapse");
            }
        });
        $.preBindEvent(jQueryMap.filter.systemTab, "h4", function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });
        $.preBindEvent(jQueryMap.filter.defindedTab, "h4", function () {
            var $this = $(this);
            if($this.hasClass("collapse")){
                $(this).removeClass("collapse");
            }else{
                $(this).addClass("collapse");
            }
        });
    }

    function destroy() {
        myUtils.showLayer($page);
        resetPageElement();
    	cleanPageElement();
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header" : {
                "mktGoBack"  : $page.find("#mktGoBack"),
                "filterBtn": $page.find("#filter_btn"),
                "search"    : $page.find("#search")
            },
            "content": {
                "noCustomer" : $page.find("#noCustomer"),
                "customerList" : $page.find("#customerList"),
                "emailShare" : $page.find("#emailShare"),
                "addEmailer" : $page.find("#addEmailer"),
                "inputWrap"  : $page.find("#inputWrap"),
                //文字滑动搜索
                "tipBox"             : $page.find("#tip_box"),
                "letterBox"          : $page.find("#letter_box"),
                "contentSwipe"       : $page.find("#contentSwipe"),
                "customerList"       : $page.find("#customerList"),

                "targetEmail"  : $page.find("#targetEmail"),
                "emailSend"    : $page.find("#email_send"),
                "cancel"  : $page.find(".cancel"),

                "targetSms"  : $page.find("#targetSms"),
                "smsSend"    : $page.find("#sms_send"),

                "emailSubjectName"  : $page.find("#emailSubjectName"),
                "smsSubjectName"    : $page.find("#smsSubjectName"),

                "okSure"		    : $page.find("#okSure"),
                "cancelBtn"      : $page.find("#cancelBtn")
            },
            "footer":{
                "noTip" : $page.find("#noTip"),
                "choose" : $page.find("#choose"),
                "checkShow" : $page.find("#checkShow")
            },
            "layerArea" : {
                "emailWrapper" : $page.find("#emailWrapper"),
                "smsWrapper" : $page.find("#smsWrapper"),
                "layer" : $page.find("#layer")
            },
            "filter": {
                //主题
                "bkhkSubject": $page.find("#bkhkSubject"),
                "zzqySubject": $page.find("#zzqySubject"),
                //页面旁边的标签页
                "doubleCheck" : $page.find(".doubleCheck"),
                "system"      : $page.find("#system"),
                "definded"    : $page.find("#definded"),
                "systemTab"   : $page.find("#systemTab"),
                "defindedTab" : $page.find("#defindedTab"),
                "tags"        : $page.find("#tags"),
                "riskCheck"   : $page.find("#riskCheck"),
                "inverstVariet"   : $page.find("#inverstVariet"),
                "inverstTerm"   : $page.find("#inverstTerm"),
                "exprofit"   : $page.find("#exprofit"),
                //筛选页面的输入项
                "assetLeast"    : $page.find("#assetLeast"),
                "assetMost"     : $page.find("#assetMost"),
                "yjlLeast"      : $page.find("#yjlLeast"),
                "yjlMost"       : $page.find("#yjlMost"),
                "yjAmountLeast" : $page.find("#yjAmountLeast"),
                "yjAmountMost"  : $page.find("#yjAmountMost"),
                //遮罩层
                "filterWrapper" : $page.find("#dialog-overlay"),
                "filterSlideBar": $page.find("#dialog_filter"),
                "ok"		    : $page.find("#ok"),
                "resetBtn"      : $page.find(".reset_btn"),
                //折叠隐藏
                "clickCollapse" : $page.find(".clickCollapse"),
                //存量客户和潜在客户
                "developing"    : $page.find("#developing"),
                "developed"     : $page.find("#developed"),
                "developingTab"	: $page.find("#developingTab"),
                "developedTab"  : $page.find("#developedTab")
            }
        };
    }

    function initPage() {
        cleanPageElement();
        custArrs = $.getSStorageInfo("custArr");
        currSubObj = $.getSStorageInfo("currSubObj");
        subjectName = currSubObj.detailInfo[0].subjectName;
        jQueryMap.content.smsSubjectName.html(subjectName);
        jQueryMap.content.emailSubjectName.html(subjectName);

        urlLink = $.getSStorageInfo("urlLink");

        //查询客户列表（含有邮箱）
        queryCustomer({});

        //查询客户个人的标签
        manageTag("3","");

    }

    function queryCustomer(paramMap){
        paramMap.staffId = model.dataStore.staffId;
        if($.getSStorageInfo("shareType")=="email"){
            paramMap.searchType = "1";
            $page.find("#title").html("邮件");
            $page.find("#tipInfo").html("您需输入客户邮箱号");
            $page.find("#onTipInfo1").html("1、点击上方“直接分享”，输入邮箱直接分享给客户");
            $page.find("#onTipInfo2").html("2、点击上方“立即添加”，将新客户添加（需添加邮箱）在潜在客户列表，系统读取联系人，支持批量发送邮件");
        }else if($.getSStorageInfo("shareType")=="sms"){
            paramMap.searchType = "0";
            $page.find("#title").html("短信");
            $page.find("#tipInfo").html("您需输入客户电话号");
            $page.find("#onTipInfo1").html("1、点击上方“直接分享”，输入手机直接分享给客户");
            $page.find("#onTipInfo2").html("2、点击上方“立即添加”，将新客户添加（需添加手机）在潜在客户列表，系统读取联系人，支持批量发送短信");
        }
        paramMap.customerType = "";
        service.getCustomList(paramMap, function(result){
            if(result.custList.length>0){
                jQueryMap.content.noCustomer.hide();
                jQueryMap.footer.noTip.hide();
                showCustomer(result.custList);
            }else{
                jQueryMap.content.customerList.html("");
                jQueryMap.content.noCustomer.show();
                jQueryMap.footer.noTip.show();
            }
            //遮罩层去掉
            myUtils.hideLayer($page);
        });
    }

    //展示客户列表
    function showCustomer(results){
        var htmlStr = "";
        myUtils.sortLetter(results,function(resLetter){
            $.each(resLetter.letterArr, function (index, letter) {
                htmlStr += "<h3 data-letter='" + letter + "'>" + letter + "</h3><ul class='cust_list'>";
                $.each(resLetter.branchMap[letter], function (index, item) {
                    htmlStr += " <li data-custId='" + item.custId + "'><em class='check_box'></em><img src='../../images/add_lhd03.png'><div class='lbox_txt'><strong>" + item.name + "</strong><small>" + ($.getSStorageInfo('shareType')=='sms' ? item.mobile : item.email ) + "</small></div></li>";
                });
                htmlStr += "</ul>";
            });
            jQueryMap.content.customerList.html(htmlStr).show();
            jQueryMap.footer.checkShow.show();
            jQueryMap.content.customerList.find("li").each(function () {
                var custId = $(this).attr("data-custId");
                if( $.inArray(custId,custArrs) != -1 ){
                    $(this).find("em").addClass("on");
                    isFlag = 1;
                    jQueryMap.footer.checkShow.removeClass("disabled");
                    var len = jQueryMap.content.customerList.find(".on").length;
                    jQueryMap.footer.checkShow.html("发送("+ len + ")");
                    jQueryMap.footer.choose.find("p").html("取消");
                    jQueryMap.footer.choose.find("em").addClass("on");
                }
            });
        });

    }

    // 发送邮件
    function sendEmail(targetEmail,CustIdList) {
        var currSubObj = $.getSStorageInfo("currSubObj");
        // todo 补充产品描述
        service.sendEmail({
        	"CustIdStr"  : CustIdList,
        	"emailStr"   : targetEmail,
        	"subjectId": currSubObj.detailInfo[0].subjectId,
        	"url"        : urlLink,
            "shareTitle"    : "分享" + currSubObj.detailInfo[0].subjectName
//            "emailStr"       : targetEmail,
//            "shareContent": "【" + currSubObj.detailInfo[0].subjectName + "】，点击链接 " + urlLink + " "
        }, function () {
            jQueryMap.footer.checkShow.removeClass("disabled");
            $.toast("发送邮件成功！");
            resetPageElement();
            //toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
            //jQueryMap.content.targetEmail.val("");
            ////toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
        },function(){
            $.toast("发送邮件失败！");
        });
    }

    // 发送短信
    // todo 限制短信发送
    //function sendMessage(targetMobile, message) {
    //    service.getSmsCode({
    //        "staffId"   : model.dataStore.staffId,
    //        "msgType"   : "1",
    //        "mobileNo"  : targetMobile,
    //        "msgDetails": "【" + currBusiObj.productName + "】，点击链接 " + message + "  "
    //    }, function () {
    //        $.toast("发送短信成功！");
    //        jQueryMap.content.targetMobileNo.val("");
    //        toggleLayerArea("hide");
    //    });
    //}


    // 切换弹出层的显示状态
    // type: hide:隐藏  show：显示(为show时必须传$showDom)
    function toggleLayerArea(type, $showDom) {
        // 隐藏所有弹框层
        $.each(jQueryMap.layerArea, function (key, $thisDom) {
        if ($thisDom.is(":visible")) {
            $thisDom.fadeOut("fast");
        }
        });

        if (type === "show") {
            $showDom.fadeIn("fast");
        }
    }


    /**
     * 下面开始是筛选页面的
     */

    function manageTag(actionType,tagId){
        service.customerTag({
            "staffId"    :  model.dataStore.staffId,
            "actionType" :  actionType,
            "tagId"      :  tagId
        },function(result){
            //先填充系统标签类别，再在相应的类别下添加相应的标签
            fillSysTagType(result.tagTypeList);
            fillSysTag(result.publicTagsList);
            //填充自定义的标签
            fillDefineTag(result.privateTagsList);
        });
    }

    /**
     * 填充系统标签类型
     */
    function fillSysTagType(result){
        var htmlStr = "";
        for(var i=0;i<result.length;i++){
            htmlStr += '<h4 class="collapse">'+result[i].tagTypeName+'<a href="javascript:void(0);"></a></h4><div class="ftag_box"><ul id="' + result[i].tagTypeNo + '"></ul></div>';

        }
        jQueryMap.filter.systemTab.html(htmlStr);
    }

    /**
     * 填充系统标签
     */

    function fillSysTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr = '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
            $("#"+result[i].tagTypeNo).append(htmlStr);
        }

        $.each(jQueryMap.filter.systemTab.find("ul"),function(index,dom){
            if($(this).html() == ""){
                $(this).parent().hide();
                $(this).parent().prev().hide();
            }
        });
    }
    /**
     * 填充自定义标签
     */

    function fillDefineTag(result){
        var htmlStr;
        for(var i=0;i<result.length;i++){
            htmlStr += '<li data-tagId="'+result[i].tagId+'"><span>'+result[i].tagName+'</span></li>';
        }
        jQueryMap.filter.defindedTab.find("ul").html(htmlStr);
    }

    //检查筛选的参数
    function checkParam(){
        var paramMap={};
        var flag = true;
        // 判断用户是不是没选参数
        //var checkFlag = false;

        //获取标签
        var tags="";
        $.each(jQueryMap.filter.tags.find("li.act"), function () {
            //checkFlag = true;
            tags += $(this).attr("data-tagId")+',';
        });
        paramMap.tags = tags.substr(0,tags.length-1);

        //潜在客户的来源
        var sourceType="";
        $.each(jQueryMap.filter.developedTab.find("li.act"), function () {
            //checkFlag = true;
            sourceType += $(this).attr("data-sourceType")+',';
        });
        paramMap.sourceType = sourceType.substr(0,sourceType.length-1);

        //客户风险等级
        var risk="";
        $.each(jQueryMap.filter.riskCheck.find("li.act"), function () {
            //checkFlag = true;
            risk += $(this).attr("data-risk")+',';
        });
        paramMap.risk =risk.substr(0,risk.length-1);

        //客户投资品种
        var inverstVariet="";
        $.each(jQueryMap.filter.inverstVariet.find("li.act"), function () {
            //checkFlag = true;
        	inverstVariet += $(this).attr("data-risk")+',';
        });
        paramMap.inverstVariet =inverstVariet.substr(0,inverstVariet.length-1);
        
       //客户投资期限
        var inverstTerm="";
        $.each(jQueryMap.filter.inverstTerm.find("li.act"), function () {
            //checkFlag = true;
        	inverstTerm += $(this).attr("data-risk")+',';
        });
        paramMap.inverstTerm =inverstTerm.substr(0,inverstTerm.length-1);
        
        //客户预期收益
        var exprofit="";
        $.each(jQueryMap.filter.exprofit.find("li.act"), function () {
            //checkFlag = true;
        	exprofit += $(this).attr("data-risk")+',';
        });
        paramMap.exprofit =exprofit.substr(0,exprofit.length-1);
        
        //资产佣金的输入（还差一个股票的输入 接口还没有实现）
        $.each(["assetLeast","assetMost","yjlLeast","yjlMost"], function (index, item) {
            paramMap[item] = jQueryMap.filter[item].val();
            if( paramMap[item] && !(/^[0-9]+.?[0-9]*$/.test( Number(paramMap[item]) )) ){
                flag = false;
                $.toast("请输入数字格式的内容!");
                return false;
            }
            //else if( paramMap[item] ){
                //checkFlag = true;
            //}
        });

        //选择存量客户类型
        var relationType="";
        $.each($page.find("#inputWrap .relationType li.act"), function () {
            //checkFlag = true;
            relationType += $(this).attr("data-relationType")+',';
        });
        paramMap.relationType =relationType.substr(0,relationType.length-1);


        if(!flag){
            return false;
        }

        //if( Number(paramMap.assetMost) < Number(paramMap.assetLeast)){
        //    $.toast("后面输入的现有总资产要不小于前面输入的现有总资产");
        //    return false;
        //}
        //if(Number(paramMap.yjlLeast) < Number(paramMap.yjlMost)){
        //    $.toast("后面输入的佣金率要不小于前面输入的佣金率");
        //    return false;
        //}
        queryCustomer(paramMap);
        //if(checkFlag){
        //    queryCustomer(paramMap)
        //}else{
        //    $.toast("请您至少选中一项筛选条件！");
        //    return false;
        //}

        //搜索
        myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
    }

    function resetPageElement(){
        toggleLayerArea("hide", jQueryMap.layerArea.emailWrapper);
        toggleLayerArea("hide", jQueryMap.layerArea.smsWrapper);
        jQueryMap.content.targetEmail.val("");
        jQueryMap.content.targetSms.val("");

        jQueryMap.content.customerList.find("em").removeClass("on");
        jQueryMap.footer.checkShow.html("发送");
        jQueryMap.footer.choose.find("p").html("全选");
        jQueryMap.footer.choose.find("em").removeClass("on");
        jQueryMap.footer.checkShow.addClass("disabled");
    }
    // 重置页面元素
    function cleanPageElement() {

        jQueryMap.content.noCustomer.hide();
        jQueryMap.footer.noTip.hide();
        myUtils.moveTo("out","",jQueryMap.filter.filterWrapper,jQueryMap.filter.filterSlideBar);
        jQueryMap.filter.system.addClass("act").siblings().removeClass("act");
        jQueryMap.filter.systemTab.show().siblings("#defindedTab").hide();
        jQueryMap.filter.developing.addClass("act").siblings().removeClass("act");
        jQueryMap.filter.developingTab.show().siblings("#developedTab").hide();
        jQueryMap.filter.doubleCheck.find("li").removeClass("act");
        jQueryMap.filter.filterSlideBar.find("input").val("");
        jQueryMap.footer.choose.find("em").removeClass("on");
        jQueryMap.footer.checkShow.addClass("disabled");
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
