define("financial/scripts/subject/subjectDetail.js", function (require, exports, module) {
    // 私有业务模块的全局变量
    var service = require("investService");
    var myUtils = window.privateSpaceMKT.myUtils;
    // 模块内的其它全局变量
    var jQueryMap;
    var global = $.config.global;
    var currSubObj;
    var subjectId;
    //var dHeight = 0;
	//var aHeight = 0;
	//var oTop = 0;
	//var ftHeight = 0;
	//var ulHeight=0;
    var $page = $("#subject_subjectDetail");
    var _pageId = "#subject_subjectDetail ";
    var subjectTypeNo;//判断当前产品的类型
    // 初始化jQueryMap对象
    initJQueryMap();

    function init(){
    }
    function load() {
        loadPage();
    }

    function bindPageEvent() {
        // 返回键
        $.bindEvent(jQueryMap.header.mktGoBack, function () {
            cleanPageElement();
            $.pageBack();
        });

        //点击预览
        $.bindEvent(jQueryMap.header.preview, function () {
            $.pageInit("subject/subjectDetail", "subject/subjectPreview",{"subjectTypeNo":subjectTypeNo});
        });

        //点击谁在推
        $.bindEvent(jQueryMap.content.spread, function () {
            $.pageInit("subject/subjectDetail", "subject/subjectSpread");
        });

        //切换基础基础信息和主题介绍 
        $.preBindEvent(jQueryMap.content.tabSelect,"li", function () {
        	$("#subject_subjectDetail .page_box")[0].scrollTop = 0;
            var $this =  $(this);
            if($(this).attr("id")=="basic"){
            	jQueryMap.content.basic1.addClass("current").siblings().removeClass("current");
            }else{
            	jQueryMap.content.product1.addClass("current").siblings().removeClass("current");
            }
            $this.addClass("current").siblings().removeClass("current");
            $(_pageId + " #"+$this.attr('id')+"Tab").show().siblings("div.tab_items").hide();
        });
        //切换基础基础信息和主题介绍 --顶部
        $.preBindEvent(jQueryMap.content.hdThemeTab,"li", function () {
        	$("#subject_subjectDetail .page_box")[0].scrollTop = 0;
            var $this =  $(this);
            if($(this).attr("id")=="basic1"){
            	jQueryMap.content.basic.addClass("current").siblings().removeClass("current");
            	$(_pageId + " #basicTab").show().siblings("div.tab_items").hide();
            }else{
            	jQueryMap.content.product.addClass("current").siblings().removeClass("current");
            	$(_pageId + " #productTab").show().siblings("div.tab_items").hide();
            }
            $this.addClass("current").siblings().removeClass("current");          
        });

        // 绑定点击“我要推广”按钮事件
        $.bindEvent(jQueryMap.footer.toPromote, function () {
            var isLogin = $.getSStorageInfo("isLogin");
            if (isLogin !== "true") {
                jQueryMap.layerArea.noLoginTipArea.fadeIn("fast");          
            } else {
            $.pageInit("subject/subjectDetail", "subject/subjectToPromote");
            }
        });

        // 点击暂不登录按钮
        $.bindEvent(jQueryMap.content.notLoginBtn, function () {
            jQueryMap.layerArea.noLoginTipArea.fadeOut("fast");
        });

        // 点击立即登录按钮
        $.bindEvent(jQueryMap.content.loginBtn, function () {
            jQueryMap.layerArea.noLoginTipArea.fadeOut("fast");
            $.pageInit("subject/subjectDetail", "account/login", {"module": "subject"});
        });

        // 点击暂不认证按钮
        $.bindEvent(jQueryMap.content.notAuthBtn, function () {
            jQueryMap.layerArea.noAuthTipArea.fadeOut("fast");
        });

        // 点击立即认证按钮
        $.bindEvent(jQueryMap.content.authBtn, function () {
            jQueryMap.layerArea.noAuthTipArea.fadeOut("fast");
            // register:注册流程     auth: 自主认证流程
            $.setSStorageInfo("authProcess", "auth");
            $.pageInit("product/productDetail", "me/myUserInfo");
        });
        
        //头部tab显隐问题事件
        //$.bindEvent($page.find(".page_box"),function(){
        //	var sTop = $(this).scrollTop();
			//if(sTop >oTop-(dHeight-aHeight-ftHeight)+ulHeight){
			//	$(_pageId+'#hd_theme_tab').show();
			//}else{
			//	$(_pageId+'#hd_theme_tab').hide();
			//}
        //},"scroll");
    }

    function destroy() {
        $.each(jQueryMap.layerArea, function (domKey, $dom) {
            if ($dom.is(":visible")) {
                $dom.hide();
            }
        });
        $(_pageId+".page_box")[0].scrollTop = 0;
        service.destroy();
    }

    // 初始化jQueryMap对象
    function initJQueryMap() {
        // 缓存常用jQuery对象
        jQueryMap = {
            "header"   : {
                "mktGoBack": $page.find("#mktGoBack"),
                "preview": $page.find("#preview")
            },
            //"subjectType", "subjectName", "subjectId", "subjectDesc","subjectContent"
            "content"  : {
                //页面内容填充
                "typeId"    : $page.find("#typeId"),
                "productName"       : $page.find("#productName"),
                "typeName"    : $page.find("#typeName"),
                "productDesc" : $page.find("#productDesc"),
                "productContent"     : $page.find("#productContent"),

                "subjectType"    : $page.find("#subjectType"),
                "subjectName"       : $page.find("#subjectName"),
                //"subjectId"    : $page.find("#subjectId"),
                "subjectDesc" : $page.find("#subjectDesc"),
                "subjectContent" : $page.find("#subjectContent"),
                "rate" : $page.find("#rate"),

                "spreadNum"   : $page.find("#spreadNum"),
                "successNum"  : $page.find("#successNum"),
                "scale"		  : $page.find("#scale"),
                
                "subjectProperty" : $page.find("#subjectProperty"),
                "personImg"     : $page.find("#personImg"),
                //切换tab标签
                //"hdThemeTab"   : $page.find("#hd_theme_tab"),
                "tabSelect"      : $page.find("#tab_select"),
                "showRadio"          : $page.find("#showRadio"),
                "basic"     : $page.find("#basic"),
                "product"     : $page.find("#product"),
                "basic1"     : $page.find("#basic1"),
                "product1"     : $page.find("#product1"),
                "basicTab"     : $page.find("#basicTab"),
                "productTab"     : $page.find("#productTab"),
                //推广人员
                "spread"     : $page.find("#spread"),
                "spreadMen"     : $page.find("#spreadMen"),

                // 暂不登录按钮
                "notLoginBtn": $page.find("#not_login_btn"),
                // 立即登录按钮
                "loginBtn"   : $page.find("#login_btn"),

                // 暂不认证按钮
                "notAuthBtn" : $page.find("#not_auth_btn"),
                // 立即认证按钮
                "authBtn"    : $page.find("#auth_btn")
            },
            "footer"   : {
                // “我要推广”的按钮
                "toPromote": $page.find("#toPromote")
            },
            "layerArea": {
                "noLoginTipArea": $page.find("#no_login_tip_area"),
                "noAuthTipArea" : $page.find("#no_auth_tip_area")
            }
        };
    }


    function loadPage(){

        //隐藏系统底部TabBar
        myUtils.hideBtn();
        //进来详情页面先判断是新客专享还是增值签约
        selectPage();
        // 显示产品详情
        showProductDetail();

        showStaffNum();

    }

    //appreciationSigned（增值签约）
    //newCustomersExclusive(新客专享)
    //进来详情页面先判断是新客专享还是增值签约
    function selectPage(){
        subjectTypeNo = $.getPageParam("subjectTypeNo");
        if(subjectTypeNo == "newCustomersExclusive"){
            jQueryMap.content.basic.show();
            jQueryMap.content.basic1.show();
            jQueryMap.content.basicTab.show();
            jQueryMap.content.showRadio.show();
            jQueryMap.content.productTab.hide();
            jQueryMap.content.subjectDesc.css({"width":"2.2rem"});
        }else if(subjectTypeNo == "appreciationSigned"){
            jQueryMap.content.basic.hide();
            jQueryMap.content.basic1.hide();
            jQueryMap.content.basicTab.hide();
            jQueryMap.content.showRadio.hide();
            jQueryMap.content.productTab.show();
            jQueryMap.content.product.addClass("current");
            jQueryMap.content.product1.addClass("current");
            jQueryMap.content.subjectDesc.css({"width":"100%"});
        }
    }

    function showStaffNum(){
    	var param = {
				"userId":$.getSStorageInfo("staffId"),
				"subjectId":$.getSStorageInfo("subjectId")
		}
    	service.getStaffNum(param,function(results){
    		var num =Number(results[0].staffNum)+1;
    		jQueryMap.footer.toPromote.text("开始第"+num+"次推广");
    	});
    }
    
    // 显示产品详情
    function showProductDetail() {
       //appreciationSigned（增值签约）
       //newCustomersExclusive(新客专享)
       //进来详情页面先判断是新客专享还是增值签约
       var personImgStr = "";
       service.queryProductDetail({
           "subjectId": $.getSStorageInfo("subjectId")
       },function(result){
           $.setSStorageInfo("currSubObj",result);
           subjectId = result.detailInfo[0].subjectId;
           // "spreadNum","successNum",
           $.each(["subjectType", "subjectName", "subjectDesc", "subjectContent","subjectProperty", "spreadNum", "successNum", "scale", "rate"], function (index, domKey) {
               jQueryMap.content[domKey].html(result.detailInfo[0][domKey]);
           });

           jQueryMap.content.rate.html(result.detailInfo[0].rate == ""? "0" : result.detailInfo[0].rate);

           if( result.userList.length>0 ){
               //头像的填充展示
               $.each(result.userList,function(index,img){
                   if(index<3){
                       personImgStr += "<li><img src='"+(!img.headPhoto?"../../images/thd-pic01.png":(global.serverAddr+img.headPhoto))+"' /></li>";
                   }
               });
               jQueryMap.content.spreadMen.html("("+result.userList.length+")");
               jQueryMap.content.personImg.html(personImgStr);
           }else{
               jQueryMap.content.spreadMen.html("(0)");
               jQueryMap.content.personImg.html("");
           }
           $(_pageId+" .pro_hsec01").addClass("active");
           myUtils.cancelLayer($page);
            //dHeight = parseInt(document.body.clientHeight);
      		//aHeight = parseInt($(_pageId+"article").height());
      		//oTop = parseInt($(_pageId+'#tab_select').offset().top);
      		//ftHeight = parseInt($(_pageId+'footer .btn_box').height());
      		//ulHeight=$(_pageId+'#tab_select').height();
   		  //  $(_pageId+'#theme_tab').css('min-height',(dHeight-oTop-ftHeight)+'px');
       });
        
    }
    

    function cleanPageElement() {
    	//dHeight = 0;
    	//aHeight = 0;
    	//oTop = 0;
    	//ftHeight = 0;
    	//ulHeight=0;
    	jQueryMap.content.personImg.html("");
        jQueryMap.content.basic.show();
        jQueryMap.content.basicTab.show();
        jQueryMap.content.productTab.hide();
        jQueryMap.content.showRadio.show();
        jQueryMap.content.basic.addClass("current").siblings().removeClass("current");
        //$.each(["subjectType", "subjectName", "subjectDesc", "subjectContent","subjectProperty", "spreadNum", "successNum", "scale", "rate"], function (index, domKey) {
        //    alert(JSON.stringify( jQueryMap.content[domKey]));
        //    jQueryMap.content[domKey].html("");
        //});
    }

    module.exports = {
        "init"         : init,
        "bindPageEvent": bindPageEvent,
        "destroy"      : destroy,
        "load"         : load
    };
});
