define("financial/scripts/subject/subjectList.js", function (require, exports, module) {
        // 模块内的其它全局变量
	    var service = require("investService");
        var jQueryMap;
        var $page = $("#subject_subjectList");
        var myUtils = window.privateSpaceMKT.myUtils;
		var global = $.config.global;
        //接收前一个页面的产品列表
		var subjectListAll = [];
		var ycfTypeList = [];
        //产品的内容
        var htmlStr1 = "",htmlStr2 = "", htmlStr3 = "", htmlStr4 = "";
        var flag;
        // 初始化jQueryMap对象
        // 查看源码获知是先loadHtml后，再加载js模块的，此处初始化QueryMap对象是可行的
        initJQueryMap();

        function init(){
        }
        function load() {
            initPage();
        }

        function bindPageEvent() {
            // 返回键
            $.bindEvent(jQueryMap.header.mktGoBack, function () {

                $.pageBack("","left");
            });

            //搜索框
            $.bindEvent(jQueryMap.header.subSearch,function(){
                $.pageInit("subject/subject", "subject/subjectSearch",{"flag":flag});
            });

            //查看产品详情
            $.preBindEvent( jQueryMap.content.selectSub,"li",function(){
               $(this).addClass("current").siblings().removeClass("current");
            });

            //切换 主题类型
        	$.preBindEvent(jQueryMap.content.selectSub,"li", function () {
				subjectType = $(this).attr("id");
                $(this).addClass("current").siblings().removeClass("current");           
                if(subjectType=="all"){
            		allSubject();
                }else if(subjectType=="hotSellGetCustomer"){
           		     sigleSubject(htmlStr1,htmlStr3);
                }else if(subjectType=="appreciationSigned"){
					// if(flag == 1) {
					showAppreciation();
					// } else {
					// 	sigleSubject(htmlStr2,htmlStr4);
					// }
                }else if(subjectType=="marketActivity"){
					sigleSubject(htmlStr5,htmlStr6);
                }
            });

            //$.preBindEvent(jQueryMap.content.themeBox, "div.rcd_cblk", function () {
            //    $.setSStorageInfo("subjectId",$(this).attr("data-subjectId"));
            //    var subjectTypeNo = $(this).attr("data-subjectTypeNo");
            //    $.pageInit("subject/subject", "subject/subjectDetail",{"subjectTypeNo":subjectTypeNo});
            //});

			$.preBindEvent(jQueryMap.content.themeBox, "div.rcd_cblk", function () {
				var $this = $(this);
				$.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
				$.setSStorageInfo("subjectId",$this.attr("data-subjectId"));
                
                $.setSStorageInfo("ispagelocal",$this.attr("data-ispagelocal"));
                $.setSStorageInfo("pageexternal_url",$this.attr("data-pageexternal_url"));
                $.setSStorageInfo("pageexternal_img",$this.attr("data-pageexternal_img"));
                $.setSStorageInfo("pageexternal_content",$this.attr("data-pageexternal_content"));
				$.setSStorageInfo("pageexternal_title",$this.attr("data-pageexternal_title"));
				
				var subjectTypeNo = $this.attr("data-subjectTypeNo");
				$.setSStorageInfo("subjectTypeNo",subjectTypeNo);
				if(subjectTypeNo == "newCustomersExclusive"){
					$.pageInit("subject/subject", "subject/subNewDetail");
				}else if(subjectTypeNo == "appreciationSigned"){
					$.pageInit("subject/subject", "subject/subSignDetail");
				}else if(subjectTypeNo == "marketActivity"){
                    $.pageInit("subject/subject", "subject/subActivityDetail");
                }
			});

			/*//查看产品详情subClick
			$.preBindEvent(jQueryMap.content.themeBox, "div.rcd_cblk", function(){
				var $this = $(this);
				$.setSStorageInfo("subjectUrl",$this.attr("data-spreadAddr"));
				$.setSStorageInfo("subjectId",$this.attr("data-subjectId"));
				var subjectTypeNo = $this.attr("data-subjectTypeNo");
				$.setSStorageInfo("subjectTypeNo",subjectTypeNo);
				if(subjectTypeNo == "newCustomersExclusive"){
					$.pageInit("subject/subject", "subject/subNewDetail");
				}else if(subjectTypeNo == "marketActivity"){
                    $.pageInit("subject/subject", "subject/subSignDetail");
                }
			});*/
			//查看增值签约列表
            $.preBindEvent( jQueryMap.content.appreciationBox, "li", function(){
				var id = $(this).attr("id");
				var name = $(this).attr("name");
				$(this).addClass("current").siblings().removeClass("current");
				if($(this).children().length > 0) {
                    $.pageInit("subject/subjectList", "subject/appreciationSubjectList", {"subjectList":subjectListAll, "typeId":id, "typeName":name, "flag": flag});
				}
			 });
        }

        function destroy() {

			cleanPageElement();
        	service.destroy();
        }

        // 初始化jQueryMap对象
        function initJQueryMap() {
            // 缓存常用jQuery对象
            jQueryMap = {
                "header"   : {
                    "mktGoBack" : $page.find("#mktGoBack"),
                    "subSearch" : $page.find("#subSearch"),
                    "themeName": $page.find("#themeName")
                },
                "content"  : {
                    "themeBox"   : $page.find("#themeBox"),
                    "selectSub"   : $page.find("#selectSub"),
                    "allSubject" : $page.find("#allSubject"),
                    "busiSubject": $page.find("#busiSubject"),
                    "gignSubject": $page.find("#gignSubject"),
                    "saleSubject": $page.find("#saleSubject"),
                    "noAllSub": $page.find("#noAllSub"),
					"sigleSub": $page.find("#sigleSub"),
					"appreciationBox": $page.find("#appreciationBox")
                },
                "footer"   : {
                }
            };
        }

        function initPage() {
			//显示遮罩层
			myUtils.showLayer($page);
            //隐藏系统底部TabBar
            myUtils.hideBtn();
            //头部的名字是分公司或者营业部的
            //“flag” 1 公司  2营业部
			flag = $.getPageParam("flag");  
			if(flag == 1){
	            jQueryMap.header.themeName.html("公司推荐");
	        }else if(flag == 2){
	            jQueryMap.header.themeName.html("营业部推荐");
	        } 
            //获取并填充主题类型
            getProductType();
            //先首页的主题列表的信息带过来
			// subjectListAll = $.getPageParam("subjectList");
			// ycfTypeList = $.getPageParam("ycfTypeList");
			// console.log(ycfTypeList)
            //对主题进行展示
			// selectOnMenu();
        	//  allSubject();
        }

        /**
         * 获取并填充主题类型
         */
        function getProductType(){
        	service.getProductType({}, function (results) {
                var htmlStr = '';
                // var htmlStr = '<li  id="all" class="current"><a href="javascript:void(0);"><span>全部</span></a></li>';
                for (var i = 0, len = results.length; i < len; i++) {
                	htmlStr += results[i].id != '' ? '<li id="' + results[i].typeValue + '"><a href="javascript:void(0);"><span>' + results[i].typeName + '</span></a></li>' : "";
                }
				jQueryMap.content.selectSub.html(htmlStr);
				//先首页的主题列表的信息带过来
				subjectListAll = $.getPageParam("subjectList");
				ycfTypeList = $.getPageParam("ycfTypeList");
				//对主题进行展示
				selectOnMenu();
				jQueryMap.content.selectSub.find("li:first-child").click();
            });
        }
        
	    function allSubject(){
			jQueryMap.content.themeBox.html("");
			jQueryMap.content.noAllSub.hide();
			jQueryMap.content.appreciationBox.hide();
	        if(flag == 1){
	            jQueryMap.header.themeName.html("公司推荐");
	            if(htmlStr1.length==0 && htmlStr2.length==0 && htmlStr5.length==0){
	                jQueryMap.content.noAllSub.show();
	                jQueryMap.content.themeBox.parent().parent().hide();
	                return false;
	            }
	            jQueryMap.content.themeBox.parent().parent().show();
	            jQueryMap.content.themeBox.append(htmlStr1);
	            jQueryMap.content.themeBox.append(htmlStr2);
	            jQueryMap.content.themeBox.append(htmlStr5);
	        }else if(flag == 2){
	            jQueryMap.header.themeName.html("营业部推荐");
	            if(htmlStr3.length==0 && htmlStr4.length==0 && htmlStr6.length==0){
	                jQueryMap.content.noAllSub.show();
	                jQueryMap.content.themeBox.parent().parent().hide();
	                return false;
	            }
	            jQueryMap.content.themeBox.parent().parent().show();
	            jQueryMap.content.themeBox.append(htmlStr3);
	            jQueryMap.content.themeBox.append(htmlStr4);
	            jQueryMap.content.themeBox.append(htmlStr6);
	        }
	    }
	
	    function sigleSubject(str1,str2){
	        //cleanPageElement();
			jQueryMap.content.themeBox.html("");
			jQueryMap.content.noAllSub.hide();
			jQueryMap.content.appreciationBox.hide();
	        if(flag == 1){
	            if(str1.length==0){
	                jQueryMap.content.noAllSub.show();
	                jQueryMap.content.themeBox.parent().parent().hide();
	                return false;
	            }
	            jQueryMap.content.themeBox.parent().parent().show();
	            jQueryMap.content.themeBox.append(str1);
	        }else{
	            if(str2.length==0){
	                jQueryMap.content.noAllSub.show();
	                jQueryMap.content.themeBox.parent().parent().hide();
	                return false;
	            }
	            jQueryMap.content.themeBox.parent().parent().show();
	            jQueryMap.content.themeBox.append(str2);
	        }
		}
		
		// 显示赢财富产品分类
		function showAppreciation() {
			if (ycfTypeList.length <= 0) {
				jQueryMap.content.themeBox.parent().parent().hide();
				jQueryMap.content.appreciationBox.hide();
				jQueryMap.content.noAllSub.show();
			} else {
				jQueryMap.content.themeBox.parent().parent().hide();
				jQueryMap.content.noAllSub.hide();
				ycfTypeList = operateYcfTypeList(ycfTypeList);
				var hrmlStr = '<ul class="ycf_menu">';
				for(var i = 0; i < ycfTypeList.length; i++) {
					if(ycfTypeList[i].subject_type_no) {
						hrmlStr += '<li id="'+ycfTypeList[i].subject_type_no+'" name="'+ycfTypeList[i].subject_type+'"><a href="javascript:void(0);">'+
							'<img src="'+global.serverAddr+ycfTypeList[i].label_addr+'"/><span>'+ycfTypeList[i].subject_type+'</span></a></li>';
					} else {
						hrmlStr += '<li style="border-right:1px solid #F9F9F9;"></li>';
					}
				}
				hrmlStr += '</ul>';
				jQueryMap.content.appreciationBox.html(hrmlStr);
				jQueryMap.content.appreciationBox.show();
			}
		}

		// 不足3的倍数补足
		function operateYcfTypeList(data) {
			var extraNum = data.length % 3 > 0 ? 3 - data.length % 3 : 0;
			var emptyItem = {};
			while (extraNum > 0) {
				data.push(emptyItem);
				extraNum--;
			}
			return data;
		}

	    function selectOnMenu() {
	         htmlStr1 = "";
	         htmlStr2 = "";
	         htmlStr3 = "";
	         htmlStr4 = "";
	         htmlStr5 = "";
	         htmlStr6 = "";
	
	        for (var i = 0, len = subjectListAll.length; i < len; i++) {
	            //flag 1 公司  2营业部
	            if (subjectListAll[i].flag == 1) {	
	                if (subjectListAll[i].subjectTypeNo == "newCustomersExclusive") {
	                     htmlStr1 += "<div class='rcd_cblk rcd_cblk01' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+"' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+"' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+subjectListAll[i].ispagelocal+"' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"'><h3><span>爆款获客</span></h3><div class='rcd_item'><ul class='subjectItem1'><li><div class='inline-block'><strong class='fc_red'><span>"+(subjectListAll[i].rate == "" ? "0" : subjectListAll[i].rate)+"</span></strong><p>预期年化收益率</p></div></li><li><div class='inline-block'><strong>" + subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></div></li></ul></div></div>";
	                } else if (subjectListAll[i].subjectTypeNo == "appreciationSigned") {
	                    htmlStr2 += " <div class='rcd_cblk' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+"' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+"' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+subjectListAll[i].ispagelocal+"'><h3><span>增值签约</span></h3><div class='rcd_item'><ul class='subjectItem2'><li><strong>" + subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></li></ul></div></div>";
	                }else if (subjectListAll[i].subjectTypeNo == "marketActivity") {
	                    htmlStr5 += " <div class='rcd_cblk' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+"' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+"' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+subjectListAll[i].ispagelocal+"'><h3><span>营销活动</span></h3><div class='rcd_item'><ul class='subjectItem2'><li><strong>" + subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></li></ul></div></div>";
	                }
	            } else {
	                if (subjectListAll[i].subjectTypeNo == "newCustomersExclusive") {
	                    htmlStr3 += "<div class='rcd_cblk rcd_cblk01' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+"' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+"' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+subjectListAll[i].ispagelocal+"'><h3><span>爆款获客</span></h3><div class='rcd_item'><ul class='subjectItem1'><li><div class='inline-block'><strong class='fc_red'><span>"+(subjectListAll[i].rate == "" ? "0" : subjectListAll[i].rate)+"</span></strong><p>预期年化收益率</p></div></li><li><div class='inline-block'><strong>" + subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></div></li></ul></div></div>";
	                } else if (subjectListAll[i].subjectTypeNo == "appreciationSigned") {
	                    htmlStr4 += "<div class='rcd_cblk' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+"' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+"' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+subjectListAll[i].ispagelocal+"'><h3><span>增值签约</span></h3><div class='rcd_item'><ul class='subjectItem2'><li><strong>" + subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></li></ul></div></div>";
	                } else if (subjectListAll[i].subjectTypeNo == "marketActivity") {
	                    htmlStr6 += "<div class='rcd_cblk' data-subjectTypeNo='"+subjectListAll[i].subjectTypeNo+"' data-subjectId='"+subjectListAll[i].subjectId+"' data-spreadAddr='"+subjectListAll[i].spreadAddr+"' data-pageexternal_img='"+subjectListAll[i].pageexternal_img+"' data-pageexternal_content='"+subjectListAll[i].pageexternal_content+"' data-pageexternal_title='"+subjectListAll[i].pageexternal_title+"' data-pageexternal_url='"+subjectListAll[i].pageexternal_url+"' data-ispagelocal='"+subjectListAll[i].ispagelocal+"'><h3><span>营销活动</span></h3><div class='rcd_item'><ul class='subjectItem2'><li><strong>" + subjectListAll[i].subjectName + "</strong><p>" + subjectListAll[i].subjectDesc + "</p></li></ul></div></div>";
	                }
	            }
	        }
			//遮罩层去掉
			myUtils.hideLayer($page);
	    }
	    // 重置页面元素
	    function cleanPageElement() {
			//遮罩层去掉
			myUtils.showLayer($page);
	    	$("#subject_subjectList article")[0].scrollTop = 0;
			jQueryMap.content.themeBox.html("");
			jQueryMap.content.appreciationBox.html("");
			jQueryMap.content.noAllSub.hide();
//	        jQueryMap.content.sigleSub.hide();
	    }
	
	    module.exports = {
	    "init"         : init,
	    "bindPageEvent": bindPageEvent,
	    "destroy"      : destroy,
	    "load"         : load
	};
});
